# -*- encoding: utf-8 -*-
# stub: jrubyfx 1.1.1 java lib

Gem::Specification.new do |s|
  s.name = "jrubyfx"
  s.version = "1.1.1"
  s.platform = "java"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Patrick Plenefisch", "Thomas E Enebo", "Hiroshi Nakamura", "Hiro Asari"]
  s.date = "2016-03-27"
  s.description = "Enables JavaFX with FXML controllers and application in pure ruby"
  s.email = ["simonpatp@gmail.com", "tom.enebo@gmail.com", "nahi@ruby-lang.org", "asari.ruby@gmail.com"]
  s.executables = ["jrubyfx-generator", "jrubyfx-jarify", "jrubyfx-compile"]
  s.files = ["LICENSE", "README.md", "bin/jrubyfx-compile", "bin/jrubyfx-generator", "bin/jrubyfx-jarify", "lib/jrubyfx", "lib/jrubyfx.rb", "lib/jrubyfx/application.rb", "lib/jrubyfx/compiler_app.rb", "lib/jrubyfx/controller.rb", "lib/jrubyfx/core_ext", "lib/jrubyfx/core_ext/border_pane.rb", "lib/jrubyfx/core_ext/column_constraints.rb", "lib/jrubyfx/core_ext/drag_event.rb", "lib/jrubyfx/core_ext/duration.rb", "lib/jrubyfx/core_ext/effects.rb", "lib/jrubyfx/core_ext/exts.yml", "lib/jrubyfx/core_ext/file_chooser.rb", "lib/jrubyfx/core_ext/geometry.rb", "lib/jrubyfx/core_ext/grid_pane.rb", "lib/jrubyfx/core_ext/image_view.rb", "lib/jrubyfx/core_ext/media_player.rb", "lib/jrubyfx/core_ext/observable_value.rb", "lib/jrubyfx/core_ext/pagination.rb", "lib/jrubyfx/core_ext/path.rb", "lib/jrubyfx/core_ext/progress_indicator.rb", "lib/jrubyfx/core_ext/radial_gradient.rb", "lib/jrubyfx/core_ext/region.rb", "lib/jrubyfx/core_ext/rotate.rb", "lib/jrubyfx/core_ext/stage.rb", "lib/jrubyfx/core_ext/table_view.rb", "lib/jrubyfx/core_ext/timeline.rb", "lib/jrubyfx/core_ext/transition.rb", "lib/jrubyfx/core_ext/tree_view.rb", "lib/jrubyfx/core_ext/xy_chart.rb", "lib/jrubyfx/dsl.rb", "lib/jrubyfx/dsl_control.rb", "lib/jrubyfx/java_fx_impl.rb", "lib/jrubyfx/module.rb", "lib/jrubyfx/part_imports.rb", "lib/jrubyfx/utils", "lib/jrubyfx/utils.rb", "lib/jrubyfx/utils/__ignore_java_stupid_rdoc.rb", "lib/jrubyfx/utils/common_converters.rb", "lib/jrubyfx/utils/common_utils.rb", "lib/jrubyfx/utils/string_utils.rb", "lib/jrubyfx/version.rb", "lib/jrubyfx_tasks.rb"]
  s.homepage = "https://github.com/jruby/jrubyfx"
  s.licenses = ["Apache-2.0"]
  s.rubyforge_project = "jrubyfx"
  s.rubygems_version = "2.4.8"
  s.summary = "JavaFX for JRuby with FXML"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_runtime_dependency(%q<jrubyfx-fxmlloader>, [">= 0.4"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<jrubyfx-fxmlloader>, [">= 0.4"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<jrubyfx-fxmlloader>, [">= 0.4"])
  end
end
