# coding: utf-8

# 周回を超えて保管するデータ
class GlobalSave
  attr_reader :version_no, :resurrection_count_after_ending,
              :jewel_case

  VERSION_NO = 7.3
  def initialize *args
    @version_no = VERSION_NO
    @resurrection_count_after_ending = 0
  end

  def after_ending!
    @resurrection_count_after_ending += 1
  end

  def has_resurrection?
    @resurrection_count_after_ending >= 1
  end
end
