# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 一輪
class Adventurer25Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「おやおや、こちらが一人なら勝てると思ったのかねぇ？」',
          '平静を保った態度のまま、' + adventurer.short_name + 'は武器を構えた。',
        ],
        [
          '「あははっ、いいねぇ！ 数の力で押そうだなんて、卑怯者の考えそうなことだ！」',
          '挑発的に笑うが、それは不安の裏返しでもある。勤めて隙を見せぬよう、' + adventurer.short_name + 'は武器を構え直した。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ってやつだねぇ）',
          '（ふふふ、無実の人を陥れる。そういう悪いことってやつが本当にたまらないねぇ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いようだねぇ……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（待てば海路の日和あり、ってね…… まぁここは待ちの一手さ。）',
          ],
          [
            '（うーん、今は、運がこちらに来ていないねぇ……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（今はせいぜい、真面目にやるとしますかぁ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「あははっ！ いいねぇ、こういうの！ お寺にいるだけじゃあ味わえない楽しみだからねぇ……っ！」',
          adventurer.short_name + 'は心底、楽しそうに笑うと武器を構えた',
        ],
        [
          '「さあさあ、鉄火場だ。みんなせいぜい気合い入れようじゃないか！」',
          adventurer.short_name + 'は仲間たちに呼びかける。その態度に仲間たちも勇気付けられたようだ',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end
end
