# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# お空
class Adventurer35Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「ああもう！ こんな雑魚たち、' + adventurer.self_call + '一人だって倒してみせる！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
        [
          '「ええっ、こんなときにっ！？」',
          '孤立したところを襲われた' + adventurer.short_name + 'は慌てて武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（うーん、他の仲間はだいたい役に立たないし、' + adventurer.self_call + '、やっちゃってもいいのかな……？）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、無防備な「仲間」の背中に注がれている',
          'いまいち事態を理解していなさそうな表情を、もし迷宮の主人が見たら不安そうな顔をするだろうが、ここにいない彼の話をしても仕方がない',
        ]
      else
        [
          [
            '（うーん、よくわからないけど、今はチャンスじゃない……？） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
        ].sample
      end
    else
      [
        [
          '「やっつけてやるよ！」',
          'イマイチ事態を理解していない' + adventurer.short_name + 'の声は空虚だが、かえってそれが仲間たちを励ますことになった',

        ],
        [
          '「うにゅう……  うっとおしいなぁ…… ' + adventurer.self_call + '、全部倒していいんだよね？」',
          adventurer.short_name + 'の強気な叫びは仲間を励ましたようだ。',
          'いらだたしげに' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「さとり様のためにも、こんなやつらやっつけなきゃ！  ' + adventurer.self_call + 'の力、見せてあげるから！」',
          '元気よく叫ぶ' + adventurer.short_name + 'の声は、味方を元気づけたようだ',
        ],
      ].sample
    end
  end
end
