# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 隠岐奈
class Adventurer40Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「ふん…… 下賤な魔物ごときが、立場をわきまえるがいい」',
          '孤立した危機を襲われた不利を気にも留めぬように、' + adventurer.short_name + 'は冷たい双眸で魔物たちを睥睨している……',
        ],
        [
          '「ああ、なるほど？」',
          '「孤立していれば倒せると思ったのか。まったく、浅知恵しかもたぬ下賤が考えそうなことだな」',
          '孤立したところを襲われた' + adventurer.short_name + 'は、動揺など微塵も見せぬまま静かに武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふん、信用していただいているところ、悪いが' + adventurer.self_call + 'にもご主人様から命令された「指名」があるからのう……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（大丈夫、きっと素晴らしいことを殿方に教えていただけるからのう……）',
        ]
      else
        [
          [
            '（ふぅむ…… まだ、時期ではないのう……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たちごとき、' + adventurer.self_call + 'がおらんでもどうとでもなるわ） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（ここは、一働きして信頼を稼ぐことにするか……）',
          ],
        ].sample
      end
    else
      [
        [
          '「数をたのみにするゲスどもが。 数の力に押されるほど' + adventurer.self_call + 'は非力ではないわ」',
          '冷たい口調で威圧しながら、' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「ふん…… 下賤な魔物ごときが、立場をわきまえるがいい」',
          adventurer.short_name + 'は冷たい双眸で魔物たちを睥睨している……',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
        ],
        [
          '素手とはいえ、鍛え上げられた冒険者である' + slave.short_name + 'は魔物たちをさばき続けている。',
          slave.short_name + 'は魔物たちを次々に投げとばし、叩きのめして入るが、息が上がり始めているようだ……',
          '休みを与えぬ魔物たちの波状攻撃は、ゆっくりと' + slave.short_name + 'の体力を削り取っていった……',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '（しつこすぎるっ！　いい加減にっ、しろっ！）',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'はあしらい続けている。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
        [
          '女をぐるりと取り巻く魔物たちは、ゆっくりといたぶるように' + slave.short_name + 'へと襲いかかる。',
          '数匹で同時に襲いかかる戦術を取れないように、' + slave.short_name + 'が障害物を利用しながら慎重に位置を選んでいる、ということも確かにある。',
          'だが魔物たちは知っているのだ。不覚をとらないように常に頭をフル回転させ、位置を選ぶ戦い方をすれば、ジリジリと女は消耗していく。',
          '並の女ならすでに限界が見えている頃だ。' + slave.short_name + 'がいまだしのぎ続けているのは、彼女自身の優れた能力による者だろう。' +
          'だが、このままではいずれ破滅が訪れるであろうことは、' + slave.short_name + 'も薄々気づき始めていた……',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。',
          'だが先行きを考えれば、楽観はできなかった。',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' + 
          'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '夜、体を休めるのは魔物たちも同じだ。',
          'だが彼らはボロ布やわらでできた思い思いのねぐらで休んでいる。外から襲われる可能性もないねぐらで休む魔物たちは、翌朝には十分に英気を養い、体力を回復させることができる。' + 
          slave.short_name + 'とは大違いだった。',
          '……時間の経過が、' + slave.short_name + 'の不利になることは明らかだった。',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' + 
          'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
        [
          'リーダー格の魔物が一声大きく鳴くと、他の魔物たちも返事をするように声を上げる。',
          'じろじろと、名残惜しげに' + slave.short_name + 'に視線を投げかけながら魔物たちは大きな地下牢からぞろぞろと去り始める。' +
            'ガチャリと錠を下ろした扉の向こうに見張りを残すと、魔物たちはねぐらへと引き上げて行った。',
          'すでに手足は鉛のように重く、息も荒れている。この地下牢の中には柔らかい寝床などどこにもない。硬い床に横たわっても疲労はほとんど抜けず、' +
            '弱っていくばかりだ。それでも' + slave.short_name + 'は一分でも長く眠りを得るために、安全な場所を探して眠りについた。',
          '破滅の足音が、すぐそこまで迫っていることは明らかだった……。',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（助けは、来ないのか、本当に……）',
          '弱音が、心の奥から湧き上がってくる。',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          'まだ、こんなところで負けるわけにはいかなかった。',
          slave.short_name + 'は己を叱咤する。自分で自分を励まさねば、折れてしまいそうだった。',
        ],
      ].sample
    else
      [
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '限界を超えた肺腑からはときおりカヒューカヒューと、甲高い笛のような音が漏れる。',
          'すでに' + slave.short_name + 'の肉体が限界を超えていることは明らかだった。',
          '好機と見て迂闊に近づいていきた魔物が、' + slave.short_name + 'の渾身の一撃を喰らって顎を割られて昏倒する。' +
            'もはや精神力だけで戦う' + slave.short_name + 'は、最後の体力を振り絞るように戦う。',
          '手下たちを前に出しながら、リーダー格の魔物は側近たちと' + slave.short_name + 'に狡猾な視線を投げかけている。いずれ' +
            slave.short_name + 'は折れるだろう。いまはただ' + slave.short_name + 'が潰れるのを待てばいいのだ……',
        ],
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「くぅぅっ、このぉぉっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name + 
          'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          slave.short_name + 'は忌々しく思う。',
          '次の魔物が襲いかかろうとするのをみて、' + slave.short_name + 'は構えをとる。こんなところで、こんなところでこんな奴らに犯されるわけにはいかなかった。',
        ],
        [
          '魔物たちが去ったあとの地下牢で、' + slave.short_name + 'は力なくぐったりと倒れ伏している。',
          'もう指一本も動かす体力も残ってはいない。今日犯されずに済んだことが奇跡のようだ。' +
            'だが悪運もこれまでだろう。今日、ここを抜け出せねば明日には魔物たちに犯されることは間違いない。',
          '今日中に逃げ出さねばならない。そう決意を固めようとするが、まぶたが重くなり、疲労によって意識が暗い泥の中に飲み込まれていく……',
          '……' + slave.short_name + 'はツキからも見放されたようだ……',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '「こんな上物とヤれるなんて、本当についているぜぇ！」',
            '「ぐぅぅ、このっ、離れろっ！」',
            '「へへへっ、もう無駄だぜぇ？　それに一度犯されたなら、もうあとは何回やっても同じだろ？」',
            slave.short_name + 'の必死の抵抗を押しのけるように、魔物たちは' + slave.short_name + 
            'の媚肉をむさぼる。もはや体力が底をついた' + slave.short_name + 'にとって、それを押しのけることは困難だった。',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「おらっ、しっかり飲めやっ！」',
            'だが' + slave.short_name + 'は顔を男のものから話すと、口から吐き出す。思ったよりも多くのドロドロとした白濁液と唾液が混じり合ったものが地下牢の床へと吐き出された。',
            '「ふんっ、こんなものを誰が飲み込んで……」',
            'その言葉は途中で乱暴に遮られた。',
            '「オラッ、何吐き出してんだ！　一滴残らず舌で舐めとるまで許さねえからなっ！」',
            '男の足が' + slave.short_name + 'の背中を蹴り、頭を踏みつけることで起き上がることを許さない。',
            '抵抗すれば魔物たちは徹底的な罰を与えた。抵抗はさらなる痛みを生み出すだけだ。ここはおとなしく従っておいた方が利口だ。',
            'そう' + slave.short_name + 'に思わせることで隷属を精神に刻み込むことが、男たちの目的なのだ……',
          ],
          [
            '「うああああぁぁぁァッ、無理ッ！　こんなの無理よおぉぉっ！」',
            '男たちにいわゆる駅弁スタイルの形で抱え上げられながら前後の穴を貫かれた' + slave.short_name + 'は、狂ったように叫ぶ。',
            '「お尻っ、お尻の中でギュルギュルいってっ、壊れるっ！　' + slave.self_call + 'のお尻が壊れるぅぅぅうぅぅッ！」',
            slave.short_name + 'が叫ぶのも当然だろう。' + slave.short_name + 'の直腸には大量の媚薬入り浣腸液が注入されていた。',
            '浣腸液と内容物たちは' + slave.short_name + 'の直腸の中で荒れ狂い、堪え難い苦痛を生み出して' + slave.short_name + 'の頭脳と精神を責めさいなむ',
            '直腸を肉槍が掻き回し、前の穴から薄壁越しに肉凶器が刺激を与えるたびに内臓の全てを掻き回されるかのような筆舌に尽くし難い苦痛と狂おしいほどの快楽が' + 
            slave.short_name + 'を直撃するのだ。',
            '「へへへっ、ケツ穴が今までにないほど締めつけてきて、うねってやがる。」',
            '「前の穴もいい感じだぜェ。揺すってやるたびにちんぽが一番奥まで届くと、ガクガク震えて最高だぁ」',
            '歯を食いしばり必死に意識を保とうとする' + slave.short_name + 'の肉穴で魔物たちは大いに楽しんだ。',
            '最後に男たちが肉棒を抜いた後、肉栓を失った尻穴は噴水のように内容物を吹き出し、その感覚に' + slave.short_name + 'は何度も何度も絶頂を重ねることになった……。',
          ],
          [
            '「おらっ、舌を出してちんぽの先を舐め上げるんだよっ！」',
            slave.short_name + 'は言われるがままに舌を出し、男の肉棒を舐め、甘い刺激を与えていく。もはやいちいち逆らう気概は残ってはいなかった。',
            '「胸にばかり栄養がいっているのかぁ？　物覚えの悪いメス豚だぜ」',
            '「へへっ、まあいいさ。物覚えが悪いってんなら、徹底的に躾けてやればいい。一人前の肉奴隷になれるんだから、お前もせいぜい俺たちに感謝するんだな」',
            '好き勝手に言う魔物たちの言葉に、ズキズキと' + slave.short_name + 'の傷付けられたプライドが痛んだ……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '「へへへっ、どうだぁ？　俺のちんぽ様のデカさはぁ？」',
            '魔物が言う通り、魔物の逸物の大きさは' + slave.short_name + 'の豊かな双丘で挟んでなお、亀頭が堂々と首を出す長さと太さを備えていた。',
            '「へへっ、うまくパイズリできたら、こいつで思いっきりブチ犯して、膣奥を叩いて子宮ごと突いてやるからなぁ」',
            '「うるさい……　胸でしてやるから……　黙ってろ……」',
            '忌々しげに' + slave.short_name + 'は言葉を吐くが、目の前に突きつけられた肉棒で手加減なしに貫かれたらどうなるかを想像し、その太ももには白く濁った愛液が垂れていった……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「……もう、やめて……　限界なの……」',
            '奇妙に平板な声で' + slave.short_name + 'はつぶやく。疲労の限界を超え、もうまともな感情の起伏を起こす余力もないのだ',
            '「本当に、死んでしまうの……　だから……」',
            '次の男が' + slave.short_name + 'を組み敷いた。たとえ死んだとしても許されるはずはない。この陵辱が終わるとすれば、それは' + slave.short_name + 'が奴隷宣言を行った時だけだ。',
            'そして、彼女にとって不幸なことに、' + _adventurer_type + 'としての優れた' + slave.short_name + 'の頑健な肉体は、まだそう簡単には壊れはしないだろう……',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'は横たわったままピクリとも動かない。',
            '時折うめき声をあげたりしなければ、死んでいるのではないかと思うほどだ。',
            '心身が摩滅しきった' + slave.short_name + 'には、もはや何かをしようという気力は残されていなかった。',
            'もう、諦めてもいいかな。そんな声が、頭の中から響く。考えることも億劫だった。穢されきった姿のまま、' + slave.short_name + 'は意識を手放した。',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end
end
