# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 舞
class Adventurer41Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人だからといって舐めないでよね！」',
          '自らを励ますように' + adventurer.short_name + 'は吠える',
        ],
        [
          '「たとえ一人だって、こんなピンチは抜け出してやる！」',
          '武器を構え、' + adventurer.short_name + 'は己を力づけるように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会…… だよねぇ…… こんな美味しいところ、見逃すわけないじゃん）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いかなー） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあるよ。今は好機をうかがうことにしようかな……）',
          ],
          [
            '（うーん、「今」ではないよね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、高みの見物といこっかな）',
          ],
        ].sample
      end
    else
      [
        [
          '「こんな雑魚相手には負けないよ！」',
          adventurer.short_name + 'は威勢よく叫んだ',
        ],
        [
          '「すぐに片付けてあげるよ！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
      ].sample
    end
  end
end
