# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 大妖精
class Adventurer48Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こんなところで、負けられない！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
        [
          '「こっ、こんなときにっ！？」',
          '孤立したところを襲われた' + adventurer.short_name + 'は慌てて武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、背中がガラ空き…… もっといいことを教えてあげるから……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだチャンスじゃないよね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たち相手なら、' + adventurer.self_call + 'なしでも倒せちゃうよね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（ふふっ、そのときが楽しみ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「ああ、またこんなに魔物たちが！」',
          adventurer.short_name + 'は敵に対して武器を構える。',
          '「ううっ、がんばります！」',
        ],
        [
          '「こ、こんなに魔物がいっぱい……」',
          '「チルノちゃん、見ててね…… ' + adventurer.self_call + '、頑張るから……」',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「こんなの、こんなの……　いやぁぁ………」',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
