# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 幽々子
class Adventurer49Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「あらあら。こちらが一人なら、勝てると思ったのかしら？」',
          'たとえ数の不利があっても' + adventurer.short_name + 'は負ける気がしないようだ。冷たい双眸が魔物たちを睨みつける。',
        ],
        [
          '「こちらが弱い時を狙うとは、少しは頭が回るようね」',
          '孤立したところを襲われた' + adventurer.short_name + 'は、慌てた様子もなく武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（あらあら、いけないわぁ。' + adventurer.self_call + 'を信用しては……）',
          '（こういうところでは味方だからって完全には信用してはいけないのよ。まあ、体で教えてあげることにするわ……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（あらあら、今日はまだ、そういう時ではないわね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（相手が雑魚ばかりでは、' + adventurer.self_call + 'の手助けも無用の様ね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（それなら、せいぜい活躍して信頼させておくのも手ね……）',
          ],
        ].sample
      end
    else
      [
        [
          '「あらあらこんなに。 少しは' + adventurer.self_call + 'が魔法で減らしておきましょう。あとはそれぞれで削るとしましょう」',
          '仲間に冷静に指示を出しながら、' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「ふふふ、数だけはおりますこと。' + adventurer.self_call + 'も少しは本気を出しましょうか」',
          '白い顔に強気な微笑を張り付かせ、' + adventurer.short_name + 'は武器を構えた',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は男の腰を降参だというように何度もタップするが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '「ああっ、うああぁぁぁっ！　こっ、こんなの卑怯よぉ……」',
            slave.short_name + 'は肉壺をほじられる感覚に達してしまい、悔しげに相手を睨む',
            '「へへへっ、媚薬を使われたくらいで憎い相手とのセックスでイクとは、大した淫乱女だぜ」',
            '「口答えしたから罰ゲームだ。媚薬を追加だなぁ」',
            'ブスリと、押さえつけられた' + slave.short_name + 'の腕に注射針が打ち込まれる。',
            '魔物たちは' + slave.short_name + 'が悔しそうに絶頂するたびに嘲るように笑っていた……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「おらっ、しっかり飲めやっ！」',
            'だが' + slave.short_name + 'は顔を男のものから話すと、口から吐き出す。思ったよりも多くのドロドロとした白濁液と唾液が混じり合ったものが地下牢の床へと吐き出された。',
            '「ふんっ、こんなものを誰が飲み込んで……」',
            'その言葉は途中で乱暴に遮られた。',
            '「オラッ、何吐き出してんだ！　一滴残らず舌で舐めとるまで許さねえからなっ！」',
            '男の足が' + slave.short_name + 'の背中を蹴り、頭を踏みつけることで起き上がることを許さない。',
            '抵抗すれば魔物たちは徹底的な罰を与えた。抵抗はさらなる痛みを生み出すだけだ。ここはおとなしく従っておいた方が利口だ。',
            'そう' + slave.short_name + 'に思わせることで隷属を精神に刻み込むことが、男たちの目的なのだ……',
          ],
          [
            '「うああああぁぁぁァッ、無理ッ！　こんなの無理よおぉぉっ！」',
            '男たちにいわゆる駅弁スタイルの形で抱え上げられながら前後の穴を貫かれた' + slave.short_name + 'は、狂ったように叫ぶ。',
            '「お尻っ、お尻の中でギュルギュルいってっ、壊れるっ！　' + slave.self_call + 'のお尻が壊れるぅぅぅうぅぅッ！」',
            slave.short_name + 'が叫ぶのも当然だろう。' + slave.short_name + 'の直腸には大量の媚薬入り浣腸液が注入されていた。',
            '浣腸液と内容物たちは' + slave.short_name + 'の直腸の中で荒れ狂い、堪え難い苦痛を生み出して' + slave.short_name + 'の頭脳と精神を責めさいなむ',
            '直腸を肉槍が掻き回し、前の穴から薄壁越しに肉凶器が刺激を与えるたびに内臓の全てを掻き回されるかのような筆舌に尽くし難い苦痛と狂おしいほどの快楽が' + 
            slave.short_name + 'を直撃するのだ。',
            '「へへへっ、ケツ穴が今までにないほど締めつけてきて、うねってやがる。」',
            '「前の穴もいい感じだぜェ。揺すってやるたびにちんぽが一番奥まで届くと、ガクガク震えて最高だぁ」',
            '歯を食いしばり必死に意識を保とうとする' + slave.short_name + 'の肉穴で魔物たちは大いに楽しんだ。',
            '最後に男たちが肉棒を抜いた後、肉栓を失った尻穴は噴水のように内容物を吹き出し、その感覚に' + slave.short_name + 'は何度も何度も絶頂を重ねることになった……。',
          ],
          [
            '「屈しないわ……　こんなことで、' + slave.self_call + 'は絶対に……」',
            '自分の中に残った抵抗の意思を確認するように、はっきりと呟いた。',
            '魔物たちはその言葉を聞いて嗜虐的な笑いを浮かべる。イキのいい女を壊すことほど楽しいものはない。',
          ],
          [
            '「うぅぅ、こんなひどい行為が、明日も続くの……」',
            '連日の陵辱は、確実に' + slave.short_name + 'の理性と抵抗を削り落としているようだ。',
            '「女のことを、なんだと思っているのよ……」',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '「おらっ、パイズリだけじゃなく、舌を出して胸の間から顔を出したおちんぽ様の先を舐め上げるんだよっ！」',
            slave.short_name + 'は言われるがままに舌を出し、男の肉棒を舐め、甘い刺激を与えていく。もはやいちいち逆らう気概は残ってはいなかった。',
            '「胸にばかり栄養がいっているのかぁ？　物覚えの悪いメス豚だぜ」',
            '「へへっ、まあいいさ。物覚えが悪いってんなら、徹底的に躾けてやればいい。一人前の肉奴隷になれるんだから、お前もせいぜい俺たちに感謝するんだな」',
            '好き勝手に言う魔物たちの言葉に、ズキズキと' + slave.short_name + 'の傷付けられたプライドが痛んだ……',
          ],
          [
            '「……こんなひどい行為…… 明日も続くの……」',
            '連日の陵辱は、確実に' + slave.short_name + 'の理性と抵抗を削り落としているようだ。',
            '「いやなのに……いやだって言ってるのにぃ……」',
            '涙声でつぶやく' + slave.short_name + 'の精神は、もはやかつての強靭さを失いつつある……',
          ],
        ].sample
      else
        [
          [
            '「へへへっ、パイズリもうまくなったじゃねえか！　無駄にデカい胸しているんだからちゃんと使わねえとなぁ！」',
            slave.short_name + 'は胸の上に乗った魔物に命じられるがままに熱心にパイズリ奉仕を続けている。',
            '「……はい、ありがとうございます……」',
            'もちろん使われている場所は胸だけではない。',
            '「オラッ、まんこ穴もしっかり締めつけろやっ！　セックスしか取り柄がない淫乱メス豚がっ！」',
            'バチィッ、と横尻を思い切り叩かれる。すでに' + slave.short_name + 'の尻は真っ赤に腫れ上がっていた。',
            slave.short_name + 'のことを魔物たちは都合の良い肉穴としかみてはおらず何の気遣いもない。だがもはや' + slave.short_name + 'には逆らう気力は残っておらず、精神が砕けるのも時間の問題だった……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end
end
