# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# ナズーリン
class Adventurer65Script < TohoBaseScript

  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人であっても負けはしない！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '単独で迷宮をさまよう' + adventurer.short_name + 'の行く手をふさぐように魔物たちが現れた！',
          '「一人でさまよう乙女を襲おうとするとは、呆れた奴らだねえ」',
          '軽口を叩いてはみるが、この危地を脱するには勝利するしかないのだ。' +
          adventurer.short_name + 'は己を叱咤するように武器を握る拳に力を込める。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '千載一遇の好機をつかんだ' + adventurer.short_name + 'は昏く嗤う',
          '（絶好の機会、というやつさ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いか……） ',
            '洗脳されたことで仲間を陥れる機会を伺っていた' + adventurer.short_name + 'は冷静に彼我の戦力を見極める。',
            '成算の少ない賭けに興味がない' + adventurer.short_name + 'は今はおとなしくすることに決めたようだ。',
          ],
          [
            '（こんな魔物たち相手なら、楽勝そうだ……。それなら' + adventurer.self_call + 'も、点数稼ぎをすることにしようか） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（お楽しみはあとにとっておこう……）',
          ],
        ].sample
      end
    else
      [
        [
          '「おやおや、ずいぶん汚いやつらだ。臭うから近寄らないでもらえるかい？」',
          '相手を挑発するように軽口を叩きながら、' + adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「そんなに' + adventurer.self_call + 'の実力を見たいのかい？」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end
end
