# coding: utf-8
# 冒険者一覧
module DungeonsList::Adventurers::FGO
  # 今の所 66 キャラ
  # [剣]
  # アルトリア
  # アルトリアオルタ
  # モードレッド
  # ネロ
  # 鈴鹿御前
  # [アーチャー]
  # イシュタル
  # アタランテ
  # 織田信長
  # 浅上藤乃
  # エウリュアレ
  # [槍]
  # イシュタル
  # スカサハ
  # 哪吒
  # エリザベート
  # オルトリンデ
  # ヒルド
  # スルーズ
  # [騎]
  # ケツァルコアトル
  # ドレイク
  # メイヴ
  # マルタ 秩序 / 善
  # マリー 秩序 / 善
  # メドゥーサ 混沌 / 善
  # ブーティカ 中立 / 善
  # 牛若丸 混沌、中庸
  # [術]
  # 玉藻の前 中立 / 悪
  # アナスタシア 中立 / 中庸
  # 三蔵 秩序 / 善
  # エレナ 混沌 / 善
  # ニトクリス 秩序 / 善
  # キルケー 混沌・中庸
  # メディア 中立 / 悪
  # アイリスフィール 混沌 / 善
  # ナーサリーライム 中/中
  # [殺]
  # クレオパトラ 秩序 / 中庸
  # ジャック 混沌 / 悪
  # ヒロインX 混沌 / 善
  # 刑部姫 混沌 / 中庸
  # セミラミス 秩序・悪
  # 酒呑童子 混沌 / 悪
  # カーミラ 混沌 / 悪
  # ステンノ 混沌 / 善
  # 両儀式 混沌 / 善
  # 荊軻 混沌 / 善
  # 段蔵 中立/ 中庸
  # 静謐 秩序 / 悪
  # 百貌 秩序 / 悪
  # マタハリ 混沌 / 中庸
  # [狂]
  # ナイチンゲール 秩序 / 善
  # 頼光 混沌 / 善
  # ヒロインXオルタ 中立 / 悪
  # タマモキャット 混沌 / 善
  # 茨木童子 混沌 / 悪
  # 茶々 混沌 / 中庸
  # エルドラドのバーサーカー 秩序 / 善
  # 清姫 混沌 / 悪
  # アタランテオルタ 混沌 / 悪
  # [他]
  # ジャンヌ 秩序 / 善
  # ジャンヌオルタ 混沌 / 悪
  # メルトリリス 秩序 / 善
  # 沖田オルタ 中立 / 中庸
  # キアラ 混沌 / 悪
  # アビゲイル 混沌 / 悪
  # 北斎 混沌 / 中庸
  # BB 混沌・善
  # パッションリップ 秩序・中庸

  # 最初から捕獲枠
  # マシュ 秩序・善
  # フランケンシュタイン 混沌 / 中庸
  # アルテミス[弓] 混沌、中庸

  # 後から追加枠
  # 後：ダヴィンチ[術] 混沌 / 善
  # 後：水着BB 混沌・悪
  # 後：ブリュンヒルデ[槍] 中立 / 善
  # 後：ゴルゴーン[讐] 混沌 / 悪
  # 後：水着ネロ[術] 混沌 / 夏
  # 前：水着ジャンヌオルタ[狂] 混沌 / 中庸
  # 前：水着マルタ 秩序 / 善
  # 前：アルテラ[剣] 混沌、善
  # 前：アルトリアリリィ[剣] 秩序、善
  # 前：沖田総司[剣] 中、中
  # 斥：水着謎のヒロインXX 秩序・善
  # 斥：メドゥーサ[槍] 中立 / 善
  # 斥：メディアリリィ[術] 秩序 / 善
  # 斥：水着マリー[術] 秩序 / 善
  # 斥：水着信長[狂] 混沌 / 夏
  ADVENTURERS_LIST = {
    1 => {
      name: 'アルトリア',
      short_name: 'アルトリア',
      equip_point_bonus: 5,
      positiveness: 1,
      lawful_level: 'lawful',
      good_level: 'good', # good, neutral, evil
      honor: 30,
      class_type: 'fighter',
      class_name: '騎士王',
      short_class_type: '剣',
      battle_bonus: 5,
      life_point_bonus: 20,
      hooter_level: 1,
      talents: [:good_looking, :gallant, :famous],
    },
    2 => {
      name: 'アルトリアオルタ',
      short_name: 'アルトリアオルタ',
      positiveness: 1,
      lawful_level: 'lawful',
      good_level: 'evil', # good, neutral, evil
      class_type: 'fighter',
      class_name: '王',
      short_class_type: '剣',
      battle_bonus: 7,
      life_point_bonus: 20,
      talents: [:good_looking, :gallant, :famous],
    },
    3 => {
      name: 'モードレッド',
      short_name: 'モードレッド',
      positiveness: 2,
      equip_point_bonus: 5,
      lawful_level: 'chaotic',
      good_level: 'neutral', # good, neutral, evil
      class_type: 'fighter',
      class_name: '騎士',
      short_class_type: '剣',
      battle_bonus: 6,
      life_point_bonus: 20,
      hooter_level: 1,
      talents: [:funatic, :good_looking, :saucy],
    },
    4 => {
      name: 'ネロ',
      short_name: 'ネロ',
      equip_point_bonus: 5,
      positiveness: 1,
      lawful_level: 'chaotic',
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '皇帝',
      short_class_type: '剣',
      self_call: '余',

      battle_bonus: 8,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:good_looking, :gallant, :famous],
    },
    5 => {
      name: '鈴鹿御前',
      short_name: '鈴鹿御前',
      positiveness: 0,
      lawful_level: 'neutral',
      good_level: 'evil', # good, neutral, evil
      class_type: 'fighter',
      class_name: '戦士',
      short_class_type: '剣',
      battle_bonus: 3,
      talents: [:good_looking],
    },
    6 => {
      name: 'イシュタル',
      short_name: 'イシュタル',
      positiveness: 1,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '女神',
      short_class_type: '弓',
      battle_bonus: 5,
      life_point_bonus: 20,
      hooter_level: 1,
      talents: [:good_looking, :gallant, :famous],
    },
    7 => {
      name: 'アタランテ',
      short_name: 'アタランテ',
      positiveness: 1,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'fighter',
      class_name: '弓使い',
      short_class_type: '弓',
      battle_bonus: 5,
      life_point_bonus: 10,
      talents: [:good_looking, :gallant],
    },
    8 => {
      name: '織田信長',
      short_name: '信長',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: '前右府',
      short_class_type: '弓',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:famous],
      best_friendly_adv_list: [54],
      friendly_list: [54],
    },
    9 => {
      name: '浅上藤乃',
      short_name: '藤乃',
      positiveness: 2,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'wizard',
      class_name: '能力者',
      short_class_type: '弓',
      talents: [:good_looking],
    },
    10 => {
      name: 'エウリュアレ',
      short_name: 'エウリュアレ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '女神',
      short_class_type: '弓',
      hooter_level: 1,
      talents: [:good_looking, :charming],
    },
    11 => {
      name: 'エレシュキガル',
      short_name: 'エレシュキガル',
      positiveness: 1,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '女神',
      short_class_type: '槍',
      battle_bonus: 5,
      life_point_bonus: 20,
      hooter_level: 1,
      talents: [:good_looking, :gallant, :famous],
    },
    12 => {
      name: 'スカサハ',
      short_name: 'スカサハ',
      positiveness: 2,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '女王',
      short_class_type: '槍',
      battle_bonus: 20,
      life_point_bonus: 50,
      hooter_level: 3,
      talents: [:good_looking, :hooters, :good_hooters, :gallant, :famous],
    },
    13 => {
      name: '哪吒',
      short_name: '哪吒',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '戦士',
      short_class_type: '槍',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
    },
    14 => {
      name: 'エリザベート',
      short_name: 'エリザベート',
      positiveness: 2,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'fighter',
      class_name: 'アイドル',
      short_class_type: '槍',
      hooter_level: 1,
      talents: [:charming, :saucy],
    },
    15 => {
      name: 'オルトリンデ',
      short_name: 'オルトリンデ',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '戦乙女',
      short_class_type: '槍',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy],
      best_friendly_adv_list: [71, 16, 17],
      friendly_list: [71, 16, 17],
    },
    16 => {
      name: 'ヒルド',
      short_name: 'ヒルド',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '戦乙女',
      short_class_type: '槍',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy],
      best_friendly_adv_list: [71, 15, 17],
      friendly_list: [71, 15, 17],
    },
    17 => {
      name: 'スルーズ',
      short_name: 'スルーズ',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '戦乙女',
      short_class_type: '槍',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy],
      best_friendly_adv_list: [71, 15, 16],
      friendly_list: [71, 15, 16],
    },
    18 => {
      name: 'ケツァルコアトル',
      short_name: 'ケツァルコアトル',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '女神',
      short_class_type: '騎',
      self_call: 'ワタシ',
      battle_bonus: 20,
      life_point_bonus: 40,
      hooter_level: 3,
      talents: [:hooters, :good_hooters, :gallant, :famous],
    },
    19 => {
      name: 'ドレイク',
      short_name: 'ドレイク',
      positiveness: 2,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: '海賊',
      short_class_type: '騎',
      self_call: 'アタシ',
      battle_bonus: 6,
      life_point_bonus: 10,
      hooter_level: 3,
      talents: [:hooters, :good_hooters, :gallant, :famous],
    },
    20 => {
      name: 'メイヴ',
      short_name: 'メイヴ',
      positiveness: 2,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'fighter',
      class_name: '女王',
      short_class_type: '騎',
      self_call: '私',
      battle_bonus: 12,
      life_point_bonus: 40,
      hooter_level: 3,
      talents: [:hooters, :good_hooters, :saucy, :famous],
    },
    # 戦士14 魔法使い4 盗賊2

    21 => {
      name: 'マルタ',
      short_name: 'マルタ',
      positiveness: 1,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '聖女',
      short_class_type: '騎',
      self_call: '私',
      battle_bonus: 10,
      life_point_bonus: 10,
      hooter_level: 3,
      talents: [:hooters, :good_hooters, :gallant, :famous],
    },
    22 => {
      name: 'マリー',
      short_name: 'マリー',
      positiveness: -1,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '王妃',
      short_class_type: '騎',
      self_call: 'わたし',
      talents: [:charming, :famous],
    },
    23 => {
      name: 'メドゥーサ',
      short_name: 'メドゥーサ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: '怪物',
      short_class_type: '騎',
      talents: [:gallant],
    },
    24 => {
      name: 'ブーティカ',
      short_name: 'ブーティカ',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '女王',
      short_class_type: '騎',
      self_call: 'あたし',
      battle_bonus: 3,
      life_point_bonus: 10,
      hooter_level: 3,
      talents: [:hooters, :gallant],
    },
    25 => {
      name: '牛若丸',
      short_name: '牛若丸',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'fighter',
      class_name: '御曹司',
      short_class_type: '騎',
      self_call: '私',
      battle_bonus: 10,
      life_point_bonus: 10,
      talents: [:saucy, :funatic],
    },
    26 => {
      name: '玉藻の前',
      short_name: '玉藻の前',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'wizard',
      class_name: '傾城',
      short_class_type: '術',
      battle_bonus: 5,
      life_point_bonus: 5,
      hooter_level: 3,
      talents: [:charming, :hooters],
    },
    27 => {
      name: 'アナスタシア',
      short_name: 'アナスタシア',
      positiveness: -1,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'wizard',
      class_name: '王女',
      short_class_type: '術',
      self_call: 'わたくし',
      battle_bonus: 7,
      life_point_bonus: 30,
      talents: [:charisma, :gallant, :famous],
    },
    28 => {
      name: '玄奘三蔵',
      short_name: '玄奘三蔵',
      positiveness: 1,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '高僧',
      short_class_type: '術',
      battle_bonus: 6,
      life_point_bonus: 40,
      hooter_level: 3,
      talents: [:gallant, :famous],
    },
    29 => {
      name: 'エレナ',
      short_name: 'エレナ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '魔術師',
      short_class_type: '術',
      hooter_level: 1,
    },
    30 => {
      name: 'ニトクリス',
      short_name: 'ニトクリス',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: 'ファラオ',
      short_class_type: '術',
      hooter_level: 3,
      talents: [:saucy, :hooters, :good_hooters],
    },
    31 => {
      name: 'オケアノスのキャスター',
      short_name: 'キルケー',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'wizard',
      class_name: '魔術師',
      short_class_type: '術',
      talents: [:saucy],
    },
    32 => {
      name: 'メディア',
      short_name: 'メディア',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'wizard',
      class_name: '王女',
      short_class_type: '術',
      talents: [:gallant],
    },
    33 => {
      name: 'アイリスフィール',
      short_name: 'アイリスフィール',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: 'ホムンクルス',
      short_class_type: '術',
      battle_bonus: 4,
      life_point_bonus: 30,
      hooter_level: 3,
      talents: [:good_hooters],
    },
    34 => {
      name: 'ナーサリーライム',
      short_name: 'ナーサリーライム',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'wizard',
      class_name: '物語',
      short_class_type: '術',
      hooter_level: 0,
    },
    35 => {
      name: 'クレオパトラ',
      short_name: 'クレオパトラ',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: 'ファラオ',
      short_class_type: '殺',
      battle_bonus: 5,
      life_point_bonus: 5,
      hooter_level: 3,
      talents: [:saucy, :hooters, :good_hooters],
    },
    36 => {
      name: 'ジャック',
      short_name: 'ジャック',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: '孤児',
      short_class_type: '殺',
      battle_bonus: 15,
      life_point_bonus: 10,
      hooter_level: 0,
    },
    37 => {
      name: 'ヒロインX',
      short_name: 'ヒロインX',
      positiveness: 1,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: 'セイバー',
      short_class_type: '殺',
      hooter_level: 1,
      talents: [:saucy],
    },
    38 => {
      name: '刑部姫',
      short_name: '刑部姫',
      positiveness: -2,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: '城化物',
      self_call: '姫',
      short_class_type: '殺',
      hooter_level: 3,
      talents: [:saucy, :hooters],
    },
    39 => {
      name: 'セミラミス',
      short_name: 'セミラミス',
      positiveness: 2,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: '女王',
      short_class_type: '殺',
      self_call: '我',
      battle_bonus: 7,
      life_point_bonus: 10,
      hooter_level: 3,
      talents: [:hooters, :good_hooters, :gallant, :famous],
    },
    40 => {
      name: '酒呑童子',
      short_name: '酒呑童子',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: '鬼',
      short_class_type: '殺',
      self_call: 'うち',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy, :famous],
      best_friendly_adv_list: [53],
      friendly_list: [53],
    },
    # 戦, 魔, 盗
    # 18, 15, 7
    41 => {
      name: 'カーミラ',
      short_name: 'カーミラ',
      positiveness: 1,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: '女領主',
      short_class_type: '殺',
      talents: [:gallant, :good_hooters],
    },
    42 => {
      name: 'ステンノ',
      short_name: 'ステンノ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: '女神',
      short_class_type: '殺',
      hooter_level: 1,
      talents: [:saucy, :charming],
    },
    43 => {
      name: '両儀式',
      short_name: '式',
      positiveness: -1,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: '魔眼持ち',
      short_class_type: '殺',
      self_call: 'オレ',
      battle_bonus: 12,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy, :charming],
    },
    44 => {
      name: '荊軻',
      short_name: '荊軻',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: '暗殺者',
      short_class_type: '殺',
      hooter_level: 1,
      talents: [:saucy],
    },
    45 => {
      name: '加藤段蔵',
      short_name: '段蔵',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: '忍者',
      short_class_type: '殺',
    },
    46 => {
      name: '静謐のハサン',
      short_name: '静謐',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: 'ハサン',
      short_class_type: '殺',
      battle_bonus: 5,
      life_point_bonus: 5,
      hooter_level: 1,
      talents: [:saucy, :charming],
    },
    47 => {
      name: '百貌のハサン',
      short_name: '百貌',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: 'ハサン',
      short_class_type: '殺',
      battle_bonus: 5,
      life_point_bonus: 5,
      talents: [:saucy],
    },
    48 => {
      name: 'マタハリ',
      short_name: 'マタハリ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: '踊り子',
      short_class_type: '殺',
      hooter_level: 3,
      talents: [:charming],
    },
    49 => {
      name: 'ナイチンゲール',
      short_name: 'ナイチンゲール',
      positiveness: 1,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '婦長',
      short_class_type: '狂',
      battle_bonus: 20,
      life_point_bonus: 5,
      hooter_level: 3,
      talents: [:gallant, :good_looking, :tough_mind, :hooters, :famous, :tenacious],
    },
    50 => {
      name: '源頼光',
      short_name: '頼光',
      positiveness: 1,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '侍',
      short_class_type: '狂',
      battle_bonus: 20,
      life_point_bonus: 20,
      hooter_level: 3,
      talents: [:gallant, :good_looking, :tough_mind, :hooters, :famous, :tenacious],
    },
    51 => {
      name: 'ヒロインXオルタ',
      short_name: 'ヒロインXオルタ',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: 'セイバー',
      short_class_type: '狂',
      battle_bonus: 5,
      life_point_bonus: 5,
      hooter_level: 1,
      talents: [:saucy],
    },
    52 => {
      name: 'タマモキャット',
      short_name: 'タマモキャット',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: 'メイド',
      short_class_type: '狂',
      talents: [:charming],
    },
    53 => {
      name: '茨木童子',
      short_name: '茨木童子',
      positiveness: 2,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'fighter',
      class_name: '鬼',
      short_class_type: '狂',
      self_call: '吾',
      battle_bonus: 10,
      life_point_bonus: 5,
      hooter_level: 1,
      talents: [:saucy, :famous],
      best_friendly_adv_list: [40],
      friendly_list: [40],
    },
    54 => {
      name: '茶々',
      short_name: '茶々',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'fighter',
      class_name: '姫',
      short_class_type: '狂',
      self_call: '妾',
      hooter_level: 1,
      talents: [:saucy, :charming],
      best_friendly_adv_list: [8, 81],
      friendly_list: [8, 81],
    },
    55 => {
      name: 'エルドラドのバーサーカー',
      short_name: 'ペンテシレイア',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: 'アマゾネス',
      short_class_type: '狂',
      battle_bonus: 10,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy],
    },
    56 => {
      name: '清姫',
      short_name: '清姫',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: '姫',
      short_class_type: '狂',
      talents: [:saucy],
    },
    57 => {
      name: 'アタランテオルタ',
      short_name: 'アタランテオルタ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'scout',
      class_name: '戦士',
      short_class_type: '狂',
      hooter_level: 2,
      talents: [:saucy],
    },
    # 戦, 魔, 盗
    # 24, 15, 18

    58 => {
      name: 'ジャンヌ',
      short_name: 'ジャンヌ',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '聖女',
      short_class_type: '裁',
      battle_bonus: 10,
      life_point_bonus: 50,
      talents: [:gallant, :charming, :famous],
    },
    59 => {
      name: 'ジャンヌオルタ',
      short_name: 'ジャンヌオルタ',
      positiveness: 1,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'wizard',
      class_name: '竜の魔女',
      short_class_type: '讐',
      battle_bonus: 12,
      life_point_bonus: 30,
      talents: [:gallant, :charming, :funatic],
    },
    60 => {
      name: 'メルトリリス',
      short_name: 'メルトリリス',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: 'アルターエゴ',
      short_class_type: '別',
      battle_bonus: 10,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy],
    },
    61 => {
      name: '沖田総司オルタ',
      short_name: '沖田オルタ',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'fighter',
      class_name: '決戦兵器',
      short_class_type: '別',
      battle_bonus: 15,
      life_point_bonus: 15,
      hooter_level: 3,
      talents: [:saucy, :hooters, :good_hooters],
    },
    62 => {
      name: '殺生院キアラ',
      short_name: 'キアラ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'wizard',
      class_name: '破戒僧',
      short_class_type: '別',
      battle_bonus: 12,
      life_point_bonus: 10,
      hooter_level: 3,
      talents: [:charming, :hooters, :good_hooters, :tenacious],
    },
    63 => {
      name: 'アビゲイル・ウィリアムズ',
      short_name: 'アビゲイル',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'wizard',
      class_name: '人理への脅威',
      short_class_type: '降',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
    },
    64 => {
      name: '葛飾北斎',
      short_name: '北斎',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'wizard',
      class_name: '画工',
      short_class_type: '降',
      self_call: 'おれ',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy],
    },
    65 => {
      name: 'ＢＢ',
      short_name: 'ＢＢ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: 'ムーンキャンサー',
      short_class_type: '月',
      battle_bonus: 10,
      life_point_bonus: 20,
      hooter_level: 3,
      talents: [:saucy, :charming, :hooters, :good_hooters],
    },
    66 => {
      name: 'パッションリップ',
      short_name: 'パッションリップ',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: 'ムーンキャンサー',
      short_class_type: '別',
      battle_bonus: 10,
      life_point_bonus: 20,
      hooter_level: 4,
      talents: [:gallant, :hooters],
    },
    # 戦, 魔, 盗
    # 22, 22, 22
  }

  APPEND_ADVENTURERS_LIST = {
    67 => {
      name: 'レオナルド・ダヴィンチ',
      short_name: 'ダヴィンチ',
      positiveness: -1,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '天才',
      short_class_type: '術',
      battle_bonus: 10,
      life_point_bonus: 20,
      hooter_level: 3,
      talents: [:hooters, :good_hooters],
    },
    68 => {
      name: '水着ＢＢ',
      short_name: '水着ＢＢ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'wizard',
      class_name: 'ムーンキャンサー',
      short_class_type: '月',
      battle_bonus: 10,
      life_point_bonus: 20,
      hooter_level: 3,
      talents: [:charming, :hooters, :good_hooters, :saucy],
    },
    69 => {
      name: 'ゴルゴーン（メデューサ）',
      short_name: 'ゴルゴーン',
      positiveness: 1,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'evil', # good, neutral, evil
      class_type: 'wizard',
      class_name: '怪物',
      short_class_type: '讐',
      battle_bonus: 7,
      life_point_bonus: 20,
      hooter_level: 3,
      talents: [:gallant, :hooters],
    },
    70 => {
      name: '水着ネロ・クラウディス',
      short_name: 'ネロ',
      positiveness: 2,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'wizard',
      class_name: '皇帝',
      short_class_type: '水着、術',
      self_call: '余',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy, :famous, :funatic],
    },
    71 => {
      name: 'ブリュンヒルデ',
      short_name: 'ブリュンヒルデ',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'wizard',
      class_name: '戦乙女',
      short_class_type: '槍',
      battle_bonus: 5,
      life_point_bonus: 10,
      talents: [:gallant, :famous],
      best_friendly_adv_list: [15, 16, 17],
      friendly_list: [15, 16, 17],
    },
    72 => {
      name: '水着ジャンヌオルタ',
      short_name: 'ジャンヌオルタ',
      positiveness: 0,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'fighter',
      class_name: '同人作家',
      short_class_type: '水着、狂',
      battle_bonus: 12,
      life_point_bonus: 30,
      talents: [:saucy, :funatic],
    },
    73 => {
      name: 'アルテラ',
      short_name: 'アルテラ',
      positiveness: 1,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '文明の破壊者',
      short_class_type: '剣',
      battle_bonus: 7,
      life_point_bonus: 10,
      talents: [:gallant, :famous, :funatic],
    },
    74 => {
      name: '水着マルタ',
      short_name: 'マルタ',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '聖女',
      short_class_type: '水着、裁',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 3,
      talents: [:saucy, :hooters, :good_hooters, :famous],
    },
    75 => {
      name: 'アルトリア・リリィ',
      short_name: 'アルトリアリリィ',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'fighter',
      class_name: '少女騎士',
      short_class_type: '剣',
      hooter_level: 1,
      talents: [:saucy],
    },
    76 => {
      name: '沖田総司',
      short_name: '沖田総司',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'fighter',
      class_name: '新撰組隊士',
      short_class_type: '剣',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:gallant],
    },
    77 => {
      name: 'メデューサ（アナ）',
      short_name: 'アナ',
      positiveness: 0,
      lawful_level: 'neutral', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: 'ランサー',
      short_class_type: '槍',
      battle_bonus: 3,
      life_point_bonus: 5,
      hooter_level: 1,
      talents: [:saucy],
    },
    78 => {
      name: '水着謎のヒロインXX',
      short_name: '謎のヒロインXX',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: '宇宙警察官',
      short_class_type: '水着、降',
      battle_bonus: 5,
      life_point_bonus: 10,
      hooter_level: 1,
      talents: [:saucy],
    },
    79 => {
      name: 'メディア・リリィ',
      short_name: 'メディアリリィ',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: '姫魔術師',
      short_class_type: '術',
      hooter_level: 1,
      talents: [:gallant],
    },
    80 => {
      name: '水着マリー',
      short_name: 'マリー',
      positiveness: 0,
      lawful_level: 'lawful', # lawful, neutral, chaotic
      good_level: 'good', # good, neutral, evil
      class_type: 'scout',
      class_name: 'キャスター',
      short_class_type: '水着、術',
      talents: [:charming, :famous],
    },
    81 => {
      name: '水着織田信長',
      short_name: '水着信長',
      positiveness: 1,
      lawful_level: 'chaotic', # lawful, neutral, chaotic
      good_level: 'neutral', # good, neutral, evil
      class_type: 'scout',
      class_name: 'ロックミュージシャン',
      short_class_type: '水着、狂',
      hooter_level: 1,
      talents: [:saucy],
      best_friendly_adv_list: [54],
      friendly_list: [54],
    },
  }
end
