# -*- encoding: utf-8 -*-
# stub: jrubyfx 1.1.1 java lib

Gem::Specification.new do |s|
  s.name = "jrubyfx"
  s.version = "1.1.1"
  s.platform = "java"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Patrick Plenefisch", "Thomas E Enebo", "Hiroshi Nakamura", "Hiro Asari"]
  s.date = "2014-11-05"
  s.description = "Enables JavaFX with FXML controllers and application in pure ruby"
  s.email = ["simonpatp@gmail.com", "tom.enebo@gmail.com", "nahi@ruby-lang.org", "asari.ruby@gmail.com"]
  s.executables = ["jrubyfx-generator", "jrubyfx-jarify", "jrubyfx-compile"]
  s.files = ["bin/jrubyfx-compile", "bin/jrubyfx-generator", "bin/jrubyfx-jarify"]
  s.homepage = "https://github.com/jruby/jrubyfx"
  s.licenses = ["Apache-2.0"]
  s.rubyforge_project = "jrubyfx"
  s.rubygems_version = "2.4.8"
  s.summary = "JavaFX for JRuby with FXML"

  s.installed_by_version = "2.4.8" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_runtime_dependency(%q<jrubyfx-fxmlloader>, [">= 0.4"])
    else
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<jrubyfx-fxmlloader>, [">= 0.4"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<jrubyfx-fxmlloader>, [">= 0.4"])
  end
end
