# coding: utf-8
# ドメインロジック含みすぎの代物をエンジンに飲ませられる形に成形する

%w(chain_view item_maker).each do |src_name|
  require_rrk 'src/app/chain_engine/' + src_name
end

require_rrk 'src/app/chain_engine_cover/dungeon/helper/view_size_helper'

class ViewElementConverter
  include ViewSizeHelper

  def initialize
    @chain_view = ChainView.new
    @item_maker = ItemMaker.new
  end

  # グループメニュー用
  def refresh_menu_list_to(menu_list, elements)
    menu_buttons = @chain_view.convert_buttons_from(elements, MENU_LIST_WIDTH)
    @chain_view.refresh_items_to_xx_list(menu_list, menu_buttons)
  end

  def make_menu_items_to(elements)
    menu_buttons = @item_maker.convert_button_configs_from(elements, MENU_LIST_WIDTH)
  end

  def make_script_menu_items_to(elements)
    script_menu_buttons = @item_maker.convert_button_configs_from(elements, SCRIPT_LIST_WIDTH)
  end

  def make_scripts_from(elements)
    scripts_labels = @item_maker.convert_script_labels_from(elements, SCRIPT_LIST_WIDTH)
  end
end