# coding: utf-8
require_rrk 'src/app/service/dungeon/module/dungeon_common'

class MerchantService
  include DungeonCommon
  def initialize
  end

  SELL_PRICE_RATE = 0.8
  def calculate_sell_info(slave)
    # 冒険者としての能力中心
    adventurer_status_price =
      (slave.level * 500) +
        (slave.max_level * 500) +
        (slave.honor * 500) +
        (slave.max_honor * 500)

    # 陵辱回数中心
    sex_status_price =
      (slave.force_sex_exp * 7) +
        (slave.men_exp) * 7 +
        (slave.lesbian_exp * 3) +
        (slave.v_sex_exp * 14) +
        (slave.a_sex_exp * 10) +
        (slave.oral_exp * 10) +
        (slave.c_orgasm_count * 1.4) +
        (slave.v_orgasm_count * 3.5) +
        (slave.a_orgasm_count * 2.8) +
        (slave.b_orgasm_count * 2.1) +
        (slave.oral_sperm_shot * 1.4) +
        (slave.v_sperm_shot * 2.1) +
        (slave.a_sperm_shot * 1.4) +
        (slave.skin_sperm_shot * 0.7)

    bonus_texts = []
    status_bonus = 1.0
    [:good_looking, :hooters, :good_hooters].each do |skill|
      if slave.has_talent?(skill)
        talent_name = slave.get_talents_name(skill)
        bonus_texts << "[#{talent_name}によるボーナス x 20%]"
        status_bonus += 0.2
      end
    end
    [:charisma, :famoues, :charming].each do |skill|
      if slave.has_talent?(skill)
        talent_name = slave.get_talents_name(skill)
        bonus_texts << "[#{talent_name}によるボーナス x 80%]"
        status_bonus += 0.8
      end
    end
    [:semen_holic, :oral_semen_holic, :v_semen_holic, :a_semen_holic, :aphrodisiac].each do |skill|
      if slave.has_skill_holic?(skill)
        talent_name = slave.get_skill_holic_name(skill)
        bonus_texts << "[#{talent_name}によるボーナス x 30%]"
        status_bonus += 0.3
      end
    end

    [:c_sensitive, :v_sensitive, :a_sensitive, :b_sensitive].each do |skill|
      if slave.has_bad_status_in_body?(skill)
        talent_name = slave.get_bad_status_in_body_name(skill)
        bonus_texts << "[#{talent_name}によるボーナス x 30%]"
        status_bonus += 0.3
      end
    end

    if slave.has_talent?(:noble)
      status_bonus += 0.3
      bonus_texts << '[「階級：貴族」によるボーナス x 30%]'
    end
    if slave.has_talent?(:royal)
      status_bonus += 1.0
      bonus_texts << '[「階級：王族」によるボーナス x 100%]'
    end
    if slave.has_talent?(:knight)
      status_bonus += 0.5
      bonus_texts << '[「ステータス：騎士叙勲」によるボーナス x 50%]'
    end
    if slave.has_talent?(:dark_hero)
      status_bonus += 0.3
      bonus_texts << '[「ステータス：闇の英雄」によるボーナス x 30%]'
    end
    if slave.has_bad_status_in_body?(:breast_milk) # 噴乳体質
      status_bonus += 0.05
      bonus_texts << '[「ステータス：噴乳体質」によるボーナス x 20%]'
    end
    if slave.has_bad_status_in_body?(:breast_milk_ecstasy) # 噴乳快楽体質
      status_bonus += 0.05
      bonus_texts << '[「ステータス：噴乳快楽体質」によるボーナス x 20%]'
    end
    if slave.has_bad_sex_status?(:gang_rape_holic) # 輪姦被虐中毒
      status_bonus += 0.1
      bonus_texts << '[「ステータス：輪姦被虐中毒」によるボーナス x 10%]'
    end
    if slave.has_bad_sex_status?(:lewdness) # 淫乱
      status_bonus += 0.3
      bonus_texts << '[「ステータス：淫乱」によるボーナス x 30%]'
    end
    if slave.has_bad_sex_status?(:beast_sex_holic) # 獣姦中毒
      status_bonus += 0.1
      bonus_texts << '[「ステータス：獣姦中毒」によるボーナス x 10%]'
    end
    if slave.has_bad_sex_status?(:tentacle_sex_holic) # 触手姦中毒
      status_bonus += 0.05
      bonus_texts << '[「ステータス：触手姦中毒」によるボーナス x 10%]'
    end
    if slave.has_bad_sex_status?(:dirty_sex_holic) # 汚辱中毒
      status_bonus += 0.05
      bonus_texts << '[「ステータス：汚辱中毒」によるボーナス x 10%]'
    end

    # 巨乳ボーナス
    hooter_bonus =
      case slave.hooter_level
        when 6
          1.0
        when 5
          0.7
        when 4
          0.5
        when 3
          0.2
        else
          0
      end
    if hooter_bonus > 0
      hooter_bonus_rate = 100 * hooter_bonus
      bonus_texts << "[巨乳サイズ「#{slave.hooter_level_name}」によるボーナス x #{hooter_bonus_rate.to_i}%]"
      status_bonus += hooter_bonus
    end

    slave_total_price = (SELL_PRICE_RATE * # ここの係数を調整してお値段を考える
      (adventurer_status_price + sex_status_price) * status_bonus).to_i

    if slave.has_talent?(:hakurei)
      slave_total_price += 50_000
      bonus_texts << '[「博麗の巫女」によるボーナス + 50,000]'
    end
    if slave.has_talent?(:kazehohuri)
      slave_total_price += 50_000
      bonus_texts << '[「風祝の巫女」によるボーナス + 50,000]'
    end
    if slave.has_talent?(:gifted_of_load)
      slave_total_price += 50_000
      bonus_texts << '[「選ばれし者」によるボーナス + 50,000]'
    end
    if slave.has_talent?(:high_gifted_of_load)
      slave_total_price += 100_000
      bonus_texts << '[「神に選ばれし者」によるボーナス + 100,000]'
    end

    {
      adventurer: slave,
      slave_price: slave_total_price.to_i,
      adventurer_status_price: (SELL_PRICE_RATE * adventurer_status_price).to_i,
      sex_status_price: (SELL_PRICE_RATE * sex_status_price).to_i,
      status_bonus: status_bonus,
      skills: slave.skills,
      bonus_texts: bonus_texts,
    }
  end
end
