# coding: utf-8

require_rrk 'src/app/helper/game_define_helper'
require_rrk 'src/defines/dungeon/menu_helper/magic_factory_list_helper'

class Dungeon::FactoryMenuService
  include Dungeon::MagicFactoryListHelper

  def show_slave_positions(list)
    _show_slave_xxx_list(list, 'show_slave_position_detail_', 'show_magic_factory')
  end

  def show_slave_brothel_list(list)
    _show_slave_xxx_list(list, 'show_slave_position_detail_', 'show_magic_factory')
  end

  def _show_slave_xxx_list(list, prefix, back_action)
    lists =
      list.map do |key, slave|
        status_script = slave.short_status_script(slave.status)

        {
          'type' => 'button',
          'text' => "#{slave.short_name}：（#{status_script}）",
          'action' => "#{prefix}#{key}",
        }
      end
    back_menu = [
      {
        'type' => 'button',
        'text' => '戻る',
        'action' => back_action,
      }
    ]
    lists + back_menu
  end
end
