# coding: utf-8
require_rrk 'src/app/service/chain_engine/menu/spring_menu_service'

class SpringViewElementLogic < BaseViewElementLogic
  include ViewSizeHelper

  def initialize *args
    @spring_menu_service  = SpringMenuService.new
    super
  end

  def show_spring_house_menu(house)
    @spring_menu_service.show_house_cage_menu(house)
  end

  def select_spring_assign(slave, house)
    @spring_menu_service.select_spring_assign(slave, house)
  end

  def make_spring_report(house)
    @spring_menu_service.make_spring_report(house)
  end
end
