# coding: utf-8
module Dungeon
  module MainMenu
    module BarHelper
      # 冒険者の噂を聞く
      def show_adventurers
        elements = @menu_logic_controller.show_adventurers(@game_master, @hour_glass)
        assign_to_lists(elements)

        _scroll_to_top
      end

      def show_adventurers_only_prisoner
        elements = @menu_logic_controller.show_adventurers_only_prisoner(@game_master, @hour_glass)
        assign_to_lists(elements)

        _scroll_to_top
      end

      def show_adventurers_show_jails
        elements = @menu_logic_controller.show_adventurers_show_jails(@game_master, @hour_glass)
        assign_to_lists(elements)

        _scroll_to_top
      end

      def show_adventurers_with_bookmark
        elements = @menu_logic_controller.show_adventurers_with_bookmark(@game_master, @hour_glass)
        assign_to_lists(elements)

        _scroll_to_top
      end

      # 冒険中のパーティーの話を聞く
      def show_parties_in_dungeon
        elements = @menu_logic_controller.show_adventurers_in_dungeon(@game_master, @hour_glass)
        assign_to_lists(elements)

        _scroll_to_top
      end

      # 収容状態を見る
      # 地下室に監禁されている冒険者たち
    end
  end
end
