# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 針妙丸
class Adventurer10Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人でも負けはしない！ さあ、かかってきなさい！」',
          adventurer.short_name + 'は吠えると剣を構えた。',
        ],
        [
          '「一人だからといって、雑魚相手に負けはしない！！」',
          '自らを励ますように' + adventurer.short_name + 'は吠える',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会だね……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          'その表情に浮かぶ邪悪な笑いは、かつての高潔な精神は欠片たりとも残っていないことを示していた……',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いかな……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあるよ。今はうかがうことにしようかな……）',
          ],
          [
            '（今日のところは、好機ってやつじゃないよね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      [
        [
          '「体の大きさだけですべてが決まるわけではないぞ！ 実力の差を教えてやる！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「雑魚にかまけている時間なんてないんだ！」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          '無数にひしめく魔物たちを' + slave.short_name + 'は徒手空拳であしらう。',
          '武器を失ったとはいえ、実力の差は明らかだった。',
          '（いつか助けは来るから、だからそれまで耐え切らないと……）',
          '魔物たちは有効打を与えられていないようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「どうにかしてここを抜け出さないと…… なにかしゅだんはあるはず……」',
          '睡眠時間を削ってまで行われた' + slave.short_name + 'の努力は徒労に終わったようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「必ず、必ず助けは来る、そのはず……」',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '「このっ、身の程をわきまえろゲスどもめっ！」',
          slave.short_name + 'はさらに一体の魔物を組み伏せ、蹴り飛ばす。' +
            '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
      ].sample
    else
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「せいじゃ…… 助けてよ…… ' + slave.self_call + 'のことを嫌いになったの…… それとも最初から嫌いだったの……」',
          '部屋の隅で、宙の一点を見つめながら' + slave.short_name + 'はブツブツとなにごとかつぶやいている',
          '心身の限界がすぐそこまで迫っていることは明らかだった。',
        ],
      ].sample
    end
  end
end
