# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 永琳
class Adventurer14Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「あらあら、こちらが一人なら勝てると思ったのかしら？」',
          '危地にあるにもかかわらず' + adventurer.short_name + 'は不敵な笑みを浮かべる。',
          '「まあいいわ……。 その過ちは、' + adventurer.self_call + 'が報いを与えてあげるわ……」',
        ],
        [
          '「あらあら…… ふふふ、' + adventurer.self_call + 'の美貌は、呼んでもいない者まで引き寄せてしまうのね。」',
          '「慣れてはいるけれど、本当に困ったものだわ」',
          'まったく現状の危機を意にも介していないかのように、' + adventurer.short_name + 'は余裕のある表情を浮かべる',
          'その表情には、内心の中に抑え込まれている恐怖や動揺はかけらも現れてはいない……',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会だわ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（心配しないで…… いいことを教えてあげるのだから……）',
          '（この喜びを知ってしまえば、きっと' + adventurer.self_call + 'に感謝することになるわ……）',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いかしら） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。怜悧な' + adventurer.short_name +
              'の頭脳は素早く結論を出した。',
            '（チャンスはいくらでもあります。今は待つことですわ……）',
          ],
          [
            '（この数の敵では、負けるわけがないわ……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（ふふふ、今はただ、より深部に進めるよう促せばいいだけですもの……）',
          ],
        ].sample
      end
    else
      [
        [
          '「あらあら、勝てるはずもない戦いに挑むとは、知性が足りないんですの？」',
          adventurer.short_name + 'は敵を眺め武器を構える。',
          '「知性の不足は、威勢では補えないものですのに。」',
        ],
        [
          '「こんな雑魚相手に、負けるはずはないわ！」',
          adventurer.short_name + 'は威勢よく叫んだ',
          '「みんな、お互いをカバーして戦うの！」',
          'パーティーの仲間たちも、その言葉に勇気付けられたようだ',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '夜が更け、媚肉を嬲る背徳の宴は本日の分を終えた。魔物たちも一旦引き上げたようだ。',
            slave.short_name + 'にはたらい一杯分の水が与えられる。白濁液と魔物のドロドロとした得体の知れない体液まみれの肉体を、これでどうにかしろということらしい。',
            '「どうして' + adventurer.self_call + '、こんなに汚されて……」',
            '全身を拭うタオル代わりのボロ切れを絞ると、タライには白くドロドロとした汚らしい液体が広がっていく。もちろん水はそれしかない。' +
              slave.short_name + 'は全身をその汚らしい水で清めるしかないのだ。',
            '「いったい' + adventurer.self_call + 'がどんな罪を犯したというの、この罰は罪に見合うものなの……」',
            '静かに言葉を漏らす' + slave.short_name + 'の頬を涙が伝う。その問いに答える者などいない。',
            '女に飢えた魔物たちに敗北した、強いて言えばそれこそが罪なのだ……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「へへっ、一滴もこぼすんじゃねぇぞぉ。少しでもこぼしたら舌で舐め取らせてやるからなぁ」',
            '言われずとも' + slave.short_name + 'は、飲み込むつもりだった。魔物の精液の量は、飲み込まずにおけばたちまちに窒息しそうになる。' +
              'かといって吐き出せば、魔物たちは言葉通り舌で床中の汚濁液を舐め取らせるまで許さないだろう。',
            '頭を足で踏まれ、全身を鞭や掌で叩かれながら地面に垂れた精液を舐め取らされる屈辱の経験は、' + slave.short_name +
              'の精神の奥底に消えぬ恐怖を刻んでしまっていた。',
            'もう二度とあんな屈辱は味わいたくない。そのためなら目の前にある、飲精の屈辱など小さなものだ。',
            slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
          ],
          [
            'ようやく今日の肉の宴は終わりを迎えたようだ。魔物たちはぞろぞろと引き上げていくが、地下牢の冷たい地面にボロ雑巾同然の状態で' +
              '横たわっている' + slave.short_name + 'を気遣うものなど誰もいない。',
            slave.short_name + 'の秘所からはドロリとした子種汁が尽きることなく溢れてくる。もちろん尻穴も同様だ。',
            'だが消耗しきった心身はもはやそのようなことなど「どうでもいい」と思い始めていた。消耗による己の惨めさの受容。それこそが' +
              '陵辱屈服調教の狙いなのだ。そんなことは' + slave.short_name + 'にも分かっている。だが今は休息が欲しかった。',
            '生暖かい白濁液が逆流してくる気色悪い感覚を味わいながら、' + slave.short_name + 'はぐったりと地下牢の床に倒れ伏している。' +
              '得体の知れぬ体液が混じり合い、テラテラと輝く' + slave.short_name + 'の白い肌を地下牢の薄明かりが照らしていた……',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'はノロノロと身を起こす。',
            '「うぅぅ…… ようやく終わったの……」',
            '精液と男たちの体液、アザや歯型、手形にまみれ、雪のように白かったはずの' + slave.short_name + 'の素肌は、惨めな有様になっていた。',
            'それはまるで、穢された彼女に刻み込まれた消えぬ汚辱の烙印のようでもあった……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            '「おっ、おああっ……　イクっ、またっ、イグぅっ！」',
            slave.short_name + 'は再び大きな絶頂を迎えた。だが' + slave.short_name + 'を責め嬲る魔物は止まらない。激しいストロークを' + slave.short_name + 'の華奢な体に叩き込み続ける。',
            '絶頂を迎えたばかりの敏感な肉穴に強い刺激を加えられた' + slave.short_name + 'は耐え切れず再び絶頂をキメてしまう。',
            'それでも魔物は止まらない。絶頂に次ぐ絶頂、連続した絶頂が続きついに' + slave.short_name + 'は絶頂から降りてこられなくなる。',
            '呼吸もままならず' + slave.short_name + 'はビクビクと陸揚げされた魚のように肢体を不自然に痙攣させる。',
            'だが陵辱者は止まらなかった。',
            '「死ねっ、オラっ死ねっ！　無様アクメをキメてイキ死ねっ！」',
            slave.short_name + 'は再び全身をガクガクと痙攣させる。ガクガクとデタラメに痙攣する手足が、彼女がいかに危険な状態にあるかをこの上ないほど示していた。',
            'それでも魔物は杭打ちのようなストロークを弱めるつもりはない、むしろよりしっかりと体重を乗せ、少女の内臓を破らんばかりの勢いで突き続ける。',
            '死ねというのも比喩ではなく本気の言葉なのだろう。今まで集団の中で隠れていた「相手を死ぬまで嬲りたい」という歪んだ凶暴性が、蓬莱人という「何をしても構わない相手」に対して牙を剥いたのだろう',
            'ついにおへっ、おごっ、という不明瞭で聞き苦しい声しか出せぬまま絶頂し続けた' + slave.short_name + 'の意識がついにブラックアウトした。',
            'そしてすぐに急速に覚醒する。',
            '「復活」したのだ。死を妨げる永遠の命。もちろん事態は改善していない。',
            '肉体に蓄積されていた快楽が出口を求めて脳めがけて襲いかかっていく。',
            '傷つくとまずいはずの血管が切れ、心臓が異常な律動を刻み、肺腑が破れる。そのたびに' + slave.short_name + 'は復活し、再び肉の地獄に叩き込まれる',
            'そんな' + slave.short_name + 'の姿を見て、他の魔物たちも嗜虐的な笑いを浮かべる。' + slave.name + 'という至高の美女を己の手で命すら弄ぶ行為はどれほど楽しいだろうか。',
            '終わりのない陵辱と蓬莱人の呪いの中で、' + slave.short_name + 'の精神は急速に消耗していった。',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            '蓬莱人ゆえに外傷はすぐに回復するが、回復するそばから痛めつけられては全身が痛々しい姿になるのも当然だった。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
            'まったく傷はともかくいくら蓬莱人でも汚れは落ちたりはしない。魔物たちが気まぐれに気付けも兼ねて、冷水を桶で浴びせてくる以外のものはなかった。',
            'すでに汚らしいボロ雑巾同然の姿になった' + slave.short_name + 'の肉体と全ての穴を魔物たちは飽きることなく嬲り続けている……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'は横たわったままピクリとも動かない。',
            '時折不明瞭な声をあげたりしなければ、死んでいるのではないかと思うほどだ。',
            '首にははっきりとしたアザがある。締めながら犯すと具合がいいと、魔物たちが面白半分に首を締めるのだ。',
            '蓬莱人である' + slave.short_name + 'には死による解放すらも許されない。',
            '心身が摩滅しきった' + slave.short_name + 'には、もはや何かをしようという気力は残されていなかった。',
            'もう、諦めてもいいかな。そんな声が、頭の中から響く。考えることも億劫だった。穢されきった姿のまま、' + slave.short_name + 'は意識を手放した。',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「へへっ、おい！　誰か次にこいつの穴を使いたいやつはいるかぁ？」',
            '地下牢にはぎっしりと魔物が詰めているにもかかわらず、魔物の声に反応するものはまばらだった',
            '「おいおい、そんなボロ雑巾みたいな女、汚くて使いたくないぜ。いっぺん洗わねえか？」',
            '「ちっ、そうかよ。オラっ、こいよ。綺麗にしてやるから」',
            'これから起きることを' + slave.short_name + 'は理解していた。シャワーや風呂などという上等なものはここにはない。',
            '部屋の隅の、虫の湧いた樽に詰まった冷水を頭からかけられるのだ。少しでも反抗すれば、魔物たちは面白半分で' + slave.short_name + 'が死なないことをいいことに頭を水中に押さえつけながら犯す。',
            'なんでも窒息して死ぬ瞬間の反応が最高なのだという。',
            'もはや逆らう気概はなかった。',
            '乱暴な男たちの命令に素直に従う' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「あははっ……　精液を、もっと' + slave.self_call + 'のナカに注いでちょうだい……」',
        '「精液、びゅるびゅるって、ナカに注ぎ込まれて、ドロドロして、あつくて……」',
        monster.name + 'たちの射精の勢いを楽しみながら、' + slave.short_name + 'は淫蕩に笑った',
        '「ふふっ、もっと、もっと注いでほしいの……　' + slave.self_call + 'のすべてが、ドロドロになるくらい……」',
        '限界を超えた陵辱調教によって快楽の泥沼から抜け出せなくなった' + slave.short_name + 'は二度と日常生活には戻れないだろう……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
