# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# マミゾウ
class Adventurer20Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「ふん…… 下賤な魔物ごときが、立場をわきまえるがいい」',
          '孤立した危機を襲われた不利を気にも留めぬように、' + adventurer.short_name + 'は冷たい双眸で魔物たちを睥睨している……',
        ],
        [
          '「ああ、なるほど？」',
          '「孤立していれば倒せると思ったのか。まったく、浅知恵しかもたぬ下賤が考えそうなことだな」',
          '孤立したところを襲われた' + adventurer.short_name + 'は、不敵な笑顔を浮かべたまま静かに武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふん、信用していただいているところ、悪いが' + adventurer.self_call + 'にもご主人様から命令された「指名」があるからのう……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（大丈夫、きっと素晴らしいことを殿方に教えていただけるからのう……）',
        ]
      else
        [
          [
            '（ふぅむ…… まだ、時期ではないのう……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たちごとき、' + adventurer.self_call + 'がおらんでもどうとでもなるわ） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（ここは、一働きして信頼を稼ぐことにするか……）',
          ],
        ].sample
      end
    else
      [
        [
          '「数をたのみにするゲスどもめが！ 数の力に押されるほど' + adventurer.self_call + 'は非力ではないわ」',
          '威勢よく吠えつつ、' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「ふん…… 下賤な魔物ごときが、立場をわきまえるがいい」',
          '口元を扇で覆った' + adventurer.short_name + 'は、冷たい双眸で魔物たちを睥睨している……',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end
end
