# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# ルーミア
class Adventurer22Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人相手なら、勝てると思ったのかー？」',
          '「ふふふ、食べてもいい相手がいるって、最高なのだー！」',
          'この危地を脱するには勝利するしかないのだ。もっとも、その危機感を感じてはいないように、' + adventurer.short_name + 'は呑気な態度をくずさない……。',
        ],
        [
          '「おお！？ これが不意打ちってやつなのかー！」',
          '孤立したところを襲われた' + adventurer.short_name + 'は慌てて武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（味方だからって' + adventurer.self_call + 'を信用したの……？ そういう子には、痛い目にあってもらうよー）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、無防備な「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（うーん、今日はチャンスじゃないかなー……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな雑魚相手なら、' + adventurer.self_call + 'が何かしても意味ないかなー） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '「それでは、' +  adventurer.self_call + 'の胃袋に消えてもらうのだー！」',
          ],
        ].sample
      end
    else
      [
        [
          '「ふふふ、食べてもいい相手がいるって、最高なのだー！」',
          adventurer.short_name + 'の声には、捕食対象を見つけた喜びが満ち溢れている……',
        ],
        [
          '「これ全部、食べていいの？」',
          adventurer.short_name + 'の声には、純粋な喜びと期待が溢れている',
          '「ふふ、楽しく食べられそうなのだー！」',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「あははっ、もっと欲しいのっ！」',
        '「おちんぽを、おちんぽをもっとハメてほしいのっ！　お願い、もっと！」',
        '快楽に狂い、欲望に飲まれた' + slave.short_name + 'はセックスを懇願している……',
        '限界を超えた陵辱調教によって快楽の泥沼から抜け出せなくなった' + slave.short_name + 'は二度と日常生活には戻れないだろう……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
