# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# レイセン
class Adventurer28Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script =
        [
          [
            '「孤立した' + adventurer.self_call + 'を狙うとは…… なんて卑怯なやつら……」',
            '孤身の不利を悟り、' + adventurer.short_name + 'は動揺しているようだ。',
          ],
          [
            '「……この程度の数、' + adventurer.self_call + 'なら負けはしない！」',
            '己を励ますように叫ぶと、' + adventurer.short_name + 'は武器を構えた。',
          ],
        ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（隙だらけ、後ろがガラ空き……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（ふふっ、今がチャーンスっ！ ' + adventurer.self_call + 'の餌食になってね）',
        ]
      else
        [
          [
            '（今は、まだ好機ではないかな……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（そうだね、待てばいいか。 チャンスなんていくらでもあるさ……）',
          ],
          [
            '（今はまだ、チャンスじゃないから……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（また今度、また今度…… ふふっ、その時は、どんな無様な顔を見せてくれるかな）',
          ],
        ].sample
      end
    else
      scripts = [
        [
          '「さあ、' + adventurer.self_call + 'の剣を受けたいのは誰かな！」',
          '魔物たちに吠えると、' + adventurer.short_name + 'は武器を構えた。',
        ],
        [
          '「こんな雑魚、' + adventurer.self_call + 'の敵ではないよ！」',
          '威勢よく叫ぶ' + adventurer.short_name + 'の声につられ、仲間たちも戦意をみなぎらせているようだ',
        ],
        [
          "「穢れた魔物なんて、#{adventurer.self_call}に勝てるわけがないよ！」",
          adventurer.short_name + 'は威勢よく叫んだ。',
          '少し' + adventurer.short_name + 'は自信過剰になっているようだ',
        ],
      ]

      scripts.sample
    end
  end
end
