# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# サグメ
class Adventurer29Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script =
        [
          [
            '「孤立した' + adventurer.self_call + 'を狙うとは…… 所詮は恥を知らぬ下賤な魔物ども……」',
            '危機にもかかわらず' + adventurer.short_name + 'は冷静な態度を崩さない。',
          ],
          [
            '「……この程度の数なら、問題にもならない」',
            '単身の不利を微塵も感じていないかのように' + adventurer.short_name + 'は武器を構えた。',
          ],
        ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（隙だらけ、後ろがガラ空き……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（これは当然の責務。' + adventurer.self_call + 'にとっては当たり前のこと）',
          adventurer.short_name + 'の意志の光を失った、虚ろな瞳に嗜虐的な輝きが混じる',
        ]
      else
        [
          [
            '（今は、まだ好機ではない……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（好機は、待てばいい……）',
          ],
          [
            '（今ではない。そう、今は分が悪い……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、「信頼」とやらを稼いでおくことにしよう……）',
          ],
        ].sample
      end
    else
      scripts = [
        [
          '（……この程度の数、問題にもならない）',
          '魔物たちを一瞥すると、' + adventurer.short_name + 'は武器を構えた。',
        ],
        [
          '「任せなさい。数を削っておくから、あとは連携して倒せばいい」',
          '落ち着き張りのある声が仲間たちの信頼を誘う。冷静に' + adventurer.short_name + 'は仲間たちに呼びかける',
          '……どうやら、舌禍の能力が発動しないこの迷宮で、少し' + adventurer.short_name + 'は饒舌になっているようだ',
        ],
        [
          "「穢れた魔物には罰を。　#{adventurer.self_call}がしなくてもいことだけれど、もののついでというものよ！」",
          adventurer.short_name + 'は静かにつぶやいた。',
          '……どうやら、舌禍の能力が発動しないこの迷宮で、少し' + adventurer.short_name + 'は饒舌になっているようだ',
        ],
      ]

      scripts.sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            'どびゅっ、どびゅるるるっ、ぐびゅるるるるっ',
            '魔物たちの精液が、' + slave.short_name + 'の羽へとぶちまけられる。',
            '魔物たちは特に' + slave.short_name + 'の羽に精液をかけることを好んだ。衣服や髪と異なり、そう簡単に羽は洗い清めることができない。',
            'たとえこの地下牢から抜け出しても、' + slave.short_name + 'に消えぬ穢辱の烙印を刻もうとしているのだ……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「へへっ、一滴もこぼすんじゃねぇぞぉ。少しでもこぼしたら舌で舐め取らせてやるからなぁ」',
            '言われずとも' + slave.short_name + 'は、飲み込むつもりだった。魔物の精液の量は、飲み込まずにおけばたちまちに窒息しそうになる。' +
              'かといって吐き出せば、魔物たちは言葉通り舌で床中の汚濁液を舐め取らせるまで許さないだろう。',
            '頭を足で踏まれ、全身を鞭や掌で叩かれながら地面に垂れた精液を舐め取らされる屈辱の経験は、' + slave.short_name +
              'の精神の奥底に消えぬ恐怖を刻んでしまっていた。',
            'もう二度とあんな屈辱は味わいたくない。そのためなら目の前にある、飲精の屈辱など小さなものだ。',
            slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
          ],
          [
            '（うぅぅ、こんなひどい行為が明日も続くというのか……）',
            '連日の陵辱は、確実に' + slave.short_name + 'の理性と抵抗を削り落としているようだ。',
            '（穢らわしい地上の劣等種どもめ……）',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'はノロノロと身を起こす。',
            '（……終わったんだ…… ようやく……）',
            slave.short_name + 'が平板な声でぼそりとつぶやいた時、秘所からどぷり、ごぷりと逆流する精液が地下牢の床に汚らしい精液の水たまりを作る。' +
              '精液の量が彼女に加えられた桁外れの陵辱の凄まじさを物語っていた。',
            slave.short_name + 'はノロノロと牢の隅を目指す。そこには地下水が溜まった水たまりがあった。汚くはないが清潔とも言えない。' +
              'だが彼女には他に選択肢はない。そこに、かつて己の衣服だったボロ布をひたし、肌をぬぐうことで身を清めていく。',
            '……体を清める手が、止まりがちになる。どうせ明日も穢されるのだ。清めたところで、一体何の意味があるだろう？',
            '諦観と絶望に飲み込まれそうになりながら、' + slave.short_name + 'はノロノロと、体を清めた……',
          ],
          [
            '「へへへっ、アナルを責められただけでビクビク震えて、さっすが' + slave.short_name + '様は大した変態ですなあ」',
            '変態などではない、そう言いたいが、ゆっくりと肉棒が動き、カリ首が直腸の襞を優しく撫で上げるたびに背徳の悦びが腰の奥に広がっていく。',
            '肉槍の動きは優しく巧みでえげつなく、それでいてあと一歩のところが物足りない。',
            'ついに耐え切れず、' + slave.short_name + 'は自分から半ば無意識に腰を動かしてしまう。',
            '「へへっ、自分からケツをほじられに行くとはさすがは淫乱ド変態の' + slave.short_name + '様だぁ」',
            '目ざとくその動きを捉えた魔物の嘲弄の言葉が' + slave.short_name + 'に浴びせられる。',
            '「そっ、そうではないっ」',
            'つい。言ってしまった。たちまち運命の歯車が逆転を始める。堪えていた何かがあふれだしていく。止められない。止まらない。',
            '魔物たちも最初は戸惑っていたようだが、淫乱女の本性を暴いたと都合よく解釈した魔物たちは一気に責め嬲る手を激しくしていく。',
            slave.short_name + 'は一日中激しく責め立てられ、自分からそれに答えてしまった……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            'どびゅっ、どびゅるるるっ、ぐびゅるるるるっ',
            '魔物たちの精液が、数え切れぬほど精液や小便をかけられた' + slave.short_name + 'の羽へと、飽きることなく再び汚らしい白化粧を加えていく。',
            '魔物たちは特に' + slave.short_name + 'の羽に精液をかけることを好んだ。衣服や髪と異なり、そう簡単に羽は洗い清めることができない。',
            'もはや' + slave.short_name + 'の羽は汚らしい色に染まり、消えぬ汚臭を放っている。',
            'たとえこの地下牢から抜け出しても、' + slave.short_name + 'の消えぬ穢辱の烙印が、彼女を苛むだろう……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「……どこまで堕ちていくんだろう、' + slave.self_call + 'は……」',
        'ぼそりと呟いた' + slave.short_name + 'の声は虚ろに響いた……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
