# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 諏訪子
class Adventurer32Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「おやおやぁ？ まさか' + adventurer.self_call + 'が一人なら、勝てると思ったのかい？」',
          '魔物たちを、' + adventurer.short_name + 'の蛇のような瞳が睥睨する。文字通り蛇に睨まれた蛙のように魔物たちは固まってしまう。' +
            'だが、一匹の特に知性の低い魔物が獣のように吠えることで均衡は破られた。',
          '目論見が破られた' + adventurer.short_name + 'は舌打ちすると、すばやく鉄輪を構える！',
        ],
        [
          '「たとえ一人でも、神である' + adventurer.self_call + 'はお前達ごときに負けはしない！」',
          '武器を構え、' + adventurer.short_name + 'は己を力づけるように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（あははっ、絶好の機会ってやつさね）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いようですね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあります。今はうかがうことにしましょう……）',
          ],
          [
            '（今日のところは、まだ分が悪いようですね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、高みの見物といきますわ）',
          ],
        ].sample
      end
    else
      [
        [
          '「おやおやぁ？ まさか' + adventurer.self_call + 'を相手に、勝てると思ったのかい？」',
          '魔物たちを、' + adventurer.short_name + 'の蛇のような瞳が睥睨する。文字通り蛇に睨まれた蛙のように魔物たちは固まってしまう。' +
            adventurer.short_name + 'が稼いだ時間を無駄にせず、仲間たちは素早く斬り込み、戦闘の優位を確保していく！',
        ],
        [
          '「まったく煩わしいことこの上ないな。いま片付けてやるとしよう！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
      ].sample
    end
  end
end
