# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 神奈子
class Adventurer33Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら勝てるとでも……？ ふふん、' + adventurer.self_call + 'も舐められたものだ」',
          '「どこからでも来るがいい！ ' + adventurer.self_call + 'はそう簡単には倒せないぞ！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「数の力で押せば、' + adventurer.self_call + 'を倒せると思ったか？」',
          '「その浅はかな考え、' + adventurer.name + 'が正してやろう！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会というやつか…… いいぞ、男に屈服し、隷属する幸福など……）',
          '（知ってしまえば、溺れてみたくなる……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ、陥れる時ではないか……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあるさ…… それまでは、待つことにしよう）',
          ],
          [
            '（ふん、この程度の相手であれば、' + adventurer.self_call + 'がいなくてもひとひねりだろう……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      [
        [
          '「' + adventurer.self_call + 'に刃を向けるか？ よく考えたほうがいいぞ、その意味を！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「ふふふ、知性にかける魔物たちとあれば、' + adventurer.self_call + 'の御柱の威力、その身に受けねば分かるまいな」',
          '「さあ、死にたいものから来るがいい！」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',

        '「弱いものなんだな、女の心というものは……」',
        slave.short_name + 'は自嘲するような口調で言った。',
        '「快楽には逆らえない……。一度肉体が堕ちれば、もう歯止めが利かなくなる……」',
        '「自分がこんなに弱いとは思わなかった……」',
        '「ああ、好きにしてくれ。もう、' + slave.self_call + 'には何もないんだ、何も……」',
        '「性処理の欲望のために殿方に尽くす肉奴隷か。惨めな' + slave.self_call + 'には、お似合いの立場だろうな……」',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
