# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# お燐
class Adventurer36Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「ああもう、うっとおしいねぇ！ ' + adventurer.self_call + 'が丸焼きにしてやろうかい！？」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は勇ましく吠えた。',
        ],
        [
          '「ああもう、こんなときにっ！？ 鬱陶しいやつらだねえ！」',
          '孤立したところを襲われた' + adventurer.short_name + 'は慌てて武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ダメじゃないかい、味方だからって' + adventurer.self_call + 'を信用しちゃあ……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、無防備な「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（うーん、今日はちょっとチャンスとは言えないわね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たち相手なら、' + adventurer.self_call + 'なしでも楽勝じゃない） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '「ふふっ、よーし、一丁やってみるとしようかい！」',
          ],
        ].sample
      end
    else
      [
        [
          '「こんなにたくさんの敵！ ああもう、' + adventurer.self_call + 'が全部倒してあげるから！」',
          '仲間を励ますように叫び、' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「ふふっ、よーし、一丁やってみるとしようかい！」',
          '洞窟の空気を頼もしく震わせる声音に、敵には恐れを、味方には勇気を与えていく！',
          '味方には' + adventurer.short_name + 'の雄姿が頼もしく映っているようだ！',
        ],
      ].sample
    end
  end
end
