# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 勇儀
class Adventurer38Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「ハハン！ この' + adventurer.short_name + '様に勝てると思ったのかい！」',
          'この危地を脱するには勝利するしかないのだ。もっとも、これっぽっちも危機感を感じていない風に' +
            adventurer.short_name + 'は勇ましく吠えた。',
        ],
        [
          '「女一人相手だからって、勝てると思ったのかい！」',
          '「ゲスな連中らしい考え方だねえ！」',
          '孤立したところを襲われた' + adventurer.short_name + 'は何の動揺もなく拳を構える。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（おやおや、味方だからって' + adventurer.self_call + 'を信用しちまったのかい……？）',
          '（へへへ、いけないねぇ。鬼は信義というものを重要視するけど、今の' +
            adventurer.self_call + 'にとっては大事なのはご主人様の命令だからねえ）',
          '洗脳済みの' + adventurer.short_name + 'の、鋭すぎる眼光は、女冒険者である「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（うーん、今日はまだ、いい機会じゃないねぇ……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '「こんな魔物たち相手なら、楽勝さ！ かかってきな！」',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '（それなら' + adventurer.self_call + 'も、ここいらで点数稼ぎをすることにしようかい） ',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（後のお楽しみ、っていうのもいいよねぇ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「いいねえ！ これだけ敵がいると' + adventurer.self_call + 'も、鬼の力ってものを見せたくなるよ！」',
          '豪快に笑うと' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「' + adventurer.self_call + 'とやる気かい！？ いいねぇ、無謀な奴は嫌いじゃないよ！」',
          '威勢のいい' + adventurer.short_name + 'の言葉に、味方の戦意もあがっていく。',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「……' + slave.self_call + '、どこまで堕ちていくんだろうな……」',
        slave.short_name + 'は虚ろな目で笑った。',
        '「男の人にとって都合の良い肉玩具になるから……」',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「鬼として、粋がってはいても、結局' + slave.self_call + 'は「オンナ」なんだ……」',
        '「肉の悦びからは逃げられない、ただの「オンナ」なんだ……」',
        '「無知な' + slave.self_call + 'は、少し強いからってただ粋がっているだけのガキだったんだな……」',
        slave.short_name + 'は虚ろな目で笑った。',
        '「ああ、やるさ。敗北したからには、相手の流儀のあわせるのが鬼だ……」',
        '「せいぜい、肉玩具としてかわいがっておくれよ……？」',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
