# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# ヤマメ
class Adventurer52Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「ハハン！ この' + adventurer.short_name + '様に勝てると思ったのかい！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
        [
          '「女一人相手だからって、勝てると思ったのかい！」',
          '孤立したところを襲われた' + adventurer.short_name + 'は虚勢を張りつつも武器を構える。',
          'かろうじて、手の震えを表に出すことは防いだようだ。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（おやおや、味方だからって' + adventurer.self_call + 'を信用しちまったのかい……？）',
          '（へへへ、いけないねぇ。そういう甘ちゃんには、痛い目にあって覚えてもらわないとねえ）',
          '洗脳済みの' + adventurer.short_name + 'の、鋭すぎる眼光は、女冒険者である「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（うーん、今日はまだ、機会ってヤツじゃないねぇ……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たち相手なら、楽勝そうだねぇ。それなら' + adventurer.self_call + 'も、点数稼ぎをすることにしようかい） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（まぁ、後のお楽しみってやつさ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「へへへ、いいねえ！ これだけ敵がいると' + adventurer.self_call + 'も、張り合ってもんがあるよ！」',
          adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「' + adventurer.self_call + 'に手向かおうってかい！？ まったく命知らずだねえ！」',
          '威勢のいい' + adventurer.short_name + 'の言葉に、味方の戦意もあがっていく。',
        ],
      ].sample
    end
  end
end
