# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 萃香
class Adventurer55Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「ハハン！ この' + adventurer.short_name + '様に勝てると思ったのかい！」',
          'この危地を脱するには勝利するしかないのだ。もっとも、これっぽっちも危機感を感じていない風に' +
            adventurer.short_name + 'は勇ましく吠えた。',
        ],
        [
          '「女一人相手だからって、勝てると思ったのかい！」',
          '孤立したところを襲われた' + adventurer.short_name + 'は何の動揺もなく拳を構える。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（おやおや、味方だからって' + adventurer.self_call + 'を信用しちまったのかい……？）',
          '（へへへ、いけないねぇ。鬼は信義というものを重要視するけど、今の' +
            adventurer.self_call + 'にとっては大事なのはご主人様の命令だからねえ）',
          '洗脳済みの' + adventurer.short_name + 'の、鋭すぎる眼光は、女冒険者である「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（うーん、今日はまだ、いい機会じゃないねぇ……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '「こんな魔物たち相手なら、楽勝だよねぇ」',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '（それなら' + adventurer.self_call + 'も、点数稼ぎをすることにしようかい） ',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（後のお楽しみ、っていうのもいいよねぇ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「いいねえ！ これだけ敵がいると' + adventurer.self_call + 'も、鬼の力ってものを見せたくなるよ！」',
          '豪快に笑うと' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「' + adventurer.self_call + 'に手向かう気かい！？ そうじゃないとねぇ！」',
          '威勢のいい' + adventurer.short_name + 'の言葉に、味方の戦意もあがっていく。',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end
end
