# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 華扇
class Adventurer56Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人のところを狙うとは、卑怯なやつらね！ 痛い目にあわせてあげましょう！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「数の力で押せば、' + adventurer.self_call + 'を倒せるとは思わないことね！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ね……）',
          '（いいことを教えてあげるわ…… 普通に生きていたら絶対に味わえない、隷属の悦びを、ね……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いわね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあります…… 待つのも、悪くはありませんね）',
          ],
          [
            '（ふーむ、いまは好機とはいいがたいですね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      [
        [
          '「愚か者たちには、相応のお仕置きというものが必要なようですね！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「雑魚にかまけている時間はないのですよ。 ええ、' + adventurer.self_call + 'もこのような手荒な真似はしたくはないのですが！」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end
end
