# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 橙
class Adventurer60Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「ううっ！ 一人の時に狙われるなんて！」',
          adventurer.short_name + 'は、不安を振り払うように頭をふると、武器を構えた。',
        ],
        [
          '「一人だからって' + adventurer.self_call + 'は負けないよっ！」',
          '自らを励ますように' + adventurer.short_name + 'は吠える',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、屈服の幸福を知ってしまえば、それが素晴らしいことだって分かるから……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いかなー……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあるよっ。今は機会をうかがうことにしようっ♪）',
          ],
        ].sample
      end
    else
      [
        [
          '「こんな雑魚相手に負けるものか！」',
          adventurer.short_name + 'は威勢よく叫んだ',
        ],
        [
          '「八雲藍の式の実力を教えてやる！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
      ].sample
    end
  end
end
