# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 芳佳
class Adventurer61Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「うー、ここは偉大なるお方の霊廟。ここを守るためだ、お前たちは倒させてもらう」',
          '別にこの迷宮は霊廟ではないし、偉大なるお方はもう眠ってはいないし、' + adventurer.short_name +
            'はここを守るために配置されたわけではないのだが、細かいことは' + adventurer.short_name + 'にはどうでもいいことのようだ。',
          '単独行のため、特にツッコむ者もいないその言葉は、迷宮に響き渡っている。',
        ],
        [
          '「うー…… たとえ一人でも、偉大なるお方の霊廟を守護するために作り出された戦士たる' + adventurer.self_call + 'は、負けはしない！」',
          '孤立したところを襲われた' + adventurer.short_name + 'は慌てて武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（うー…… 敵は強い、味方はそうでもない。今はチャンスのはず……） ',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、無防備な「仲間」の背中に注がれている',
          'いまいち事態を理解していなさそうな表情を、もし迷宮の主人が見たら不安そうな顔をするだろうが、ここにいない彼の話をしても仕方がない',
        ]
      else
        [
          [
            '（うー…… 敵は弱い、味方は元気。今はチャンスじゃない……？） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
        ].sample
      end
    else
      [
        [
          '「えーと…… ああ、そうそう…… 青娥の命令に従い、' + adventurer.self_call + 'はお前たちを倒させてもらう」',
          '魔力の面はともかく、怪力の面では誠に頼りになる' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「うー、ここは偉大なるお方の霊廟。ここを守るためだ、お前たちは倒させてもらう」',
          '別にこの迷宮は霊廟ではないし、偉大なるお方はもう眠ってはいないし、' + adventurer.short_name +
            'はここを守るために配置されたわけではないのだが、細かいことは' + adventurer.short_name + 'にはどうでもいいことのようだ。',
          '仲間たちは慣れてしまったのかツッコむこともなく武器を構える',
        ],
      ].sample
    end
  end
end
