# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk 'src/app/service/dungeon/module/dungeon_common'

class BaseMagicFactoryScript < BaseScript
  include ScriptUtils
  include DungeonCommon

  def brothel_prelude_script
    [
      'ここはダンジョンの、街とは反対側にある違法歓楽街。そこにはありとあらゆる享楽が揃っている。',
      'もちろん売春宿も例外ではない。そこにはかつて' + _adventurer_type + 'と呼ばれた女もいるが他の女と違いはない。' +
        '金と引き換えにただ男たちを悦ばせるためだけに存在する、奴隷娼婦、それが今の彼女たちの身分だった。',
      '今日も娼館からは女の甘い悲鳴が響く',
      ' ',
    ]
  end

  def brothel_finale_script(sales, today_guest_count, abort_guest_count)
    finale = [
      ' ',
      "今日の娼館には#{today_guest_count}人の男たちが訪れ、女たちを好き勝手に貪った。",
    ]
    unless abort_guest_count.zero?
      finale += [
        "店の外には女を求めて店の外で待つ客たちが長蛇の列をなす。#{abort_guest_count}人の男たちが諦めて帰ってしまったようだ。"
      ]
    end
    finale += [
      "売上は#{sales}だった"
    ]
    finale
  end

  def brothel_script_by_type(slave)
    script =
      case slave.spring_type
        when 'sex_toilet'
          sex_toilet_spring_script(slave)
        when 'wall_hole_spring'
          brothel_wall_hole_spring_script(slave)
        when 'v_force_spring'
          brothel_v_force_spring_script(slave)
        when 'v_whore_spring'
          brothel_v_whore_spring_script(slave)
        when 'a_whore_spring'
          brothel_a_whore_spring_script(slave)
        when 'all_whore_spring'
          brothel_all_whore_spring_script(slave)
        when 'pole_dance_spring'
          brothel_pole_dance_spring_script(slave)
        when 'show_tent_spring'
          brothel_show_tent_spring_script(slave)
        else
          puts "INVALID slave.spring_type: #{slave.spring_type}"
          []
      end
    script +
      decrease_resist_for_spring_script(slave) +
      [' ', ' ']
  end

  # 奴隷娼館と触手改造で削られた場合
  def decrease_resist_for_spring_script(slave)
    script = []
    if slave.diff_resist_for_spring.nonzero?
      script += [
        '力強いオスに屈服させられ、暴力的な快楽によって' + slave.short_name + 'は徹底的に躾られた。奴隷娼婦にふさわしい淫乱な肉奴隷に' + slave.short_name + 'が作り変えられてしまうのも、時間の問題だろう。',
        slave.short_name + "の売春への抵抗は#{half_number_to_full(slave.diff_resist_for_spring)}削られ、#{half_number_to_full(slave.resist_for_spring)}になった",
      ]
      script += slave_orgasm_status(slave)
    end
    script
  end

  # 魔物出産で削られた場合
  def decrease_resist_for_spring_by_maternity_script(slave)
    script = []
    if slave.diff_resist_for_spring.nonzero?
      script += [
        '力強いオスに屈服させられ、暴力的な快楽によって' + slave.short_name + 'は徹底的に躾られた。' +
          '魔物との子作りの快楽に浅ましく喘ぎ、異種の赤子を出産させられる屈辱がやがて' + slave.short_name + 'の精神を屈服させていく。',
        '奴隷娼婦にふさわしい淫乱な肉奴隷に' + slave.short_name + 'が作り変えられてしまうのも、時間の問題だろう。',
        slave.short_name + "の売春への抵抗は#{half_number_to_full(slave.diff_resist_for_spring)}削られ、#{half_number_to_full(slave.resist_for_spring)}になった",
      ]
      script += slave_orgasm_status(slave)
    end
    script
  end

  def sex_toilet_spring_script(slave)
    [
      [
        '性処理用公衆便所には、' + slave.short_name + 'を含め何人かの女たちが拘束されている。',
        '多くはこの違法歓楽街に潜入した「ネズミ」を死ぬまで酷使するための罰としての措置だが、' + 
        slave.short_name + 'のように、廃棄寸前の女が半ば廃物の有効利用されるために鎖に繋がれることもある。',
        '入り口が騒がしくなる。どうやら客の男が、「公衆便女」の一人を買ったようだ。' + 
        '公衆便女は、最安値の「肉便器」すらも買えぬ男たちに愛されていた。財布の厚さと人格は相関する。つまりは彼女たちを買うのは、この社会の最底辺にも近い存在だった。',
        '地下室から女の悲鳴が響き始めるのは、すぐのことだった。',
      ],
      [
        '「くうぅぅぅっ、ううぅ……　射精るっ、射精るぞぉっ！」',
        '男がそう叫ぶと、白く濁った欲望の滾りをどぴゅどぴゅと' + slave.short_name + 'の膣内に吐き出していく。もちろんそこに妊娠のリスクや' + slave.short_name + 'への気遣いというものはこれっぽっちも含まれてはいない。',
        slave.short_name + 'は焦点を結ばぬ虚ろな視線のまま、ただ男にされるがままになっている……',
      ],
      [
        '「へへっ。次はアンタかい？　まんこ穴はもう使い込まれすぎてガバガバだけどよぉ、ケツ穴はまだ締まりがいいぜぇ」',
        slave.short_name + 'の穴を使い終わった客の男は、次の男に順番を譲る。',
        'その言葉には、もはや' + slave.short_name + 'を人間とは見ておらず、単なる性欲処理の道具としか見ていない残酷な響きがあった。',
        '……だがその言葉は' + slave.short_name + 'のプライドを傷つけることはなかった。',
        'もはやその言葉を解釈するための精神や知性は壊れ、もう二度と' + slave.name + 'という女の人格が正常に機能することはないからだ。',
        slave.short_name + 'は、曖昧な笑いを顔に浮かべている……',
      ],
    ].sample
  end

  def brothel_wall_hole_spring_script(slave)
    script = [
      [

        'ぱんっぱんっという肉と肉がぶつかる乾いた音が部屋に響く。部屋に響くのはほかに満足げな男の声と、女の苦しげな声だった。',
        '「オラッ、もっと気合い入れてまんこ穴を締め付けろやっ！」',
        'パァンッ！　男が' + slave.short_name + 'の尻を思い切り叩く',
        '「ぎひぃぃっ！？」',
        slave.short_name + 'が痛みに反射的に体をこわばらせ、秘穴が締まったところで男は思い切り肉槍を引き抜く。',
        '「くぅぅ。いいぜぇ。叩かれて感じるとか、本当に変態の肉便器だな、' + slave.short_name + 'はぁ！」',
        'それは違う、そう反論しようとしたところで声は出なかった。男が肉槍を膣奥に叩きつけるたびにバチバチと肉悦が頭の中でショートする、思考がブチブチと引きちぎられ、口からは間抜けな喘ぎ声だけが溢れる。',
        slave.short_name + 'の態度を肯定と受け取った男は、嗜虐欲を刺激されたようだ。',
        slave.short_name + 'の尻を何度も何度も叩きながら男は肉オナホを使うかのように' + slave.short_name + 'を貪り、たっぷりと精液を膣内へと排泄していった……',
      ],
      [
        slave.short_name + 'の秘所から、どろりとした精液が太ももに太い筋を描きながら垂れ落ちていく。',
        '男たちのたぎる欲望の名残である白濁液はいつまでも途切れず、' + slave.short_name + 'の膣内になんの気遣いもなく流し込まれた精液の多さを物語っていた……',
        '「あ゛っ……　うあぁぁ………　いやっ、いやぁぁ……」',
        '拘束具に固定されたまま' + slave.short_name + 'は涙をこぼし嗚咽する。' +
          '流しこまれた精液が卵子を食い荒らすべく膣内を泳ぎ回る感覚に背筋がゾクリと震えた。',
        'このままここで自分は男たちの慰み者となって父親の分からぬ子供を産むのか。いやだ。逃げ出したい。そう思って何度も逃げ出したが、そのたびにきつい「折檻」を受けることになった。',
        '逃げることもできず、男たちに好きに犯される。それが肉奴隷である自分の今の立場なのだ。',
        '出口のない闇の中に心をとらわれた、' + slave.short_name + 'のすすり泣きは長い間響き続けていた……',
      ],
      [
        '『へへっ、思ったより上物じゃねえかっ……　オラッ、もっと締めつけろ！』',
        '男の乱暴な腰使いはただ自分の快楽しか考えていないものだったが、拘束され身動きのとれない' + slave.short_name + 'に逃れるすべはない',
        '『ビクビク大きいメスアクメ来てんのバレバレなんだよ、オラッ、俺のチンポでたっぷりアヘ顏晒してイケっ！』',
        slave.short_name + 'は今日何度目かもわからぬ望まぬ絶頂を迎えた………',
      ],
      [
        '「へへっ、この女の口、あったかくて最高だぜぇ。」',
        slave.short_name + 'の口に肉棒をねじり込んだ男は、頭を抱きかかえるようにして肉棒を根元まで押し込み、柔らかい' + slave.short_name + 'の口内の感覚を味わっている。',
        '「おごぉぉ……　おごっ、ごぇぇぇっ……　うごお゛お゛ぉぉ……」',
        '喉奥まで押し込まれた事で呼吸すらままならず、目から大粒の涙をこぼしながら' + slave.short_name + 'は聞き苦しいうめき声をあげる。',
        '気道を塞がれたことで、酸素という生命活動に不可欠なものが体内から急速に失われていく。目の前が暗くなり、意識が遠のく。だが男を押しのけることはできない。',
        '腕が動かせないからだ。肘まで壁に埋め込まれた上で手首を首輪とつながった鎖で拘束されていて、ほぼ動かすこともできない。文字通りモノ扱いされながら、' + slave.short_name + 'はされるがままになっていた。',
        '「おほっ♪　いいねえ、こんなにギチギチまんこ締めやがって。そんなにちんぽ咥えられて嬉しいかぁ？」',
        slave.short_name + 'を後ろから貫く男が嬉しそうに笑う。男は締め付けを楽しむようにゴリュッ、ゴリュリュッと' + slave.short_name + 'の中を抉り掘り進めていく。',
        '「へへっ、変態女め。上と下から串刺しにされてこんなに喜ぶなんて極め付けの変態だなっ」',
        '男たちは下品に笑う。意識がトビかけ、それでも頭に流れ込む容赦のない快楽に溺れる' + slave.short_name + 'にはもはや否定する気力すら湧かなかった。',
      ],
      [
        '「もう許してください……　もう許してください……　もう許してください……」',
        slave.short_name + 'はぶつぶつと許しを乞う言葉をつぶやき続けている',
        '男達に朝から酷使され続けた' + slave.short_name + 'は精神が一時的に壊れてしまったようだ',
        'しばらくしてもこのままなら、薬を使ってでも正気を取り戻させることになるだろう。',
        'もちろんまた明日もここで男達に使わせるために、だ',
      ],
      [
        '精液でどろどろにされ、ボロ雑巾のように床に横たわる' + slave.short_name +
          'はかろうじて胸が上下し、息をしていることを除けば死んだようにピクリとも動かない',
        '『ずいぶん汚れちまったなあ。』',
        '『まあ、こんな安い値段できれいな女のメス穴使えるんだから、' + slave.short_name +
          'ちゃんは給料日前の味方だよ。』',
        '『そうだな、また今度たまったら来るわ。じゃあねー、' + slave.short_name + 'ちゃん』',
        '男たちは好き勝手なことをいいながら、' + slave.short_name + 'を気遣うことなく去っていった………',
      ],
      [
        '『ヘヘッ、どんな便器穴かと思ったけど、なかなかいい締まりじゃないか。また今度使ってやるよ』',
        'ぐったりする' + slave.short_name + 'は、モノ扱いされた屈辱に反応する余裕もない………',
        '『オラッ、便器らしく使ってもらった礼くらい言えや！』',
        '「ひぃっ、言います、言いますから………　いやらしい便器穴をお使いいだたきありがとうございました………」',
        '「３回も精液を出していただき便器は使われる喜びを噛み締めております………」',
        '『へへへ、自分の立場ってモノをわきまえろよ、' + slave.short_name + 'ちゃん』',
        '好き勝手なことを言いながら、男は泣き崩れる' + slave.short_name + 'を残して去っていった………',
      ],
      [
        '「もうやめてぇっ、こんなのっ、こんなの耐えられないっ！」',
        '強すぎる快楽に奥歯をカチカチと鳴らしながら、プライドを搾り出して吼える',
        '半ば快感に呑み込まれかけた理性の抵抗を、男たちは目を細めて笑い飛ばす。',
        '『へへへ、チンポを美味しそうに咥え込みながらそんなこと言っても説得力ねえぜっ、この淫乱女がっ』',
        '男の揶揄する通り、' + slave.short_name + 'の肉欲の味を覚えてしまった媚肉は男の剛直を柔らかく卑猥に包み込む………',
        'この日、' + slave.short_name + 'の柔肉は数えきれぬほどの男たちの肉棒で、たっぷりと、何度も蹂躙された……'
      ],
    ].sample
    script
  end

  def brothel_v_force_spring_script(slave)
    scripts = []

    if false
      scripts += [
        [
          '「くっ、くださいぃ……　お願いしますっ、おちんぽください！」',
          slave.short_name + 'は血走った目で、必死にセックスを懇願する。',
          'その態度は鬼気迫るものすらもにじんでおり、普通の態度ではない。',
          '「イキたいのぉっ、お願いっ、お願いだから、意地悪しないでぇっ！」',
          '一滴で鬼すらも発情させる強力な媚薬原液を、何度も何度も塗りこまれた肉壷は燃えるように肉の飢えを訴えている。さらにトドメを刺すように、絶頂寸前でお預けをくらったのだ。',
          'もしこのまま放って置かれたら本当に狂ってしまう。' +
            '一分一秒ですらも耐え難い肉の渇きに苛まれながら、拘束具で押さえつけられた' + slave.short_name + 'はこの場から動くことすらできない。',
          'イキたい。本能が訴える飢えを埋めるために' + slave.short_name + 'は目の前の男に、必死に哀願し満足させねばならない。',
          '「くださいっ、犯してくださいっ！　淫乱で、セックス中毒の、最低の売春婦の、' + slave.short_name + 'のまんこ穴に、どうかおちんぽお恵みくださいぃ！」',
          slave.short_name + 'はプライドや理性を投げ捨て、自らを貶めながら必死に肉の悦びの最後の隙間を埋めてくれるよう懇願する。',
          'だが男は満足しなかった。',
          '「最低の売春婦？　それは違うだろぉ、' + slave.short_name + 'チャンよぉ。」',
          '男は' + slave.short_name + 'に冷笑的に言った。',
          '「売春婦は生活のために体を売る。生きるためになぁ。」',
          '「だが快楽に溺れ、イキたくて浅ましく男に媚びを売るお前はなんだぁ？　最低の売春婦よりも卑しいもんだ、そうだろぉ？」',
          '男の顔が、嗜虐的に醜く歪む。',
          '「オラッ、認めろよ！　自分が肉便器のちんぽシゴき穴だってよぉ！　言えたら、こいつをやるぜぇ」',
          '最低の売春婦以下。男の言葉が' + slave.short_name + 'の耳朶を叩き、脳へと沁み込んでいく。狂おしいほどの淫熱に溺れた浅ましい醜態を責め立てられる。言葉で肉を嬲るだけでなく、精神を汚され、魂を貶められ、矜持を蹂躙される。',
          '「欲しいんだろぉ、ここにもっとぶっといものをよぉ？」',
          '男の芋虫のような指が、' + slave.short_name + 'の秘穴へともぐり込む。ぐぢゅりという水っぽい音を立てて苦もなく入り込んだそれは、憎たらしいほどゆっくりと、じれったくなるほど慎重に、' + slave.short_name + 'の肉壷を荒らし、肉の渇望を刺激し、理性を腐らせていく……',
          '乾いた音が' + slave.short_name + 'の頭の中で響いた音がした。最後の理性のかんぬきが外れる音。知性のある人間としての終わりの音。',
          '人間として、女として、守るべき最後の一線が盛大に踏み越えられた。',
          '「そ、そうですぅぅ！　私は最低の売春婦以下の、ちんぽのことしか頭にない、淫乱の変態ですぅ！　ザーメン搾り穴である' + slave.short_name + 'に、どうかおちんぽをお恵みくださいぃぃ！」',
          'その言葉に男は邪悪に笑う',
          '「おっほぉぉぉ。いいねぇいいねぇ。いいぜぇ、ブチ犯してやるよ。二度と男に対して取り繕った態度がとれねぇように、自分が肉便器だってことを頭と体に叩き込んでやるよ！」',
          'そう言うと、男は野太い肉槍をずぶぅと' + slave.short_name + 'の神聖な場所に突き立てた。',
          '男の言葉は大げさなものではなかった。それから娼館には、狂ったように吠えたてる' + slave.short_name + 'の浅ましいメス犬そのものの声が響き続けていた……',
        ],
      ]
    end
    scripts += [
      [
        '夜が更けるまで客の男たちが列をなす奴隷娼館にも店じまいというものはある。それは娼婦の女たちにとっても同じだ。',
        slave.short_name + 'の秘所だけでなく全身に誰のものともわからぬ体液が半ば乾きかけてこびりついている。',
        '「うぅぅ……　いやぁ……　もういやぁぁ……」',
        '人としての尊厳を一切認められず、男の精液を排泄するための肉オナホとしてモノ扱いされ、犯され続ける地獄のような時間。',
        slave.short_name + 'の目からは大粒の涙がボロボロとこぼれる。',
        'かつて、ここに堕とされる前から着ていた衣服には男たちの精液、あるいは貶めるためにかけられた小便がたっぷりと染み込み、ひどい悪臭を放っている。何度洗っても取れぬ匂いが、彼女の惨めな現状を示していた。',
        '着替えたくとも替えの衣服などない。奴隷娼婦である彼女にはそのような権利などなかった。',
        'ようやく終わったのだ。もうこの部屋に用などない。立ち上がろうとした瞬間、' + slave.short_name + 'は膝をついた。',
        '「うぐぅっ！？　おごぉっ、おげぇぇっ……」',
        '強烈な嘔吐感がこみあげる。耐えようとして、そしてダメだった。ビチャビチャと汚らしい音が響く。',
        slave.short_name + 'が吐き出したものは、半ばゲル状になった大量の精液だった。',
        'こんなものを、これだけの量を、今日自分は口で飲まされたのか。自分が辱められた結果を形となって目の前に突きつけられたことで、' + slave.short_name + 'にわずかに残ったプライドが揺らぐ。',
        '口はもちろん、膣内にも腸内にもたっぷりと男たちは遠慮なく射精した。流し込まれた白濁液の量は口よりも多かったはずだ。',
        'ブチリと、何かが切れた男が聞こえた気がした。',
        slave.short_name + 'はその場にうずくまり、大声で泣いた。その泣き咽ぶ声は、長い時間、ずっと響き続けていた……',
      ],
      [
        '「ふーゥ、射精した、射精したぁ。キンタマの中身、もう空っぽだわ」',
        '客の男が満足げに言うと、硬さを失いかけた肉棒を' + slave.short_name + 'の中から引き抜く。愛液や精液にまみれ、ドロドロになった肉棒を、何の遠慮もなく、' + slave.short_name + 'の肌に擦りつける。',
        '雪のように白いはずの' + slave.short_name + 'の肌に、グチャリとした粘度の高い白濁液がしみこんでいく。しみ込んだ精液が放つオスの臭いは、' + slave.short_name + 'がどれほど惨めな存在かを一目見ただけでほかの男たちにも示すだろう。',
        'トドメだというように絹のようなサラサラの髪も、男は肉棒を擦り付けた。女の命といえる髪を、男の白い欲望で汚す行為。最低の屈辱と言えた。',
        '「' + slave.short_name + 'の便所穴を、お使いいただき……　うぅ……　ありがとうございました……」',
        'そのような屈辱にもかかわらず、' + slave.short_name + 'は男にうやうやしく礼を述べた。',
        '「お気に召しましたら、どうか、またお使いくださいませ……」',
        '叩き込まれた言葉を男に、媚を込めて投げかける。感情と切り離して舌を動かすことで、なんとか言葉を絞り出した。',
        '男は下品に笑うと、そのまま部屋から去っていった……',
      ],
      [
        '男の肉槍が敏感になった肉壷を抉り、耕し、掻き混ぜていく。',
        'ゴツンと秘奥を突かれる度、開発された性感帯をエラがひっ掻く度、蜜壺の浅い場所をグリグリと刺激される度、' + slave.short_name + 'の頭の中で快楽の火花が飛び散り、理性を焼き、プライドを溶かしていく',
        '「はぁっ、あひっ、あっ、はぁぁっ♡　はぁっ、いひいぃぃ……♡」',
        '気持ちよさそうに目を細め、口からよだれを垂らす' + slave.short_name + 'の顔は、完全に肉欲に溺れたメスの表情そのものだ。',
        '好きでもない男との荒々しいセックスに飲まれ、蕩け、乱れる' + slave.short_name + 'の姿は客の男たちを大いに満足させたようだ。',
      ],
      [
        '「オラオラァッ！　いいんだろ、このチンポがよぉ！？」',
        '部屋には、知性よりも獣欲が勝るタイプの男の声が響く。普通の女であれば、絶対に近づきたがらない手合いである事は明らかだ。',
        '「いひぃぃっ！　いいですっ、おチンポっ、おチンポすごすぎてぇ！　' + slave.self_call + 'っ、アタマがバカにされるぅぅ！」',
        'しかし' + slave.short_name + 'の声は甘ったるくトロけたものだった。',
        'ズボズボと容赦なく女の神聖な場所を掻き回す男のものは、規格外に太く、長く、立派なものだった。それをこれほどまでに手加減なしに激しく叩きつけられた' + slave.short_name + 'の快楽神経の中では、法外な快楽が連続的に起こり、思考回路を焼き焦がしていく。',
        'それでいて野太いものが秘肉を押し広げ強引に内臓の配置すらも置き換えるような恐ろしい痛みが起こる。だが痛みにのたうちまわる暇はない。',
        'えげつない快楽が、痛みを押し流すからだ。痛みと快楽が混じり化学反応することで痛みを悦びに感じる被虐屈服にかわる。その味が容赦なく' + slave.short_name + 'の精神の深い部分に刻まれ、後戻りできないほどそこを作り変えていく。',
        'アタマをバカにされる、とは比喩表現ではなく文字通りのことなのだ。',
        '「へへぇ、そこまでいわれると俺もうれしいぜぇ！　徹底的にハメ潰してやるから覚悟しろよ、雌ブタぁ！」',
        'たかぶった男はさらに' + slave.short_name + 'を激しく責めたてるつもりのようだ。',
        '奴隷娼館の淫らな宴は深夜まで続く……',
      ],
      [
        '四つん這いの姿勢から身動き一つとれないように拘束された女の体を、後ろから男が激しく貪っている。',
        '「おへっ、あ゛あ゛ぁぁ……　おっ、おお゛ぉ、おへぇぇっ……」',
        '男の重いストロークに合わせて' + slave.short_name + 'があげる声は、もはや知性を持った女があげる声ではなくなっていた。',
        'その顔を見れば理由は明らかだ。',
        '口元からはダラダラと大量のよだれをだらしなく垂らしている。目はぐるんと斜め上を向き、焦点も合わぬまま小刻みに、痙攣するようにに動いている。',
        'でろりと長く垂れた赤い舌を見れば、もはやその顔には意識はおろか知性まで根こそぎ削り取られてしまっていることは明らかだ。',
        '「オラッ、なにまんこ穴緩ませてんだぁ！？」',
        '気絶しているがゆえの弛緩した締め付けに男は苛立ったようだ。',
        '「もっと気合い入れて締めろやっ！　ちんぽハメてもらう以外に能のない売女の分際で、身の程わきまえろや！」',
        '男は手に持った鎖を思いっきり引く。首輪から伸びた鎖がピンと張ることで、ゴツい革の首輪がギリリと' + slave.short_name + 'の白い喉に食い込み、気道を圧迫した。',
        'ぐえぇ、という聞き苦しい声が喉から絞り出される。',
        '「へへっ、いいぜ、いいぜぇ。最初からそうしていりゃぁいいんだよ」',
        '男が満足そうな声をあげる。窒息した肉体の反射か、あるいは生命の危機に瀕して、薄れた意識が生存のために動いたのか、' + slave.short_name + 'の肉穴は心地よい締め付けで男の欲望をもてなす。',
        '自身の尊厳どころか、窒息という生命の危機さえも男を満足させるために使われる最底辺の奴隷娼婦、肉便器。それが' + slave.short_name + 'の今の身分だった。',
      ],
      [
        '「んぶぅっ！　ぐぶっ、んぐおぉ！」',
        '客の男は' + slave.short_name + 'の頭をつかむとオナホでペニスをしごくように激しく腰を前後させる。',
        slave.short_name + 'は満足に呼吸も出来ず、目は三白眼になり、口からは涎と精液が逆流している。鼻水と涎と精液まみれの顔はひどい有様だが、むしろその無様な顔が客の嗜虐心を刺激しているようだ。',
        '「オラッ、こっちも手ぇ抜いてんじゃねえよ！」',
        slave.short_name + 'を後ろから貫く男は、生命の危機に瀕し意識を手放しかけている' + slave.short_name + 'に何の容赦もせず、ゴリュゴリュと膣穴をほじくり返している。',
        '端金で肉体を売らされる恥辱を感じる余裕など、手加減のない陵辱の連続に晒されているいまの' + slave.short_name + 'にはありはしなかった。',
      ],
    ]

    scripts.sample
  end

  def brothel_v_whore_spring_script(slave)
    [
      [
        '「うああ……　やだぁ、もうやだぁ……」',
        '奴隷娼館の一室、薄汚れたベッドの上にたっぷりと膣内射精された' + slave.short_name + 'が横たわっている。',
        '望まぬ相手とのセックス。乱暴で身勝手で、そして女のことをこれっぽっちも気遣わぬ行為。そしてそれを受け入れねばならない境遇。',
        'その全てが' + slave.short_name + 'の心を絶望と諦観にドス黒く染め上げていた。',
        'ドアが聞き苦しい軋み音を上げて開く。次の客が来たのだ。',
        '奴隷娼館は今日も賑わっているようだ……',
      ],
      [
        '「ぐちゅっ、じゅるるるるっ、じゅぶぶぶぶっ、んぷぅ……」',
        slave.short_name + 'は男の股間に顔を押し付けるようにして濃厚なフェラチオで客を楽しませようとする。',
        'だが男は満足しなかったようだ。',
        '「オラッ、根元まで咥えるんだよっ！」',
        '男は口腔奉仕を続ける' + slave.short_name + 'の頭を掴むと、一気に根元まで押し込んだ',
        '「おぐぅぅぅ！？　おげっ、おごぉぉぉっ！」',
        '男の太ももに手を当て、抗議を訴えるが男は全く気にする様子もない。喉奥まで乱暴に肉槍をねじ込み、喉の粘膜を削り落とす感覚と、激痛にガクガクと痙攣する' + slave.short_name + 'を嬲る嗜虐行為を男はたっぷりと楽しんでいた……',
      ],
      [
        '獣のように荒々しく犯されたい、オスのチンポに征服されたい、男に服従したい。',
        '女の本能に秘められた隷属欲求が容赦なく暴かれ、男のえげつない腰使いによってゲップが出るほどたっぷりと満足させられていく。',
        '暴力的なまでの快楽が' + slave.short_name + 'の心の奥底にある男に貶められ、所有物に堕とされたいという背徳の願望を容赦なく曝け出し、甘く刺激していく。',
        'ぷっくりと膨らみ、包皮を押しのけむき出しになった陰核は、かつて月の頭脳と呼ばれた女賢者の肥大した浅ましい肉欲の象徴そのものだった。',
        '男の芋虫のような指が、充血した恥核を押しつぶしグチッグチッと荒々しく刺激する。',
        '「おっ、おおぉォォォッ！　おひぃっ、ひああぁぁぁぁぁぁっ！」',
        'それでも' + slave.short_name + 'があげた声は、歓喜そのものだった。',
        'ズコズコと下から突き上げる肉棒が子宮ごと' + slave.short_name + 'の知性を押しつぶし、必死の抵抗を続けどうにか踏みとどまろうとする理性を、陰核から走り抜ける快楽の濁流が押し流していく。',
        '肉欲に飲まれた' + slave.short_name + 'は、ただ男の思うがままに乱れ狂い、男の嗜虐欲をたっぷりと満たした。',
      ],
    ].sample
  end

  def brothel_a_whore_spring_script(slave)
    [
      [
        '「ふーぅ、射精した、射精したぁ。キンタマの中ぁもうスッカラカンだぜぇ」',
        '中年男は' + slave.short_name + 'の尻穴から、やや萎えかけた肉槍をゆっくり引き抜く。',
        '大きく張ったエラが直腸の襞を優しく撫でるたび、' + slave.short_name + 'の口から甘ったるい声が漏れる。' +
          slave.short_name + 'がアナルセックスでどれほど後ろ暗い変態快楽を感じていたか、その声を聞くだけでも十分だった',
        '男の肉槍の先端が入口から引き抜かれる瞬間、名残惜しいとでもいうように尻穴が咥え込んだまま大きく伸びる。',
        'ぢゅぽんっ。間抜けな音を響かせ、ようやく男の肉棒が引き抜かれた。',
        '茶色く濁った白濁液を垂れ流しながら、ぱっくりと大きく口をだらしなく開けた尻穴が男の眼前に晒されるが、尻穴快楽の余韻にひたる' + slave.short_name + 'には気にする余裕もなかった。',
        '「さあ、綺麗にしろよ。てめえのケツまんこをたっぷり可愛がってくれたおちんぽ様だぜぇ」',
        slave.short_name + 'は気だるげな体を起こし、すぐに茶色く汚れた肉棒にしゃぶりつく。そこに嫌悪はない。',
        '口の中に広がる苦味が、己の惨めな現状を実感させ、屈服感が倒錯した被虐の愉悦へと変換されていく。',
        '「へへっ、バカみたいな顔してしゃぶりつきやがって。ケツ穴ほじくられてアクメきめまくって、美味しそうにちんぽにしゃぶりつくたぁ、本当にどうしようもない変態女だな」',
        slave.short_name + 'の表情が変わる。屈辱への怒りではない。言葉で嬲られたことで、被虐の悦びに顔を緩ませたのだ',
        '「ったく。変態と言われて喜ぶとはもう女として終わってんな。これからも、このケツ穴たっぷり可愛がってやるために通ってやっから、その子種汁搾り穴で気合い入れてちんぽ咥えろよ？」',
        slave.short_name + 'は、奴隷女として当然受け入れます、といいたげに大きく口を広げ鈴口を優しく刺激した。男が敏感になった場所を責められうっ、と呻く。',
        'ふたたび肉槍にたぎりが戻り始める。時間は、ギリギリ一度はまだできそうだ。',
        '「へへっ、もう少しかわいがってやっかぁ。ケツ穴ほじられてイく変態女に、身の程を教え込んでやるからなぁ」',
        '男は嗜虐的に笑った。' + slave.short_name + 'も、それに期待を込めて媚をたっぷり含んだ妖艶な笑いを浮かべた。',
      ],
      [
        'アナルセックス。まともな女であれば、一生涯知ることのない背徳の快楽。',
        '男はゆっくりと味わうように、' + slave.short_name + 'の尻穴にストロークを重ねていく。',
        '「おほぉぉっ……　おぉぉっ、そこぉぉ……　ああ゛ぁぁ、おじりがぁぁ、焼けるぅぅ……」',
        '激しさのないセックスだからといって、そこに' + slave.short_name + 'を責めさいなむ要素が全くないわけではない。',
        'いやむしろ、快楽の味を沁みわたらせるようなセックスだからこそ、彼女の頭の中に良識に反するがゆえに悪辣なまでの背徳の悦びが刻まれていく。',
        '理性を腐らせる悪魔のような倒錯の肛虐快楽が' + slave.short_name + 'を、快楽の奴隷としてゆっくりと作り変えていった……',
      ],
      [
        '部屋には男が腰を叩きつける音と、それに合わせるような女の甘い声が響いている……',
        '「くぅぅ、' + slave.short_name + 'ちゃんっ、そんな可愛い声出してっ！　そんなにお尻でセックスするのがいいのっ？」',
        '男の問いかけに、' + slave.short_name + 'は鼻にかかった声で答える',
        '「いひぃぃっ、おしりっ、おじりぃぃ……　好きなんです、お尻でするのぉっ、前の穴でするより好きぃぃ♡」',
        slave.short_name + 'は完全に快楽に飲まれているようだ。その口調には普段の凛々しさや知性など全く含まれていない。' +
          '中毒性のあるアナルセックスの快楽の代償として、知性や賢さといった高尚なものはとっくにドロドロに溶け落ちていた。',
        '男も自分が肛虐性交を通して' + slave.short_name +
          'を堕としているという征服欲の充足に気を良くしたようだ。' +
          '性行為の中で見つけ出した、' + slave.short_name + 'の弱点を集中的に責め潰しにかかる。',
        '「あぁぁ、そんなっ！　浅いところぉっ、そんなにズボズボしちゃ、だめぇぇぇ♡」',
        slave.short_name + 'の声が、甘ったるく余裕のないものになる。それでも男は手加減せず、' + slave.short_name + 'を何度も尻穴で絶頂させ続けた……',
      ],
      [
        '「ああぁぁぁっ、またっまたイグゥぅぅぅぅ！　おじりでっ、' + slave.self_call + 'っ、うあああぁぁぁ！」',
        '吠え狂うようにして' + slave.short_name + 'は絶頂した。',
        '絶頂してなお、まだ足りぬというように自分から腰を動かし、男にさらなる嗜虐と尻穴嬲りを懇願する。',
        'それも当然だろう。満足できないのだ。',
        slave.short_name + 'の前の秘穴にはたっぷりと強力媚薬が流し込まれている。そのせいで子宮まで燃え盛るような淫熱に' + slave.short_name + 'の思考は焼かれており、' +
          'もはやまともな判断能力は残っていない。',
        'しかし、この肉の飢えを満たしていただけねば狂ってしまう。その強烈な渇きが' + slave.short_name + 'を突き動かしていた。',
        '「くださいぃぃ！　もっとおちんぽください！　頭っ、アタマが狂いそうなんです、もっとズボズボっ、ハメてください！　犯してください！」',
        slave.short_name + 'は浅ましく懇願する。指は根元まで秘裂の中に埋まり、グヂュグヂュとそこをかき回している。それも足りないのだ。男の肉槍でしか満たせない。大切なものが失われた強烈な喪失感がそこにあった。',
        '男もそれを理解している。だからこそ、尻穴しか責めない。ハメてもらうことしかアタマにない今の' + slave.short_name + 'の尻穴の締まりは最高だ。',
        'わざわざ前の穴まで満足させ、落ち着かせてやる必要は男にはなかった。一日中客たちは思う存分、' + slave.short_name + 'の尻穴だけをたっぷり味わった……。',
      ],
    ].sample
  end

  def brothel_all_whore_spring_script(slave)
    [
      [
        '「おっ…　お願いします……　少しでいいから、休ませてください……」',
        slave.short_name + 'は、精液まみれの床に額を擦り付けるようにして懇願する。',
        '精液まみれの床に頭を押し付けるようにしたことで、美しい髪がドロリとした液体で汚されるが、余裕を失った' + slave.short_name + 'には気にする余裕もない',
        '「五分、五分だけでいいんです…… お願いします、少しだけ……」',
        '朝から何十人もの男たちに犯され続けた' + slave.short_name + 'の全身は鉛のように重く、意識も朦朧としていた。体が悲鳴を上げており、限界が' + slave.short_name + 'の目前に迫りつつあった。',
        '「おいおい、' + slave.short_name + 'チャン。なーに言ってんだよ。まだまだ' + slave.short_name + 'チャンとハメてない男がこれだけいるんだぜ？　休んでいる暇なんかあるかよ」',
        'だが男たちは' + slave.short_name + 'を気遣うつもりなど全くないようだ。',
        '「うぁぁぁ……　もう無理ぃ、限界だからぁぁ……」',
        '弱々しい悲鳴をあげる' + slave.short_name + 'を押さえつけた男たちは、それぞれの肉棒を使って' + slave.short_name + 'のすべての穴を埋めていく。',
        slave.short_name + 'は何度も限界を超えて、気絶してては再び激しい抽迭で子宮を揺さぶられ、覚醒させられた。快楽と絶頂、覚醒と気絶、意識が男たちの肉棒によって乱暴に掻き回されるような感覚が' + slave.short_name + 'を呑み込んでいく。',
        '……結論から言えば、' + slave.short_name + 'は一日中男たちに犯され続けた。休みは、一時たりとも与えられなかった。男たちは' + slave.short_name + 'の貪りがいのある肉の味に満足したようだった……。',
      ],
      [
        '「うおおおおぉぉ！　射精すぞ射精すぞ、ぐぅぅぅっ！」',
        'びゅるぅっ、どぷびゅるっ！　ぐびゅるっ、びゅるるるるるるぅぅ！',
        '汚らしい白濁の子種汁が' + slave.short_name + 'の膣内へと吐き出された。',
        '名前も知らぬ中年男の生命のスープが、神聖な乙女の子宮へと注ぎ込まれる。',
        '億単位の精子たちが' + slave.short_name + 'の卵子を食い荒らそうと、恐ろしい勢いで女の最も神聖な場所を泳ぎ回った。',
        '「あぁぁぁ、熱い……　おちんぽ汁、火傷しそうなくらい、熱いぃ……」',
        '陶酔したような表情で' + slave.short_name + 'はうっとりとつぶやいた。',
        '朝から何人もの男たちに、膣穴はもちろん、口も尻も休みなく犯され続けた' + slave.short_name + 'の頭に、もはや知性や理性といった高尚なものは残っていなかった。',
        'セックスの快楽に溺れた彼女は、子作り行為の淫らな熱に焼かれるままに自分から腰を動かし、快楽を貪っている……',
      ],
      [
        '「くぅぅぅっ、やっぱり二穴サンドイッチはたまらねぇぜっ！」',
        slave.short_name + 'の前後を貫く男たちは好き勝手に腰を振りたくり、' + slave.short_name + 'の穴を貪っている。',
        '「おひっ、おほぉぉぉぉぉっ！　おほっ、おおおおぉぉぉぉぉっ♡」',
        '二人の男が前後の穴を抉るタイミングが重なり、子宮を前後から揺すぶられた' + slave.short_name + 'は度の外れた声をあげる',
        '「へへっ、汚ねえ声あげやがって、そんなにいいのかよっ！」',
        'それが男たちの嗜虐心を刺激したようだ。男たちは競って' + slave.short_name + 'を快楽によって狂わせようと、腰を激しく叩きつけていく',
        '快楽への従順さをたっぷりと躾けられてしまった' + slave.short_name + 'の肉体はあっさりとその快楽を受けいれ、法悦の極みへと' + slave.short_name + 'を押し上げていく',
        '「おひっ、おへぇぇぇ♡　おほっ、おほぉぉぉぉっ、おひぃぃああああぁぁぁぁぁ♡　」',
        '背筋を反らせ、顔を緩ませながら' + slave.short_name + 'は大きな絶頂を迎えた。だがそれすらも男たちにとっては通過点にすぎない。',
        slave.short_name + 'を絶頂させたことで征服欲をくすぐられた男たちは、さらに徹底的に' + slave.short_name + 'を嬲り尽くそうと、再び腰を動かし始めた……',
      ],
      [
        '一晩' + slave.short_name + 'を好きにするために金で買った男たちで部屋は埋め尽くされていた。',
        '（はぁぁ……　おチンポ、こんなに、いっぱいぃぃ……♡）',
        '興奮したオスの性臭が鼻腔をくすぐり、忘れることができぬほど徹底的に叩き込まれた快楽の味が' + slave.short_name + 'の脳裏によぎる。',
        '一度始まれば性獣と化した男たちは休むことなく手加減なしに' + slave.short_name + 'を嬲り続けるだろう。',
        '絶頂に次ぐ絶頂。呼吸すらままならぬ中、全ての穴をおチンポ様の肉オナホとして差し出し精液シゴき穴として使っていただける歓び。',
        '踏みとどまらなければいけない、これ以上堕ちてはいけない。',
        slave.short_name + 'の中に最後に残ったヒビ割れた理性の名残が訴えるが、一度快楽に流されてしまえばもう' + slave.short_name + 'は浅ましくイキ狂ってしまう。快楽のために己を差し出す最低の色狂いの娼婦としての自分が暴かれていくことを止めることはできなかった。',
        'ニヤニヤと嗤う男たちの視線が' + slave.short_name + 'の白い肌に突き刺さる。',
        'それが自分から犯していただけるようおねだりをしろというと意味だと、躾けと快楽で手なずけられた' + slave.short_name + 'は理解していた……',
        '土下座し、' + slave.short_name + 'が深々と頭を下げ地面を擦り付けるようにしながら、チンポを恵んでいただきたい、犯してほしい、と男たちに懇願した。',
        '殊更に淫らな言葉や己を貶める言葉を使い、男たちの欲情を煽る' + slave.short_name + 'の無様な懇願は、獣欲を大いに煮えたぎらせたようだ。',
        '大部屋からは一晩中、獣のような' + slave.short_name + 'の嬌声が響き続けていた……',
      ],
    ].sample
  end

  def brothel_pole_dance_spring_script(slave)
    script = []
    case slave.status_in_tent
      when 'sexy_dance'
        script = [
          [
            slave.short_name + 'は扇情的な衣装をまといステージの上で男たちの視線を集めていた。',
            '服というには布地が少なすぎるし、なにより大事な場所は少しも隠れていない。胸に至ってはくびりだすように強調したデザインになっていた。',
            slave.short_name + 'は手でポールを掴みながら脚を大きく開き、男たちの劣情を煽るように腰を前後させる。',
            '女らしい肉体の美しさを見せつけながらも、淫らに、いやらしく舞う' + slave.short_name + 'の姿に観客たちは沸いている。',
            '観衆たちの興奮が高まるのを感じ取った' + slave.short_name + 'は、さらにサービスする気になったようだ。',
            '観客たちの間際まで歩み寄ると、その場でしゃがみこむ。脚線美を見せつけるように大きく脚を開いた。',
            '秘所に視線が突き刺さるのがわかる。' + slave.short_name + 'はそれだけで軽くイキそうになった。',
            '秘所を撫で回すように白く細い指を這わせる。公開オナニー。',
            '男たちが一斉に生唾を飲み込んだことでゴクリという音が大きく響いたように聞こえた。',
            'もちろんこんなものでは終わらない。',
            '見せつけるように張り型に舌を這わせる。大きく舌を伸ばし、カリ首をいじめるように責める。',
            '喉奥まで飲み込むと、一旦引き抜く。唾液まみれになった張り型がテラテラといやらしく輝く。',
            '男たちの反応を楽しみながら、' + slave.short_name + 'はステージの上で淫らに舞う。観客の興奮に合わせ、その行為はさらに過激になっていった。',
            '興奮した観客たちは大いに満足したようだ……',
          ],
        ].sample
      when 'public_masturbation'
        script = [
          [
            '「はっ、ああぁぁっ！　見てっ、見てぇっ！　' + slave.self_call + 'のいやらしいところっ、もっと見てぇぇ！」',
            '自慰行為。',
            '人間であれば必ず湧き出す性欲を己で解消するための秘めるべき行為。本来であれば自室など人目につかない場所でするものだ。',
            'しかし' + slave.short_name + 'は、多数の男の前での公開オナニーという、背徳的で冒涜的な行為による倒錯的な快楽に完全にハマっていた。',
            '指を根元まで膣穴に突っ込みグリッと自分の感じる場所を引っ掻く。それだけで爪先立ちになるほどの甘い快楽が湧き上がってくる。観衆たちも自分の痴態に興奮したのがはっきりとわかった。',
            'それならサービスしてやろうではないか。',
            '左手を出すと、人差し指と中指を、たっぷりと唾液を絡めてなめしゃぶる。',
            'まるでフェラチオをするように己の指に奉仕する。男たちの性的興奮がさらに高まる。まるで欲情のサウナのようだ。',
            '唾液をたっぷりとまぶしたその指を、己の尻たぶへと導く。そして背徳の穴にズプリと挿し入れる。',
            '公開二穴オナニー。最低の変態淫乱の行為そのものだ。観客たちがどよめく。そしてそのどよめきこそが今の' + slave.short_name + 'にとってはなにより心地よかった。',
            '観客の視線、いやらしい姿への欲情、浅ましい行為への興奮。',
            'あるいは軽蔑。人前で淫らな姿を晒したがる女など頭のおかしい淫乱に違いないという視線。',
            '視線に込められた男たちの感情。それが無数に突き刺さるのだ。',
            '耳元に男たちのハァハァという吐息が聞こえる気がした。',
            '男たちの視線が' + slave.short_name + 'の興奮を呼び起こし、' + slave.short_name +
              '興奮がさらに彼女を乱れさせ、' +
              'それが観客たちの欲情を巻き起こす。淫らな連鎖によって見世物小屋には熱気が充満していく。',
            '狂宴は夜まで続いた。',
            '観客たちは' + slave.short_name + 'の公開オナニーショーに大いに満足したようだ。',
          ],
        ].sample
      when 'lesbian'
        script = [
          [
            '「そこっ、そんなにぃぃっ！　だめっ、だめだからぁ！　許してぇ、許してくださいっ！」',
            slave.short_name + 'は必死に許しを乞う。だが責め手は苛む手を決して許しはしない。',
            'すでに快楽に溺れかけている' + slave.short_name + 'を責めている相手は男ではなかった。',
            '同性、すなわち女の調教師だった。',
            '女ゆえに女のカラダの弱点を知り尽くしているというアドバンテージ。',
            'なにより、射精という弾数制限と冷却期間が必要な行為がなく、どれほど長い時間であっても相手を攻め続けられる女という存在は、男以上に女にとっての天敵となりえた。',
            'そして何人もの女を狂わせ続けてきた熟練の女調教師にとって今日の獲物は' + slave.short_name + 'だった。',
            '女の指が、' + slave.short_name + 'の陰核に狙いをつけたようだ。',
            '「そっ、そんなぁぁぁっ！　ああっ、無理ぃぃ、こんなのっ、耐えられるわけがないぃぃぃ！」',
            '日本の指で、陰核を包皮ごと挟み込むように責め苛む。激しさはそこにはなく、むしろ優しささえ感じられる。',
            'だが膝をガクガクと震わせ、崩れ落ちそうになる' + slave.short_name + 'の態度が、その責めのえげつなさをはっきりと物語っていた。' ,
            '男は勘違いしがちだが、快楽の大きさとは激しさに比例しない。もっとも相手を感じさせるには、最適な場所に、最適な強さで快楽を送り込めば良いのだ。そして女調教師は数多の経験からそれを誰よりも知悉していた。',
            '何より女調教師は知っている。女を壊すのに、激しさは必要ないのだ。',
            '最も快楽が大きくなる攻め方で、相手を休ませず攻め続ければ、快楽によって女の脳はあっさりと壊され、快楽に屈し、快楽を与えてくれる相手に隷従してしまう。',
            'さてこの獲物はいつ壊れるだろうか。いや、壊れないギリギリのところで延々責めてやるのもいい。我慢強い相手ほど、壊れる寸前でいたぶってやるのが楽しいのだ。',
            'よだれまみれで吠え狂う無様な顔を、観客の男たちに見せてやるのもいいだろう。',
            '女調教師は残忍さをたたえた顔に、嗜虐の表情を浮かべていた……。',
          ],
        ].sample
      when 'slime_dance'
        script = [
          [
            '「ひいぃぃぃっ、胸っ、胸がぁぁぁっ！」',
            '男たちの脂ぎった視線が集中するステージの上で' + slave.short_name + 'は卑猥なダンスを踊る。',
            '彼女の胸には緑色のゲル状の物体、スライムが張り付いていた。',
            '張り付いたスライムは表面を柔軟に変化させ、乙女のシンボルを優しくこねまわしながら凶悪なまでの快楽を送り込んでいる。',
            'もちろん' + slave.short_name + 'は剥がそうとしたが、強烈な粘度を持つスライムの張り付き力は強く、は人の力では引き剥がすこともできない。',
            'そしてスライムは無形ゆえに攻め方は巧妙で悪辣で多彩だった。',
            '揉む、撫でる、摘む、噛む、ひねる、捏ねる、潰す。それらがうねうねと蠢めく表面全てから繰り出される。胸全体を覆うことで、数百本の指が蠢めくような甘い感触が双丘全体から' + slave.short_name + 'の脳へと荒々しく流し込まれていく。',
            '挿入はしていない、愛撫だけでこれほど強力なのだ。' +
              '快楽神経が飽和するほどの肉悦に、' + slave.short_name + 'はビクビクとのたうつ。それは淫らな舞として、観客たちの目を楽しませていた。',
            '「そっ、そんなぁ！？　下っ、いま下まで責められたらぁ！」',
            'スライムは全身を薄く延ばすことで' + slave.short_name + 'の秘められたデルタゾーンにまで食指を伸ばそうとしていた。',
            slave.short_name + 'は必死に無駄な抵抗を示すが、何の意味もなかった。',
            '……スライムは胸から秘所、陰核、そしてアナルと下半身全体へと移動し、そこを思う存分貪り尽くした。',
            '最後には立っていられなくなり、ビクビクと、全身を激しく痙攣させる' + slave.short_name + 'の姿は観客たちを大いに楽しませた。' +
              '暴力的な快楽の前に、壊れたバネ人形のようにデタラメに手足を跳ねさせる' + slave.short_name + 'の姿はただ惨めに快楽に屈した肉奴隷の哀れな末路そのものだった。',
          ],
        ].sample
      when 'battle'
        script = [
          [
            '「うああぁぁぁ、いやっ、いやぁぁぁ！　見ないでぇぇぇ！」',
            slave.short_name + 'は一瞬ビクリと大きく震えると、目を見開いて体を硬直させた。',
            'そして甘い悲鳴をあげながら背筋を反らせて絶頂を迎える。',
            'その艶やかな姿に男たちの視線が釘付けになる。その視線の数と熱情が' + slave.short_name +
              'の羞恥心を湧き上がらせ、倒錯した快楽をさらに燃え上がらせていく。',
            '絶頂直後の余熱を持て余している' + slave.short_name + 'の肉体にとって、羞恥快楽は最後の一押しとなった。',
            '「ああぁぁぁぁ！　' + slave.self_call + '、' + slave.self_call + 'っ、見られてぇっ、イクぅぅっ！」',
            'ブシッ、と愛液が勢いよく秘裂から噴き出す。',
            '観客たちは' + slave.short_name + 'の痴態に注目し、さらにそれが' + slave.short_name + 'の興奮を引き起こす。完全な悪循環だった。',
            '数分の後、ようやく連続絶頂から降りてこれた' + slave.short_name + 'を、男が名残惜しそうに解放する。',
            'もちろんこれで終わりのわけがなかった。',
            '「審判」役の男が出てきて、次の「選手」の入場を促す。',
            '今日の見世物は、「地下試合」だった。何でもありの総合格闘技。という建前だが、もし' + slave.short_name + 'が敗北すれば、勝者は本番行為以外、何でも好きにできる。',
            '口や胸で奉仕させるものもいれば、今の男のように、淫玩具で' + slave.short_name + 'の肉を嬲るものもいる。',
            '最初こそ相手の男たちを一蹴してきた' + slave.short_name + 'だが、疲労が重なり、ついに敗北してしまう。',
            'あとは負の連鎖だった。敗北し嬲られる。そして疲れきったところでまた次の男との試合。',
            '一人二人は倒せても、もう' + slave.short_name + 'は連勝することはできなくなっていた。',
            'そして重なる疲労により、勝率は悪くなりつつある……',
            '最後は勝つことなどできなくなっていた。次々男たちに嬲られる' + slave.short_name + 'の姿は、観客を大いに沸かせたようだ……',
          ],
        ].sample
      else
        puts "INVALID slave.status_in_tent: #{slave.status_in_tent}"
    end

    ['（公開衆目奉仕売春）'] + script
  end

  def brothel_show_tent_spring_script(slave)
    script = []
    case slave.status_in_tent
      when 'lesbian_sex'
        script = [
          [
            '観客席のギラついた男たちの、欲望に脂ぎった視線がステージ上の' + slave.short_name + 'へと集中している。',
            '尻穴から勢い良く、大粒のアナルビーズが引き抜かれた。',
            '「おへぇぇぇっ、お尻ぃ、おじりがぁぁ！　おぉぉぉ、うああ゛あ゛あ゛あ゛ぁぁぁぁぁあぁっ！」',
            '引き抜かれたアナルビーズが理性というものを根こそぎ道連れにしたかのようだ。猛烈な尻穴快楽の濁流が湧き上がり、耐えきれずに' + slave.short_name + 'は今日一番の大きな絶頂を向けた。',
            '緊縛され、上から上半身を吊るされているがゆえに崩れ落ちることもできず、背骨そのものを引き抜かれたかのように膝をガクガクと震わせるその姿が、' + slave.short_name + 'が尻穴で迎えた背徳アクメの大きさを物語っていた。',
            'だが責め手は休ませる気は毛頭ないようだ。',
            '凶悪な形状の極太のバイブと、電気を流すためのケーブルのついたクリップを取り出した。',
            '女ゆえに女のカラダの弱点を知り尽くしているというアドバンテージ。',
            'なにより、射精という弾数制限と冷却期間が必要な行為がなく、どれほど長い時間であっても相手を攻め続けられる女という存在は、男以上に女にとっての天敵となりえた。',
            'そして何人もの女を狂わせ続けてきた熟練の女調教師にとって今日の獲物は' + slave.short_name + 'だった。',
            '喘ぎ声を上げるたびに、乳首とクリトリスに電流を流すから、頑張って感じるのを我慢しなさい。',
            'そう宣言した女調教師の巧みなバイブさばきに、口をつぐんで耐えていた' + slave.short_name + 'が甘い声を洩らし始めるには、時間はあまりかからなかった。',
            '女調教師の思うがままに、無様に喘ぎ、啼き狂い、イキまくる' + slave.short_name + 'の姿に、観衆たちは大いに満足したようだった。',
          ],
        ].sample
      when 'uncle_seeding'
        script = [
          [
            '今日の' + slave.short_name + 'の相手は種付けおじさんだった。でっぷりと太った脂ぎった中年男を視界にとらえたときの' + slave.short_name + 'の顔には不快の表情を出さぬための苦労がありありと現れていた。',
            'だがいまやそんな余裕は' + slave.short_name + 'には一欠片も残ってはいない。',
            '「おほっ、おへぇぇぇぇ！　無理、無理ぃぃっ、もうイキたくないぃぃっ、死ぬぅぅぅぅ！」',
            '種付けおじさんが飽きることなく' + slave.short_name + 'をズボズボと搔きまわし、抉り、貫き、ほじくり回す。',
            '脳を直接ペニスで掻き回されているかのような暴力的な快楽を叩きつけられた' + slave.short_name + 'は観衆たちの目にさらされながら何度もイキ狂う。',
            '「うあああぁぁ！　またっ、またぁ！　イクッ、イクぅぅぅぅぅぅ！！！！」',
            '立ちバックの姿勢で、体を大きくのけぞらせ白い喉を無防備に晒しながら' + slave.short_name + 'は派手に絶頂した。体がガクガクと震え、胸がブルブルと震える姿に観客の興奮は高まっていく。',
            '何度も絶頂を迎えたことでもはや力の入らなくなった膝が崩れ、' + slave.short_name + 'はステージの上に崩れ落ちてしまった。だがそれでも種付けおじさんは許さない。',
            '後ろから尻だけを抱え、覆いかぶさるようにしてさらに激しいストロークを再開する。',
            '「待って、待ってぇぇ！　' + slave.self_call + '、イッたばかりだからっ、だからっ、いひぃぃぃぃ！」',
            slave.short_name + 'の言葉に耳を貸さず、ただひたすらに種付けおじさんは媚肉を貪り続ける。陰嚢の中身をすべてぶちまけるまで種付けおじさんが止まるはずがなかった' +
              '結局、' + slave.short_name + 'は意識がなくなるまで、いや意識が朦朧としてなお、種付けおじさんに貪られ続けた。',
            '観客たちは、ただひたすらに乱れ狂う' + slave.short_name + 'の姿に満足したようだ。',
          ],
          [
            '「うあぁぁぁっ！ だめっ、ひぃぃぃっ！　おおぉぉっ、またぁ、イクっ、イックぅぅぅぅ！」',
            '見世物小屋の観客席を埋めている無数の男たちの視線が自分の痴態に突き刺さるのが、痛いほどわかる。',
            '快楽にトロけきった痴呆を衆目に晒している。絶頂を迎え、吠えるように叫ぶ己の姿に興奮と軽蔑の視線が突き刺さる。',
            '見られている。男たちの前ではしたない姿を晒している。いやらしい姿を見せつけている。そして見られることがさらに羞恥心に火をつけ倒錯した興奮を引き起こしている。まるで痴女そのものの行為だ。',
            'だが' + slave.short_name + 'は快楽の極限へと登りつめていく自分を全く抑えることができなかった。',
            '原因は、立ちバックの姿勢で後ろから' + slave.short_name + 'を犯し続ける中年男にあった。',
            '男の性技は多彩で、見事だった。女を狂わせるテクニックを' + slave.short_name + 'に叩きつけていく。それでいてそのテクニックは万華鏡のように変化するため、快楽に慣れて受け流すこともできない。',
            '中年男は飽きることなく' + slave.short_name + 'を責め、啼かせ、感じさせ、イキ狂わせた。',

            '今感じている肉の悦びに比べれば、今まで' + slave.short_name + 'が経験してきたセックスなど、子供の遊びのようなものだ。',
            '十年以上、毎日数え切れない女を犯し、快楽で躾け、ペニスに屈服させ、肉奴隷として快楽への隷属と服従を誓わせてきた中年男。その彼に比べれば、つい最近までセックスどころかオナニーの味すらも知らなかった' +
              slave.short_name + 'など経験の面だけでも比べものにもならなかった。',
            'プロの格闘家チャンピオンと幼稚園児が試合をする様なものだ。実力面でもはや話にもならなかった。',
            '実力差が圧倒的な二人による責め嬲りは、一方的な展開のまま聴衆を沸かせている。終わりのない絶頂。強者による弱者の蹂躙。肉のリンチともよべる快楽の地獄に堕とされた' +
              slave.short_name + 'の淫惨な姿は、観客の男たちを大いに喜ばせた。',
          ],
        ].sample
      when 'sensitive_drug'
        script = [
          [
            '（媚薬投与、徹底視姦陵辱）',
            '「ひいぃぃぃぃっ！　こんなっ、こんなのっ、反則だからぁぁぁ！　無理っ、無理ぃぃぃぃ！」',
            slave.short_name + 'は甘ったるい声で泣き叫ぶ。',
            '無理もない。' + slave.short_name + 'に注射器によって投与されたクスリは、女の感度を何十倍にも増幅する媚薬だった。副作用などまるで御構いなしに作られたその媚薬は、女を狂わせ、男に従わせ、肉奴隷として躾けるためだけの存在するものだからだ。',
            'そんなものを使われて、正気を保てる女などいるはずがなかった。',
            slave.short_name + 'を背後から貫く男は、その悪魔的効果を知りながら容赦なく肉贄を貪る。',
            'そして' + slave.short_name + 'に投与されたクスリの効果はそれだけではなかった。催眠効果。男の視線を肌に感じるたび、それを愛撫される悦びに転換する。そして視線というものは愛撫と異なり、一つの場所に何重にも感じることができるのだ。',
            'その意味を' + slave.short_name + 'はその肉体で思い知ることになる。胸、秘所、尻、脚。そこかしこに視線が突き刺さるのを感じる。そして視線は一つではなく何重にも突き刺さる。',
            '無数の手で全身を弄られるかのような恐ろしい感覚。',
            slave.short_name + 'の痴態に男たちの脂ぎった視線が突き刺さる。痛い。まるで焼けた火箸を押し付けられているようだ。',
            'そして厄介なことに、その視線が突き刺さった場所が乱暴に愛撫されたかのように浅ましい熱を持ち' + slave.short_name + 'を甘く責め苛むのだ。',
            '「ひっ、ひぃぃぃっ！　おひぃぃっ、らめぇぇっ、そんなに激しく責められたらあぁぁぁ！」',
            slave.short_name + 'がズボズボと後ろから貫かれる衝撃に耐え切れず、甘ったるい声で啼き叫ぶ。感度はすでに常の数十倍にも増幅されている。',
            'そんな場所を無遠慮に抉り、擦り、耕されて叫ばずにいられる人間などいるはずがなかった。',
            'そしてその声は観客の男たちの興奮の、さらなる呼び水となる。ストロークのたびに震える乳房に男たちの視線が突き刺さる。',
            'もはや耐えることもできずガニ股となってガクガクと下品に震える秘所と脚線美に男たちの瞳が吸い寄せられる。',
            'その視線を知覚することで、' + slave.short_name + 'の脳内で男たちの視線が巧みな愛撫へと容赦なく変換されていくのだ。',
            '「うああぁぁぁぁああぁぁっ！　無理っ、こんなの無理ぃぃぃぃっ！　イクっ！　' + slave.self_call + 'っ、イク！　イっくぅぅぅぅぅうぅぅ！」',
            '高らかに屈服を宣言し、淫らに蕩けた表情を晒し、そしてその顔に突き刺さる興奮と軽蔑の視線をたっぷりと味わいながら' + slave.short_name + 'は絶頂した。',
            'そしてその痴態にさらなる観客の視線が集まる。その視線の熱はさながら火山のマグマのようだ。',
            '「んひぃぃぃぃぃっ！　またっ、またぁぁぁっ！　視られてぇぇぇっ！　' + slave.self_call + 'イクぅぅぅぅぅ！」',
            '淫熱に燃やされながら、浅ましく' + slave.short_name + 'は絶頂した。',
            '痴態を晒し、そこに観客の好奇の視線が集まり、そしてさらにそれがさらなる快楽を呼び起こし絶頂する。完全な悪循環だった。もはやそこに制止の手段など存在せず、ただ' + slave.short_name + 'は無様に絶頂し続けた。',
            'その痴態に観客たちは大いに満足したようだった……',
          ],
        ].sample
      when 'slime_sex'
        script = [
          [
            '「ひいぃぃぃっ、胸っ、胸がぁぁぁっ！」',
            '男たちの脂ぎった視線が集中するステージの上で' + slave.short_name + 'は卑猥なダンスを踊る。',
            '彼女の胸には緑色のゲル状の物体、スライムが張り付いていた。',
            '張り付いたスライムは表面を柔軟に変化させ、乙女のシンボルを優しくこねまわしながら凶悪なまでの快楽を送り込んでいる。',
            'もちろん' + slave.short_name + 'は剥がそうとしたが、強烈な粘度を持つスライムの張り付き力は強く、は人の力では引き剥がすこともできない。',
            'そしてスライムは無形ゆえに攻め方は巧妙で悪辣で多彩だった。',
            '揉む、撫でる、摘む、噛む、ひねる、捏ねる、潰す。それらがうねうねと蠢めく表面全てから繰り出される。胸全体を覆うことで、数百本の指が蠢めくような甘い感触が双丘全体から' + slave.short_name + 'の脳へと荒々しく流し込まれていく。',
            '「いやぁぁっ、ナカでもぉ、動いているぅぅ！　そんなっ、そんなのぉぉ、無理ぃぃぃ！」',
            '膣内に潜り込んだスライムはさらにえげつなく' + slave.short_name + 'を責める。膣襞を舐め、揉みしだき、捏ね回す。人間の指では到底できない複雑で繊細な動きが暴力的なまでの快楽を生み出す。',
            'たとえどれほど不感症の女でも快楽に狂わせるほどの暴力的な快楽濁流が' + slave.short_name + 'の思考と理性を押し流していく。' +
              '肉悦の電流が快楽神経を走り、背筋を通るたび、' + slave.short_name + 'の脳の高尚な思考をつかさどる部分がを焼き焦がされていく。それはまるで快楽の小爆発だった。',
            'しかもその小爆発は膣内中で起きているのだ。',
            '「ぎひぃぃぃっ、ナカっ、ナカがぁ、だめぇぇっ！　コワれるぅ！　' + slave.self_call + 'ぃ、アタマぁ、コワされるぅぅ！」',
            'ステージの上でスライムたちに思う存分喘がされ、啼き狂わされる' + slave.short_name + 'は淫らな見世物そのものだった。何とか逃れようと白桃のような尻が左右に揺すられ、汗をびっしりと浮かべた白磁のような肌が快楽に震える。' +
              'その度に男たちから嘲弄のヤジが飛ぶが、快楽に溺れる' + slave.short_name + 'はもはやそれどころではなかった。',
            'しかしこの程度で肉の宴が終わるはずがなかった。脚に冷たい、不気味な感触を覚えた' + slave.short_name + 'は恐る恐る下を向く。脚には、もう一体新手のスライムが張り付いている。',
            'スライムはガクガクと快楽に震える脚を器用に登ると、' + slave.short_name + 'の尻へと張り付いた。',
            '前の穴だけでも限界に近い快楽を味あわされているのだ。この上後ろの穴までこの緑色のゲル状の悪魔に食い荒らされたら、本当に狂ってしまう。恐怖に震える' + slave.short_name + 'は必死に尻穴をすぼめようとするが無駄な抵抗だった。スライムは、いとも簡単に乙女の最後の抵抗をこじ開けてしまう。',
            '「おぉぉぉっ……　ひぃぃぃ……　うあぁぁぁ、いやっ、いやだぁぁぁ……」',
            '顔面蒼白になった' + slave.short_name + 'は、か細い悲鳴をあげるが、やがてその声は喘ぎ声に置き換えられていく。',
            '「いひぃぃ、お尻ぃ、ナカから舐めちゃだめぇぇ……こんなのぉ、反則ぅぅぅぅ♡」',
            slave.short_name + 'の尻が乱暴に跳ねることで、その快楽の凶暴さを物語っている。',
            '「おへぇぇぇぇっ、おじりっ、おじりとナカ、一緒はぁっ……　おっ、おおっ、うおお゛お゛ぉぉっ……」',
            '前と後ろを同時に責められる感覚はもはや単なる快楽ではない、許容限度を超えた快楽が拷問じみたものになっているのだろう、' + slave.short_name + 'の目は寄り目がちの三白眼となり、口からは泡を吹いている。',
            '「おああぁぁっ、おほぉぉっ！　おお゛お゛お゛ぉぉっ、おああ゛あ゛あ゛ぁぁぁっ！」',
            'すでに' + slave.short_name + 'の上げる声は意味をなさないものになっていた。',
            '文明人であれば決してあげることのない獣じみた悲鳴をあげながら、' + slave.short_name + 'は無様にイキ狂った。観客たちはそんな' + slave.short_name + 'の姿を見て大いに楽しんだようだ……',
          ],
        ].sample
      when 'anal_sex'
        script = [
          [
            '今日の' + slave.short_name + 'の相手はアナル責めおじさんだった。でっぷりと太った脂ぎった中年男、という女に好意とは対極の感情を与える見た目と裏腹に' +
              '女を尻穴だけで狂わせる性技を持つ。',
            '知性を灼き潰す破滅的な快楽をたっぷりと流し込むことで今までの何人もの女の人生を狂わせてきた。背徳の穴を食い荒らされる倒錯的な肉悦と、衆人環視という恥辱のスパイスの化学反応は、どれほど高潔な女であっても溺れずにはいられない。',
            '観客の男たちの熱狂は、アナル責めおじさんの技巧への信頼と' + slave.short_name + 'がこれから晒す痴態への期待をたっぷりと孕んでいた。',
            '周囲を埋め尽くす興奮した男たちの視線を感じながらも、羞恥よりも快楽を選ぶよう躾けられた' + slave.short_name + 'の淫らな姿が観客たちを楽しませている。',
            '「くださいぃ、じゅるっ、じゅぶぶっ……　おちんぽ、おちんぽぉぉ♡」',
            slave.short_name + 'は浅ましく中年男の股間に顔を寄せ、肉棒にしゃぶりつき、だらしない顔で味わっている。周囲から突き刺さる男たちの欲情した視線も、もはや正常な判断能力を失った' + slave.short_name + 'の歪んだ快楽思考の中で、興奮を促す甘美な羞恥快楽へと変換されていく。',
            'そこにかつての雑魚を寄せ付けなかった元' + _adventurer_type + 'としての' + slave.short_name + 'の威厳など欠片もない。',
            'さらに' + slave.short_name + 'の女としての最低限の尊厳すらも貶めるような重い水音が重なる。',
            'ぐぽっ、ぐぽぽっ、ぐぼぼぼぼぉ。',
            '尻穴を責めさいなむ大粒のアナルパール。数珠のようなそれが大きくアナルを押し広げて抽迭されるたびに' + slave.short_name + 'の顔からはわずかに残っていた知性や理性といった高尚なものが溶け落ちていく。',
            '「おぢんぽぉ、おじりにぃぃっ、欲しいのおぉぉっ、お゛ぉっ、おぉぉ……」',
            '寄り目がちの三白眼で、鼻の下を阿呆のように伸ばし、それでも尻穴をほじくってくれるよう懇願する' + slave.short_name + 'の姿に、食い入るように' + slave.short_name + 'を見つめる観客の興奮は高まっていく。',
            '食べごろだ。そう判断したアナル責めおじさんはアナルパールの持ち手を掴んだ。',
            '引き抜かれることを察した' + slave.short_name + 'は無意識は尻穴を緩める。',
            '「うひぃぃぃっ！？　あっ、うああぁぁぁっ！」',
            'ずぶぶぶっ。期待に反して直腸の奥へと押し込まれたアナルパールに' + slave.short_name + 'は背を反らせ間抜けな声を上げる。引き抜くつもりではなかったのか？',
            'そう考え、後ろを振り向いた瞬間。',
            '「−−−−−−−−ッ！？　アアアァァァッ！　ほぉぉっ、おおぉぉああぁぁぁぁぁっ！」',
            '反射的に締めあげられた尻穴から、一気に数珠玩具が引き抜かれた。',
            slave.short_name + 'は目を見開き、舌を突き出し、痴呆のような声をあげる。無防備な瞬間を狙った意表をついた一撃。それも最大級の破壊力の。',
            '中年男はいたぶるように何度か押し込んでは一気に引き抜き、ずるずると押し込んではまた一気に引き抜く。',
            'あまりの快楽衝撃の大きさについに耐え切れず、' + slave.short_name +
              'は背骨を丸ごと引き抜かれたかのようには床に突っ伏してしまう。',
            '尻を突き上げたまま顔を床に押し付け、でろりと垂れた舌はまるで床を舐めているかのようだ。',
            '意識はほとんどトビかけていることは、白目をむいた顔を見れば明らかだ。それでいて肉体はガクガクと震え、尻穴快楽の絶頂のあまりの大きさに、絶頂から降りてこられぬまま何度も細かくイキつづけていることを示している。',
            'アナル責めおじさんは、' + slave.short_name + 'の後ろにまわると、肉棒を取り出した。節くれ立ち常人よりふた回りは大きい肉凶器。',
            '完全に精神の防御を砕かれ、快楽に従順に屈服しきった肉体で、こんなもので責められたら、女として陥ちてしまうことは明らかだ。',
            'それもこんな衆人環視の中で。それはまさに公開処刑といったほうが正しいだろう……。',
            '今までの経験から、これから何が始まることを理解している観客たちは興奮に息を飲む。始まるのだ。これから数時間休みもなく、アナルで感じる絶頂、その多彩で限りがなく、知性という知性を徹底的に蹂躙する暴力的なまでの肉の悦びの、中毒性のあるどろりとした部分。',
            'それをたっぷりと、' + slave.short_name + 'は今からえげつなく教え込まされるのだ。',
            '背徳の肉の宴の本番が始まろうとしていた……',
          ],
          [
            '「ほぉぉぉっ、あっ、お尻ぃっ、お尻がしゅごいのぉぉぉぉ！」',
            '見世物小屋全体に響き渡るような声で' + slave.short_name + 'が吠える。',
            '後ろからは立ちバックの姿勢で中年男が' + slave.short_name + 'の背徳の穴を貪っていた。',
            '今日の見世物の内容は「公開セックス（アナル限定）」だった。',
            'アナルセックスを極めた尻穴おじさんの技巧の極みの前に、' + slave.short_name + 'はひとたまりもなく悶え狂わされている。',
            'いや' + slave.short_name + 'を責め苛んでいるものはそれだけではない。',
            '膣穴に、子宮奥にたっぷりと流し込まれた超強力媚薬による肉の渇きだ。',
            '直腸という裏側から子宮を刺激されるたび、子宮は子種汁を求めて浅ましくひくつく。たっぷりとザーメンを恵んで欲しいと、熱々の白濁液を飲み干したいと訴えるのだ。',
            'だが尻穴おじさんは決して前の穴には手を出さない。アナルだけを貫き続けた。',
            '「うあああぁぁぁぁぁっ！　お尻っ、お尻のナカにぃ！　熱いのいっぱいきてるぅぅ！」',
            '何度尻穴に濃厚な精液を注がれても、子宮の飢えは決して満たされることはない。いやむしろ半端に刺激され続けることで、むしろその飢餓感は肥大し続けるいっっぽうだった。',
            'まともな女であれば一生涯知ることのないアナルセックスという変態行為。矜持を踏み砕かれる背徳の快楽の後ろ暗い喜びが' + slave.short_name + 'の理性を腐らせていく。',
            '尻穴おじさんのテクニックに溺れながら、' + slave.short_name + 'は男たちの眼前でアナルセックスの喜びをたっぷりと堪能した……',
          ],
        ].sample
      when 'horse_sex'
        script = [
          [
            '見世物小屋の中心にはがっしりと四つん這いで拘束された女と、それを後ろから貫く見事な体格の馬がいた。馬が腰を振るたび、' + slave.short_name + 'のタガが外れた声が響く。',
            '馬の肉凶器のサイズは特に規格外のもので、女の胴回りのサイズよりも太いこともある。',
            'そんなもので突かれれば当然内臓が破れ普通であれば死んでしまう。',
            'だが、今の' + slave.short_name + 'には、防御力と耐久力を上げる補助魔術がかけられていた。',
            'つまり、それは人を殺すほどの痛みで苛まれながら、死ぬこともできず苦しみ続けるということを意味していた。もちろん桁外れの苦痛は' + slave.short_name + 'に意識を手放して逃れることすらも許さない。',
            '「うっがぁぁぁっ、があぁぁっ！　ぎぃぃっ、壊れるぅ！　コワれるからぁぁぁ、せめて、ゆっくりぃ、あっぎゃあああ゛あ゛あ゛ぁぁ！」',
            '許して、優しく、ゆっくり。そういった言葉で' + slave.short_name + 'は先ほどから己で楽しむ馬に対して懇願していた。',
            '馬が人語を解するはずもないが、もはやまともな判断も出来ぬほど' + slave.short_name + 'の思考はぐちゃぐちゃに壊されていた。',
            'ついには意味のある言葉を話せなくなってもまだ' + slave.short_name + 'は馬と交わることを強いられた。',
            '観客たちは、見苦しい悲鳴を上げる' + slave.short_name + 'の無様な痴態を大いに楽しんでいた。',
          ],
        ].sample
      when 'pig_sex'
        script = [
          [
            '見世物小屋の中心にはがっしりと四つん這いで拘束された女と、それを後ろから貫く巨大な豚がいた。豚が腰を振るたび、' + slave.short_name + 'の甘ったるい声が響く。',
            slave.short_name + 'を貫く豚がひときわ高い声で鳴いた。',
            '膣内のドリル状の肉掘削機がぼこりと太くなる。来るのだ。男の欲望のほとばしりである精液が。',
            'びゅるるるるっ、ぐびゅるるるっ、ぼびゅるるるるぅっ。',
            '獣くさく粘度の高い精液がびゅくびゅくと豚ちんぽから大量に吐き出される。',
            '「あああぁぁぁぁぁ！　うあぁぁ、せーえき、せーえきいっぱいでてるぅぅぅぅぅ！」',
            slave.short_name + 'の出す声にはもはや正気は残ってはいない。',
            '自分の何倍もの体重を保つ豚の、さかりのついた全力セックスを呆れるほどの時間、受け止めてきたのだ。',
            'しかも子宮まで届くほどの長竿で何度も何度も膣奥を突かれ、ドリルのような凶悪な形状の肉凶器で敏感になった場所を掻き回されては正気を保てる女などいないだろう。理性や知性といった' + slave.short_name + 'の脳の高尚な部分は、すでに粉々に踏み砕かれていた',
            '獣欲に屈服し尽くした' + slave.short_name + 'の膣内に注ぎ込まれる精液が粘度を増していく。今までの精液は、メスの膣内を刺激し孕みやすくするための先走りに過ぎない。ここからが女に種付けするための豚の本気の子種汁なのだ。',
            '相手のメスを己の所有物に堕とすための獣の本気汁がどくどくと' + slave.short_name + 'の膣内へと注ぎ込まれていく。',
            '「おへぇぇっ！　おごぉぉっ、おああ゛あ゛あ゛あ゛ぁぁぁっ！　こってりザーメンすごしゅぎるぅぅぅ！　せいえきぃぃ、くるじいのぉぉ、おなかがぁぁぁぁっ！」',
            '先走り液だけですでに隙間なくみっちりと満たされていた' + slave.short_name + 'の膣内に逃げ場のない大量の白濁液がどぷどぷと流し込まれていく。あっという間に子宮を埋め尽くした獣の種付け汁は、圧力のままにミチミチと内側から膣を押し広げていく。',
            '精液が流し込まれるたびに' + slave.short_name + 'の腹が膨らんでいく。オス豚が満足する頃には、女性らしい美しさを備えていた腹は、妊婦のような不恰好なボテ腹となっていた。',
            'ピギィィッ、と満足そうに一声あげるとオス豚がドリル状のペニスを引き抜き始めた。どうやらようやく射精が終わったようだ。',
            'ぐっぽぉ、という聞き苦しい音とともに肉茎が引き抜かれると、大量の精液が逆流し始める。一人の女の穴に、これほど精液を注ぎ込めるのかというほどの大量の本気汁がごぽごぽと流れ落ちる。',
            '豚が離れる頃には、' + slave.short_name + 'の足元には異臭を放つ白く濁った水たまりができていた。だが、それでも' + slave.short_name + 'の腹には膨らみが残る。',
            '固形度の高い精液が相手を孕ませるために子宮に栓をしているのだ。',
            '「あぁぁ……　また、またぁ……　もう豚はいやぁぁ……」',
            '不明瞭な声で呻く' + slave.short_name + 'に、あらたなオス豚がのしかかった。数百キロはあろうという重みに' + slave.short_name + 'の体が悲鳴をあげる。だが逃れる術はなかった。新たな、先ほどよりも長く凶悪な形状の掘削槍が' + slave.short_name + 'の秘所へと埋められる。',
            '豚は、勢い良く' + slave.short_name + 'を貪り始めた。すぐに子袋に栓をしていたゲル状の精液がほじくり返される。子宮に溜まっていた精液がストロークのたびにあふれだしていく。',
            '前のオスの精液を掻き出し、己の精液で孕ませるための掘削作業。逆流する精液の感覚に' + slave.short_name + 'は己の知性や矜持といった大切なものまで掻き出されるかのような錯覚を覚えていた。',
            ' ',
          ],
        ].sample
      when 'battle'
        script = [
          [
            '見世物小屋の中は異様な興奮に包まれていた。',
            '観客席と囲まれたステージの周囲には金網が張り巡らされている。ルール無用、なんでもありの総合格闘技。',
            'そのように最初説明されてはいたが、観客の目的は、敗北した後の' + slave.short_name + 'の陵辱にあることは明らかだ。',
            'しかしいくら素手とはいえ、元女' + _adventurer_type + 'である' + slave.short_name + 'にとっては相手にもならないはずだ。',
            '本来の実力を発揮できれば確かにそうだろう。だが' + slave.short_name + 'が敗北するたびに、審判の男は言いがかりのように反則を言い立て、「罰」を与えてきた。重りをつけさせられる。バイブの強制装着を命じられる。片腕を封じられる。相手側に武器の使用を認める。そうなればいくら' + slave.short_name + 'といえど、勝機は細っていく。',
            'そして敗北は遂に訪れた。',
            '「オラッ！　ドすけべマンコの中にたっぷり射精するぞぉっ、父親もわからない子供孕めやっ！」',
            'びゅるびゅるびゅるびゅるっ。こってりとした精液が、たっぷりと' + slave.short_name + 'の膣内に流れ込んでいく。精子たちが卵子を食い物にするために中を勢いよく泳ぎまわる感触すら' + slave.short_name + 'は感じた気がした。',
            '「あぁぁぁ……　いやぁ、また膣内にぃぃ……」',
            '絶望の声を上げる' + slave.short_name + 'をよそに、金玉の中身を全て射精した男は満足そうにため息をつくと、その場を去っていった。',
            'それでも見世物は終わらない。まだ時間はたっぷりあるからだ。つまりそれは、次の試合が始まることを意味する。',
            '連戦の疲労は全く取れていない。さらにセックスの疲れと精神的な疲弊が蓄積している。こんな状態では勝利はおぼつかないのは当然だった。',
            '次にあらわれたのはぶよりと太った中年男だった。どう見ても格闘家には見えない。それも当然で、男は' + slave.short_name + 'を犯したいと試合に志願した観客の一人だった。',
            '男は猛然と' + slave.short_name + 'に向かって低い姿勢でタックルする。いや、押し倒そうとした、という方が正しかったのかもしれない。' +
              slave.short_name + 'はそれを難なくかわせるはずだった。しかし、何度も絶頂を迎えたことでガタがきていた膝がグラリと揺れる。踏ん張り直そうとして顔を上げた時点でもう手遅れだった。',
            '中年男は' + slave.short_name + 'を押し倒す。必死にもがく' + slave.short_name + 'を男が押さえつけたまま、審判は３カウントをとり、男の勝利を宣言した。',
            '審判が勝利の宣言を言い終える前に、中年男は肉槍を取り出し、何の前戯もなく' + slave.short_name + 'に挿入した。',
            '観客席もざわめく。あの' + slave.short_name + 'が、ただの男にすら敗北するほど弱っている。今なら自分でも犯すことができる。男たちが試合に殺到し始め、ついには参加券はオークション制になった。',
            '力の入らぬ腕で中年男を押しのけようと必死の抵抗をしていた' + slave.short_name + 'はその騒ぎには気付けなかった。',
            'ついには試合の体裁すらもなくなり観客全員に' + slave.short_name + 'が輪姦され始めるのは時間の問題に過ぎなかった。',
          ],
          [
            '見世物小屋の中は異様な興奮に包まれていた。',
            '観客席と囲まれたステージの周囲には金網が張り巡らされている。その上では筋骨隆々の大男と' +
              slave.short_name + 'が戦っていた。ルール無用、なんでもありの総合格闘技。',
            'そのように最初説明されてはいたが、本質はそのあとにあった。' + slave.short_name + 'が敗北した場合、衆目の場で陵辱される。それがこの地下競技のルールだった。',
            'いくら素手とはいえ、元女' + _adventurer_type + 'である' + slave.short_name + 'にとっては相手にもならないはずだ。',
            '目の前の大男が、鳩尾に重い一撃を受けてリングに沈む。',
            'これで三人目。疲れてはいるが、まだいける、そう' + slave.short_name + 'は己を奮いたたせた。',
            'その自信が揺らいだのは、次に出てきた大男を見るまでだった。',
            'オーガ。並の人間の倍近い身長とゴツい体躯。鎧のような皮膚は殴れば拳の方が壊れてしまう。しかもオーガは刃こそ丸めてあるものの斧と木製の丸盾で武装していた。',
            '八百長にも程がある。だが抗議したところでそんなものが通るわけがない。とにかく攻撃を避け続けて隙を突く。そのわずかな希望に賭けるしかないのだ。',
            '……',
            '見世物小屋の中は異常な興奮に包まれていた。',
            'オーガはその体躯にふさわしい、大人の男の腕よりもふた回りは大きい肉槍で' + slave.short_name + 'を貫いていた。ボコリと' + slave.short_name + '腹に肉棒の形が浮かぶ。子宮まで押し潰しているのは明らかだ。',
            '二度も大量の射精をしてなお、オーガの性欲は尽きることを知らない。すでに白目を剥き、意識を手放していた' + slave.short_name + 'は、膣奥を乱暴に突かれ、意識を覚醒させられる。',
            '周囲の男たちの劣情の視線を肌で感じ、なにより獣くさい息の怪物に犯されているという現実を認識させられるが、もう逃れるすべはない。',
            slave.short_name + 'は数時間にわたってオーガに肉玩具のように犯され尽くした。',
            '何人もの男たちを敗北させた、生意気で俊敏な強い女' + _adventurer_type + '。そこからの' + slave.short_name + 'の無様な凋落した姿は、観客たちを大いに興奮させたようだ。',
          ],
        ].sample
      else
        puts "INVALID slave.status_in_tent: #{slave.status_in_tent}"
    end

    ['（公開見世物売春）'] + script
  end

  def maternity_room_script(slave)
    prelude = ['ここはダンジョンの最下層にある女に魔物を孕ませることを目的とした部屋。部屋の薄明かりの下であるものは大きな腹を抱えながら絶望の声を上げ、またあるものは毛むくじゃらの獣に犯され、悲鳴を上げている']
    script =
      if slave.broken_mentally_exhaust?
        [
          [
            '「産むっ、もっと産むからぁぁ……　だから、だからこれ以上ひどいことしないでぇ……」',
            slave.short_name + 'は涙を流しながら引きつった笑いを浮かべ、魔物に媚を売っている。',
            'どうやら何度も心に深い傷を負ったことで、精神が壊れてしまったようだ。',
          ],
          [
            '「あはっ、おっきいちんぽでズコズコされてっ、わらひっ、こんなのこわれちゃううぅ♡」',
            slave.short_name + 'は虚ろな目で笑う。',
            '膣内に埋まりながら、その凶暴な形状がはっきりと' + slave.short_name + 'の腹に浮かび上がる魔物のペニスのサイズで突かれれば、まともな人間であれば' + 
            '耐えがたい激痛が襲うだろう。',
            '痛覚を騙すための脳内快楽物質ドーパミンが異常な量分泌されている' + slave.short_name + 'はその行為にすら快楽を覚えているようだ。',
            'もちろんそんな量の快楽物質とセックスの肉悦の直撃を喰らう脳がまともで済むはずがない。',
            slave.short_name + 'の脳は、階段を転げ落ちるように壊れていった……',
          ],
          [
            '「あははっ、お腹の中の赤ちゃんに、もっとせーえきびゅるびゅるかけてぇ♡」',
            '焦点の合わぬ瞳で虚ろに笑いながら、' + slave.short_name + 'は魔物とのまぐわっている……',
          ],
        ].sample
      else
        [
          [
            '「ああぁぁぁ……　お腹の中で動いてるぅ……」',
            '四肢を拘束台の上で縛り付けられた' + slave.short_name + 'は絶望の色が深く滲んだ声で呻く',
            '普通ではありえぬほど大きく膨らんだ腹の中からは獣が呻くような唸り声が響き、その腹の中でおぞましいモノが育ちつつあることがうかがえた……',
          ],
          [
            '薄明かりの下で女の聞き苦しい声が響く。',
            '「おごっ、おぎぃぃぃぃぃぃ！　がっ、あがっ、あぎゃぁぁぁぁぁ！」',
            '黒い毛むくじゃらの、熊とも牛ともつかぬ魔物の下から女の悲鳴があがる。',
            'もし前に回ってよく見れば首と手首を一枚の板枷で拘束された女を後ろから魔物が貫いているのがわかるだろう。',
            'ストロークのたびに引き抜かれる魔物の肉槍は男の腕よりも太く、まさに野太い大杭と言えるものだった。',
            'それを魔物の獣じみた本能のままに叩きつけられれば' + _adventurer_type + 'といえども腹が破れて死ぬことは間違いない。',
            'だがこの部屋を包む青い光は女の体に、防御魔術に近い効果を与えている。どれほど乱暴に扱っても、' + slave.short_name + 'の体は壊れることがないのだ。',
            'もちろんそれは痛みや苦しみを和らげはしない。壊れないよう強度を上げるだけだ。',
            '死を覚悟するほどの苦しみの中で' + slave.short_name + 'は思考を根こそぎ剥ぎ取られ、ただ獣のような声をあげることしかできなかった……',
          ],
          [
            'ほぎゃぁ、ほぎゃぁと赤ん坊の声が響く。しかしそれは決して祝福されぬ者の声だ。',
            '大きく足を広げた状態で固定された' + slave.short_name + 'の足の間に、へその緒で繋がれた「子ども」がいる。',
            '産まれたばかりだというのにすでに髪は生え揃い、歯さえも何本か生えている。黒々とした毛むくじゃらのそれはこのダンジョンを徘徊する強力な魔物の幼体に、わずかばかりの人間の面影を加えたものに近しい。',
            'この女を孕ませる部屋に張られた結界の効果により、一度孕めば２〜３日、うまくいけば１日で母親の魔力によって成長を促進された魔物との子どもが生まれてくる。',
            '「あっ……　うあぁぁぁ……」',
            '己が産み落とした子どもが、乳を求めて胸に吸い付いてくるが、' + slave.short_name + 'は何の反応も返さない。限界を超えた精神はすでに思考という高尚な行為を行うにはくたびれきっていた。',
            '子どもが生まれたということは、すぐに次の子どもを産むための魔物があてがわれるだろう。せめて、苦しくない相手ならばよいのだが。',
            'ぼんやりとした思考の中で、' + slave.short_name + 'はただそれだけを祈った',
          ],
          [
            '部屋には興奮した獣の声が響く。久々の女を味わい、歓喜の声をあげる魔物の声だ。魔物に組み敷かれた' + slave.short_name +
              'は必死に跳ね除けようとするが、拘束されている上に力の差は歴然なのだ。' +
              'かなうわけがない。',
            'やがて、魔物はビクビクと震え、大量の精液を' + slave.short_name + 'の膣内へとびゅくびゅくと吐き出していく。',
            '「いやっ、いやぁぁぁ……」',
            slave.short_name + 'は絶望の声を上げた。その射精によって自分がたった今孕んだことを、かつて' + _adventurer_type + 'としての彼女の直感がそう告げたからだ……',
          ],
          [
            '「キヒヒヒ、うまそうなメスだぁぁぁ」',
            slave.short_name + 'を目にしたブタ面のオークが、邪悪に笑う。',
            '「へへへへ、俺のコイツはすげぇからよぉ、天国を見せてやるぜェ。」',
            slave.short_name + 'の眼前に突きつけられたオークのペニスは、オーク自身が自信たっぷりに言うように、恐ろしく凶悪な形状をしていた。',
            'ドリル状のペニスが渦を巻いており、しかも表面にはゴワゴワとした針のような毛が生えている。',
            'あんなもので膣内を掻き回されたら……　狂ってしまう……',
            slave.short_name + 'はゴクリと唾を飲んだ',
            '「へへへ、心配するなよ。俺のちんぽを気に入らなかったメスはいねぇんだぁ。お前もすぐにこいつなしじゃぁいられなくなっちまうからなぁ」',
            '乱暴な前戯によって' + slave.short_name + 'の膣穴をほぐすと、オークはゆっくりと砲身を秘穴にねじ入れた',
            '「ひぃぃぃぃっ、あぎぃぃ……　うあぁぁ、あぁ、いやぁぁぁぁ……」',
            'まだ先端部分が入っただけだが、はっきりとわかる。こいつは、とてつもなくヤバい。' + slave.short_name + 'の背筋に悪寒が走る。これは、女を犯し、狂わせ、快楽で躾け、己の所有物に堕とすための肉凶器だ。そう本能が警鐘を鳴らす。',
            'そして手遅れだった。',
            'オークがゆっくりと腰を動かし始める。ただそれだけだというのに、凶悪な快楽の濁流が' + slave.short_name + 'の頭へと襲いかかり始めた。',
            '「へっへぇ、いいだろう、俺のちんぽは？　いいんだぜ我慢しなくても。たっぷり味あわせてやっからなぁ」',
            '女' + _adventurer_type + 'ゆえの頑健さ。それゆえに' + slave.short_name + 'は快楽に、壊れることなく徹底的にオークの快楽を、げっぷが出るほど味あわされ続けることになる。まさに' + slave.short_name + 'が味わい続けることになるそれは、肉の快楽の地獄と呼ぶに相応しいものだった。',
          ],
          [
            'この魔術工房に捕らえられた奴隷にも休息は与えられる。魔物を妊娠するための役割を与えられた奴隷に対しては特にそうだ。',
            'この迷宮の主人であるあなたの狙いは、奴隷を使い潰すことではなく、高性能魔物を産むための孕み袋として便利に使い倒すことなのだから。',
            slave.short_name + 'が閉じ込められた地下牢には、いまは誰もいない。拘束具すらも取り外されている。だが先ほどまでの種付けセックスの残滓であるドロドロとした精液を' +
              slave.short_name + 'はぬぐうだけの体力も、ひとかけらも残ってはいない。',
            'それも当然だった。子宮の中で育ち始めた赤子たちが体力や魔力を吸い取るためだ。',
            '魔物の子供は人間と異なり一月ほどで産まれる。まして魔術結界で補強されたこの魔術工房ではそれがさらに短縮され数時間で産まれるのだ。当然代償は存在する。' +
              '数十倍の速度で育つ胎児が体内で栄養と魔力を容赦なく吸い上げていくのだ。',
            '想像もできぬ程の飢餓感。胎児によって母胎の命が勢いよく削られていくおぞましい感覚。放置すれば強靭な' + _adventurer_type + 'と言えど' +
              '一日程度で餓死するだろう。',
            'もちろんそれを、迷宮の主人であるあなたが許すはずがない。' + slave.short_name + 'の地下牢の小さな隙間から、大ぶりな餌皿が入れられる。食事ということだ。',
            'それを、食事と呼ぶことはどんな文明世界に生まれた女でも拒否するだろう。食べ残しの残飯や野菜くず、生ゴミ同然のものが大皿いっぱいに適当に混ぜ合わせられ' +
              'ぶちまけられている。さらにはそこにたっぷりと精液がぶっかけられているのだ。',
            'だが' + slave.short_name + 'の反応は違った。飢えた野犬が食べ物の匂いを嗅いだかのように餌皿へと飛びつくと、四つん這いになって食事を貪る。',
            '豚の餌にも劣るそれを、' + slave.short_name + 'はがっついてたいらげていく。食器など使わず、手づかみだ。いや最初からスプーンやフォークといった上等なものは' +
              '餌皿には添えられてもいなかった。',
            slave.short_name + 'は、わずかな安堵を感じる。食事が喉を通るたび、体力と魔力が少しずつ戻っていく感覚を感じる。こんなところでは死にたくない、その意思だけが' +
              slave.short_name + 'を突き動かしている。' + slave.short_name + 'は床にこぼれ落ちた精液を指ですくって舐めとる。うまくすくえない。',
            '止むを得ず、床に這いつくばって舌で舐めとる。精液の強烈な味を舌に感じると腹の奥が安堵を訴える。',
            '精液はこの地下牢において、まさに生命線と言ってよかった。これを体内に取り込めば魔力が食事どころではないほどの高効率で回復する。すなわち餓死から' +
              '遠ざかることができる。飢えと死の恐怖の前では、もはや体面など取り繕ってはいられなかった。',
            slave.short_name + 'は今日だけでもなんども、餓死の瀬戸際と食事による魔力補給による回復の間を往復していた。',
            '臨死の恐怖。そして恐怖からの解放による安堵。',
            '精神と肉体が、壊れる限界の、ギリギリのところまで徹底的に追い詰められては少しだけ回復を許される。',
            'まるで水桶に沈められ、窒息寸前に息継ぎが許される拷問のようだった。',
          ],
          [
            '「お……　終わった……　ようやく、ようやく終わったの……」',
            slave.short_name + 'は疲れ果てたようにつぶやいた。',
            '足を高く掲げられ拘束された' + slave.short_name + 'の足元には数匹の魔物の赤子たちが小さく蠢いている。',
            '魔物は知性に劣る分、人間よりも小さいサイズで産まれる。また、生存率の問題から強い繁殖力を持ち、一度に数匹が、一ヶ月程度の妊娠を経て産まれる。',
            'だがこの迷宮の魔術工房においては違う。魔術結界で強化されたことで、わずか数時間で大きく膨れ上がった腹から通常の倍の数の魔物たちが産まれるのだ。',
            '当然その負荷は容赦なく母胎に襲いかかる。だが鍛え上げた肉体はその負荷にギリギリで耐えきるのだ。もちろんそれは、限界を超えた痛みが母親に襲いかかることと等価でもある。',
            '赤子たちと臍帯、胎盤など出産の副産物が、この魔術工房で働く魔物たちによって手早く回収されていく。もちろん' + slave.short_name + 'に回復魔法をかけることも忘れない。',
            '限界まで追い詰められた精神と肉体が、力こそ封じられているものの全快状態まで回復していくことを' +
              slave.short_name + 'は感じていた。そしてそれは、新しい地獄の幕開けにすぎない。',
            '「へへへっ、もういいのかい？」',
            '新たな魔物が扉から姿を覗かせた。見るからに大きな体格と、凶悪な形状の肉槍を持っている。いまからこいつとまぐわれ、そういうことだろう。',
            slave.short_name + 'はもはや抵抗しない。それだけの気力を、精神が失っていたからだ……',
          ],
          [
            '「いひぃぃっ、おへぇぇぇ♪　こんなのっ、わらひっ、らめっ、こわれるうぅぅぅ♪」',
            slave.short_name + 'は虚ろな目で笑う。',
            '膣内に埋まりながら、その凶暴な形状がはっきりと' + slave.short_name + 'の腹に浮かび上がる魔物のペニスのサイズで突かれれば、まともな人間であれば' + 
            '耐えがたい激痛が襲うだろう。',
            '痛覚を騙すための脳内快楽物質ドーパミンが異常な量分泌されている' + slave.short_name + 'はその行為にすら快楽を覚えているようだ。',
            'もちろんそんな量の快楽物質とセックスの肉悦の直撃を喰らう脳がまともで済むはずがない。',
            slave.short_name + 'の脳は、階段を転げ落ちるように壊れていった……',
          ],
        ].sample
      end
    prelude +
      script +
      slave_maternity_summary(slave) +
      decrease_resist_for_spring_by_maternity_script(slave)
  end

  def slave_maternity_summary(slave)
    [
      "今日の異種姦種付けセックスの回数：#{slave.today_maternity_count}回、出産数：#{slave.today_maternity_sex_monster_count}匹"
    ]
  end


  def broken_mentally_exhaust_script(slave)
    script =
      [
        'あなたのもとに' + slave.short_name + 'についての悪い報告があった。',
        '度重なる望まぬ売春と強すぎる快楽を休みなく繰り返すストレスが、かつては強靭だった' + slave.short_name + 'の精神に不可逆の' +
          '負荷をかけ続けた。広がった亀裂はやがて精神そのものを砕いてしまったのだ。',
        slave.short_name + 'は痴呆のように惚けた顔で床に倒れ伏している。どんな言葉をかけようとも反応しない。どうやら本当に' +
          '精神が壊れてしまったようだ。これでは売春を続けることはできない。',
        '（' + slave.short_name + 'は公衆便女として配置され直しました。）',
      ]
    script
  end
end
