# coding: utf-8

require_rrk 'src/defines/script/dungeon/fgo/adventurers/fgo_base_script'
# スカサハ
class Adventurer12Script < FgoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら勝てると思ったか？」',
          adventurer.short_name + 'は静かに武器を構えた。',
          '「せいぜい、楽しませてもらおうか」',
        ],
        [
          '「そんな数では、私一人を倒すにも足りんぞ！　この槍を受けるがいい」',
          '数の劣勢などまったく気にもとめぬように、' + adventurer.short_name + 'は吠える',
        ],
        [
          '「数の力で押すことしかできない雑魚め！」',
          'この危地を脱するには勝利するしかない。' + 
          'むしろ危険を楽しむように' + adventurer.short_name + 'は吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、この者たちにもいいことを教えてやる機会か。）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（ふふ、裏切るというのは後味が悪いが、ご主人様のためだ。仕方あるまい……）',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いか） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（ふふ、裏切るというのは後味が悪いが、ご主人様のためだ。仕方あるまい……）',
          ],
          [
            '（今はまだ、機が熟していないようだな） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '「せいぜい、この魔物たちを屠って高ぶるとしよう」',
            'その言葉に、' + adventurer.short_name + 'の確かな実力と心強さを感じた仲間たちも' + 
            '気合が入っているようだ',
            '思いもよらぬ効果に、' + adventurer.short_name + 'は密かにクスクスと笑った。',
          ],
        ].sample
      end
    else
      [
        [
          '「本気は出さん。あぁ、きっとな」',
          adventurer.short_name + 'は滑らかな動作で槍を構えた',
        ],
        [
          '「本気を出してみるがいい。私を満足させねば、お前の命をもらうまでだ」',
          adventurer.short_name + 'は音もなく槍の切っ先を魔物たちに向けた。',
        ],
        [
          '「雑魚にかまけている時間はない！」',
          adventurer.short_name + 'は凛とした声で叫んだ',
        ],
        [
          '「お前たちは強いのか？」',
          '値踏みをするように、' + adventurer.short_name + 'は魔物たちに目線を流す',
          '「強いなら、せいぜい楽しませてくれ」',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '「ふぅぅぅ、たぁっぷり射精してやったぜ」',
        monster.name + 'は満足げに呟くと野太い肉棒を、根元まで埋まっていた' + slave.short_name + 'の口から引き抜いた。',
        '精液とよだれ、そして胃液まみれの肉棒が禍々しい姿を表す。長さを考えれば、喉奥はおろか、' + slave.short_name + 'の食道まで使って奉仕させていたことは明らかだった。',
        'げほっ、うげぇぇ、ごぼっ、と咳き込みながら' + slave.short_name + 'は久方ぶりの酸素を貪る。',
        '咳き込むたびに口からよだれと精液が混じり合ったものが汚らしく垂れ落ちていくが、' + slave.short_name + 'は気にする余裕などないようだ。',
        'ガクガクと震える肘が折れ、顔から床に崩れ落ちる。精液まみれの床に頭から突っ込む形になる。',
        '危険なほどに痙攣する' + slave.short_name + 'の瞳の焦点は合っておらず意識を失いかけていることは明らかだった。',
        '「おっ、おおおぉぉぉっ……　ふぅぅぅぅ……」',
        slave.short_name + 'の腰を後ろから抱え込み犬のように犯していた' + monster.name + 'が満足げなため息をつく。今日、数十回は超える精液を流し込まれ、ストロークで掻き回され続けた' + 
        slave.short_name + 'の膣内に、また新たな子種汁が混ぜ合わされたのだ。',
        '恐ろしいほどの熱をはらんだ欲望のスープが子宮内で渦巻く。妊娠しづらいサーヴァントといえどいずれ破滅が訪れるのは確実だろう。',
        'ぐぽんっ、と間抜けな音を立てて男の肉槍が引き抜かれた。肉オナホを使い終えた、とでも言いたげに男は' + slave.short_name + 'の体を乱暴に床に放り出す。',
        '精液だらけの汚らしい床の上で、身体中が精液と得体の知れぬ愛液でドロドロになったままで、ガクガクと痙攣する' + slave.short_name + 'を何も知らぬ者が見たとして、かつての誇り高いサーヴァント' + slave.short_name + 'と同一人物だと分かるものは誰もいないだろう。',
        'この上なく惨めな有様に堕ちた' + slave.short_name + 'に' + monster.name + 'が近づく。心配したわけではない。使いつぶすまで嬲り尽くされる肉穴に休みが与えられるはずがなかった。',
        '「オラッ、いつまで寝てんだ！　起きて股広げろ！」',
        'ゴツい首輪についた鎖が引かれる。すると当然首が締まり呼吸が困難になる。逃れるには、引かれた方向に体を持ち上げるしかない。',
        '鉛のように重い体を、残った体力を掻き集めるようにして動かし' + slave.short_name + 'は体を持ち上げる。もはや、心身ともに限界を超えていた。',
        '「………ぅ…………して……」',
        slave.short_name + 'が小さな声で呻く。',
        '「あぁ！？　聞こえねーよ」',
        monster.name + 'は乱暴に' + slave.short_name + 'の脇腹に蹴りを入れると、口元に顔を寄せた。',
        '「ゆるして……　もう、ゆるひてぇ……」',
        slave.short_name + 'は嗚咽交じりの声で、そうはっきりとつぶやいた。',
        '「へへっ！　おい聞いたかよ！　あの' + slave.short_name + '様が、俺たちに許して、だってよ！！！」',
        '影の国の女王と言われ、数々の英雄たちの師匠として育ててきた' + slave.short_name + 'が雑魚に過ぎない' + monster.name + 'の陵辱地獄に屈した瞬間だった。',
        'もうそこには強さも威厳もプライドも存在しない。原型も残らず、' + slave.short_name + 'という存在のすべてがすべて粉々に蹂躙されてしまった。',
        'もはやただ屈服した一匹の肉奴隷がいるだけだった。',
      ],
    ].sample
    script
  end
end
