# coding: utf-8
# 冒険者一覧
module DungeonsList::Adventurers::Original
  NAME_LIST = {
    france: %w(
ルイーズ
カミーユ
エマ
イリス
サーラ
アリス
レア
ジュリエット
ジャンヌ
アン
シャルロット
マリィ
マノン
ルシィ
アナイス
ジュード
ゾエ
ニナ
ルゥ
クレモンス
ポーリン
アデーレ
ガブリエル
ロマン
ジュリア
ヴィクトリア
ローズ
ジュリー
マルゴ
レナ
ロラ
ヴァロンティンヌ
アガタ
アリー
エルザ
エリス
ヤスミン
ノア
フィア
ノエミ
),
britain: %w(
オリビア
アイラ
アヴァ
ジェシカ
イザベラ
ミア
ポピー
ソフィー
スフィア
リリィ
グレイス
イーヴィー
スカーレット
ルビー
クロエ
イザベル
デイジー
フライヤ
フィービィー
フローレンス
シャーロット
シエナ
マチルダ
イヴリン
エヴァ
ミリー
ルーシー
エルシー
イモージェン
レイラ
ロージー
マヤ
エズミ
エリザベス
ローラ
ウィロー
アイビー
エリン
ホリー
モリー
エリー
ジャスミン
エリザ
リリー
アヤ
),
    german: %w(
ミーア
ソフィア
ハンナ
エミリア
アンナ
マリー
ミラ
リナ
リア
レオニア
アメリア
ルイザ
ヨハンナ
エミリー
クララ
シャルロッテ
ララ
ラウラ
レニ
ニール
エラ
マティルダ
アイダ
フリーダ
グレタ
サラ
ロッテ
ピア
ユリア
メリナ
パウラ
アリナ
マルレーネ
リザ
リサ
アニ
ノラ
マラ
イサベル
ヘレナ
マリア
),
    spain: %w(
ソフィア
カミラ
ヴァレンティナ
イザベラ
ヴァレリア
ダニエラ
マリアナ
サーラ
ガブリエラ
ジメナ
アンドレア
ナタリア
ミーア
マルティナ
ルシア
サマンサ
マーリア
フェレナンダ
ニコル
アレクサンドラ
ポーラ
エミリ
マリー
ルシアナ
アナ
メラニエ
レギナ
カタリナ
アシュレイ
レナータ
アウグスティナ
アブリル
ハズミン
ファニタ
ブリアナ
ヴァネッサ
アントニア
アントネラ
ルナ
カーラ
アリソン
モンセラ
イザベル
フリアナ
ヴァレリー
フローレンシア
アドリアナ
ナオミ
アマンダ
モレナ
ナタリエ
),
russia: %w(
アンナ
インナ
ラリサ
ナタリア
カティア
ナスティア
ヘスティア
ヴァシリサ
エカチェリーナ
リディア
マリア
オリガ
タチアナ
エカテリーナ
ゾーヤ
リュドミラ
タチアナ
アレクサンドラ
ローザ
ニーナ
ヘレネ
アネリャ
リュドミラ
ターニャ
アナスタシア
サーシャ
アーニャ
エレーナ
ナタリヤ
イリナ
イリーナ
シモーナ
ユリア
スベトラーナ
ビクトリア
オルガ
レジーナ
ダリア
オクサナ
),
japan: %w(
モミジ
サクラ
カエデ
いろは
ゴゼン
ツバキ
タエ
モモカ
リカ
マツリ
ソノ
ザクロ
アザミ
ハヅキ
クズハ
サツキ
ウヅキ
シズク
サミダレ
クスノキ
アサギリ
ユウギリ
アオバ
ユウヒ
アカツキ
アサギ
ホムラ
ミソノ
),
  }

  CLASS_LIST = {
    fighter: {
      royal: %w(
騎士
薔薇の騎士
金羊毛騎士
名誉騎士団長
騎士団長
名誉連隊長
聖騎士
騎士隊長
近衛騎兵
近衛騎士
      ),
      noble: %w(
戦士
従騎士
騎士
竜騎士
聖騎士
黒騎士
神聖騎士
近衛騎士
親衛騎兵
近衛禁士
             ),
      rich: %w(
戦士
軽戦士
重装戦士
剣闘士
従騎士
騎士
竜騎士
聖騎士
武装神官
近衛禁士
             ),
      middle: %w(
戦士
軽戦士
重装戦士
剣闘士
格闘家
従騎士
騎士
武装神官
             ),
      poor: %w(
戦士
軽戦士
剣闘士
格闘家
従騎士
             ),
    },
    wizard: {
      royal: %w(
魔導師
賢者
女司祭
司教
枢機卿
教区長
地区教区長
導師
      ),
      noble: %w(
魔法使い
僧侶
女神官
武装神官
修道女
魔導師
聖導師
賢者
女司祭
司教
司教補
魔道貴族
導師
導者
             ),
    rich: %w(
魔法使い
僧侶
女神官
修道女
聖導師
魔導師
賢者
女司祭
巫女
導師
             ),
    middle: %w(
魔法使い
僧侶
女神官
修道女
魔導師
女司祭
侍祭
巫女
             ),
    poor: %w(
魔法使い
僧侶
神官
修道女
司祭
侍祭
巫女
             ),
    },
    scout: {
      # royalは理論上ないはずだが・・・
      royal: %w(
レンジャー
諜者
      ),
      noble: %w(
レンジャー
斥候
諜者
獣人
森人
式神使い
             ),
      rich: %w(
レンジャー
斥候
諜者
獣人
森人
式神使い
             ),
      middle: %w(
レンジャー
斥候
盗賊
猟師
狩猟番
諜者
獣人
森人
森番
式神使い
山の民
山師
交易商
森林保護官
             ),
      poor: %w(
レンジャー
斥候
盗賊
猟師
狩猟番
諜者
獣人
森人
山の民
山師
交易商
             ),
    },
  }
end
