# coding: utf-8
class ItemMaker
  # ボタンのみのリストを形成する
  def convert_button_configs_from(elements, width)
    elements.map do |element|
      {
        'type'    => 'button',
        'text'    => element['text'],
        'action'  => element['action'],
        'width'   => width,
      }
    end
  rescue => e
    puts "============ start ============="
    puts "Error ItemMaker::convert_button_configs_from"
    puts elements
    puts "============  end  ============="
    raise e
  end

  # ラベルのみのリストを形成する
  def convert_labels_configs_from(elements, width)
    elements.map do |element|
      {
        'type'      => 'label',
        'text'      => element['text'],
        'width'     => width
      }
    end
  rescue => e
    puts "============ start ============="
    puts "Error ItemMaker::convert_labels_configs_from"
    puts elements
    puts "============  end  ============="
    raise e
  end

  # ラベルのみのリストを形成する
  def convert_profile_labels_configs_from(elements, width)
    elements.map do |element|
      element = {
        'type'  => 'label',
        'text'  => element['text'],
        'width' => width,
        'style_class' => 'label_for_profile'
      }
      element
    end
  rescue
    puts "============ start ============="
    puts "Error ItemMaker convert_profile_labels_configs_from"
    puts elements
    puts "============  end  ============="
  end

  def convert_script_labels_from(elements, width)
    elements.map do |element|
      element = {
        'type'  => 'label',
        'text'  => element['text'],
        'width' => width,
        'style_class' => 'label_for_script'
      }
      element
    end
  rescue
    puts "============ start ============="
    puts "Error ItemMaker convert_script_labels_from"
    puts elements
    puts "============  end  ============="
  end
end
