# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 菫子
class Adventurer12Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら勝てると思ったの……？」',
          '「ああ、まったく…… 馬鹿は嫌いよ……」',
          adventurer.short_name + 'はため息を吐くとと武器を構えた。',
        ],
        [
          '「一人だからといって舐めないでよね！」',
          '自らを励ますように' + adventurer.short_name + 'は吠える',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ね……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（感謝してほしいわ、素晴らしいことを教えてあげるのだから……）',
        ]
      else
        [
          [
            '（うーん、今日はまだそういう時じゃない、かな？） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスなんて、まだまだいくらでもあるわ……）',
          ],
          [
            '（敵が弱すぎて、これでは裏切っても意味がないじゃない） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（今はまだ、もう少し「仲間」ごっこを続けることにしましょう……）',
          ],
        ].sample
      end
    else
      [
        [
          '「知性の足りない魔物ね、すぐに片付けてあげるわ！」',
          adventurer.short_name + 'は敵を眺め武器を構える。',
        ],
        [
          '「こんな雑魚を、数だけは揃えてみたって無駄よ！」',
          adventurer.short_name + 'は威勢よく叫んだ',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「おちんぽっ、おちんぽでもっとズボズボしてぇっ！」',
        '快楽に溺れ、肉悦に狂ってしまった' + slave.short_name + 'は奴隷商人にゴツい首輪を装着されても全く抵抗しなかった。',
        '首輪の効果は本来は、このダンジョン同様に能力などを持つ女冒険者の力を封じるためにある。',
        '本来の用途は転移などの術を封じるためのものだが' + slave.short_name + 'にとっては現実の世界に戻る術が失われることを意味していた。',
        '「ねぇ、お願い！　もっと犯してよ！　中にビュクビュクせーえき出してぇ！」',
        '「気絶するまで' + slave.self_call + 'をイキ狂わせてよ、口でもお尻でも、どこでも使っていいから！」',
        '許容限度を超えたオスたちの欲望に晒され、知性を激しく歪められた' + slave.short_name + 'には、現実世界に戻る術を失ったという事実を理解することはもうできないだろう……',
        'それが彼女にとって幸福なことか、あるいは不幸なことなのかは、分からない。もはや' + slave.short_name + 'は現実世界に戻れたとしても、どのみち二度と日常生活に戻れないのだから。',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
