# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# てゐ
class Adventurer16Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人だからといって舐めてもらっては困るね！」',
          '自らを励ますように' + adventurer.short_name + 'は吠える',
        ],
        [
          '「たとえ一人でも、お前達ごときに負けはしない！」',
          '武器を構え、' + adventurer.short_name + 'は己を力づけるように吠えた。',
          '（さぁて、なんとか逃げ切る方法はないものかねぇ）',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会だよ。）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（大丈夫、殿方にいいことを教えてもらえるんだからさぁ）',
        ]
      else
        [
          [
            '（うーん、まだまだ「仲間」も元気なようだしねぇ） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあるさ。今はうかがうことにしようかねぇ……）',
          ],
          [
            '（今日のところは、勝負を仕掛けるときではないか……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、高みの見物といこうかねぇ）',
          ],
        ].sample
      end
    else
      [
        [
          '「ええい、生意気なやつらね！ 実力の違いってやつを教えてあげるわ！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「油断しないでね、お互いをカバーしながら戦うの！」',
          adventurer.short_name + 'は仲間たちに呼びかける',
          '（他のみんなが頑張ってくれれば、その分' + adventurer.self_call + 'はサボれるわけだし……）',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '「うぅぅ、痛い……　手加減なしに扱ってくれて……」',
            '「あとで覚えていなさいよ……」',
            slave.short_name + 'は痛めつけられてなお、まだ折れてはいないようだ……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「へへっ、一滴もこぼすんじゃねぇぞぉ。少しでもこぼしたら舌で舐め取らせてやるからなぁ」',
            '言われずとも' + slave.short_name + 'は、飲み込むつもりだった。魔物の精液の量は、飲み込まずにおけばたちまちに窒息しそうになる。' +
              'かといって吐き出せば、魔物たちは言葉通り舌で床中の汚濁液を舐め取らせるまで許さないだろう。',
            '頭を足で踏まれ、全身を鞭や掌で叩かれながら地面に垂れた精液を舐め取らされる屈辱の経験は、' + slave.short_name +
              'の精神の奥底に消えぬ恐怖を刻んでしまっていた。',
            'もう二度とあんな屈辱は味わいたくない。そのためなら目の前にある、飲精の屈辱など小さなものだ。',
            slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'はノロノロと身を起こす。',
            '「うぅぅ…… ようやく終わったの……」',
            '答えるものはいない。秘所からどぷり、ごぷりと逆流する精液が地下牢の床に汚らしい精液の水たまりを作る。' +
              '精液の量が彼女に加えられた桁外れの陵辱の凄まじさを物語っていた。',
            slave.short_name + 'はノロノロと牢の隅を目指す。そこには地下水が溜まった水たまりがあった。汚くはないが清潔とも言えない。' +
              'だが彼女には他に選択肢がなかった。そこに、かつて己の衣服だったボロ布をひたし、肌をぬぐうことで身を清めていく。',
            '何度ふこうとも、ドロリとした精液の気色悪い感触は消えはしない…… 消えないそれはまるで、' +
              slave.short_name + '自身の心に刻まれた白い汚濁の刻印そのもののようだった。',
          ],
          [
            '「へへっ、いいぜぇ……　小柄な体の分、肉オナホみたいに使えて最高だぜぇ！」',
            '魔物は抱え上げた' + slave.short_name + 'を玩具のように突き上げる。',
            'だが貫かれている' + slave.short_name + 'にとってはたまったものではない。全体重が相手の肉槍との結合部にかかり、それが押し込まれるたびに膣奥の壁越しに子宮や内臓が押しつぶされるのだ。',
            '「げへっ、おごっ！　ごおぉっ、あぎぃっ！　があぁっ、うごぉっ、おへぇっ！」',
            '文明社会で育った女であれば一生出すことがないであろう獣じみた声を上げながら、' + slave.short_name + 'は肉玩具のように弄ばれ続けた……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '「ああ、もう……　好き勝手やってくれて……」',
            slave.short_name + 'は歯型とアザだらけになった自分の白い素肌を撫でながら言葉をこぼす。',
            'どれほど丁寧に体を清めようと、傷跡だけはどうしようもない。',
            '「地上の玉兎の棟梁、' + slave.short_name + '様が、こんなところで屈するわけがないのよ……」',
            '「絶対に、負けないんだから……」',
            slave.short_name + 'の最後の言葉は、自分に言い聞かせるようでもあった……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
          [
            '「へへへ、だいぶいいマンコの締めつけになったじゃねえか、中でうねってチンポを美味しそうに頬張ってやがる。' + 
            'セックスの良さを教え込んでやった甲斐があったってもんだぜ。」',
            '組み敷いた' + slave.short_name + 'を貫きながら、恩着せがましい言い方で魔物は言葉でさえも' + slave.short_name + 'を嬲る',
            '「んっ、はぁっ……　はいっ、ありがとうございます……　' + slave.short_name + 'は、んんっ、おかげで奴隷としての素晴らしさに目覚めることができました……」',
            'もちろんその言葉は' + slave.short_name + 'の本心ではない。',
            'その場をうまくやり過ごすための方便、虚言、演技だ。',
            'だが、どこまで' + slave.short_name + 'は気づいているのだろう？　' + '本心を偽り己を貶める言葉を発することは、己自身を強く傷つけていく。',
            '演ずる「役割」は演ずるうちに演者を蝕んでいくのだ。',
            '演技のつもりの行為がいつか本心と見分けがつかなくなる日が来るのではないか……',
          ],
        ].sample
      end
    script
  end
end
