# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# ぬえ
class Adventurer24Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「おやおや？ こちらが一人なら勝てると思ったかい？」',
          '「その思い上がり、正してやろう。対価は命さ。さあ来るがいい！」',
          '窮地にあるとも思えぬような余裕のある態度のまま、' + adventurer.short_name + 'は武器を構えた。',
        ],
        [
          '「数の力で押すことしかできないとは、雑魚らしい考えだねえ」',
          '「大妖怪、' + adventurer.short_name + '様の実力、見せてやろうじゃないか！」',
          '大口を叩いても事態は好転しない。だがそうでもしなければ不安で押しつぶされそうになる。' + adventurer.short_name + 'は武器を構え直した。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会だよねぇ）',
          '（自信満々の、自分の強さを疑わない人を陥れる。妖怪らしい悪さだと思うよ、' + adventurer.self_call + 'はね）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、いい感じじゃないねぇ） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあるよ。今はうかがうことにしよっか……）',
          ],
          [
            '（うーん、今は、運がこちらに来ていないねぇ……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、真面目にやるとしますかぁ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「あははっ！ いいねぇ、こういうの！ お寺にいるだけじゃあ味わえない楽しみだからねぇ……っ！」',
          adventurer.short_name + 'は心底、楽しそうに笑うと、武器を構えた',
        ],
        [
          '「数の力で押すことしかできないとは、雑魚らしい考えだねえ」',
          '「大妖怪、' + adventurer.short_name + '様の実力、見せてやろうじゃないか！ 大船に乗ったつもりでいなよ！」',
          adventurer.short_name + 'は仲間たちに呼びかける。仲間たちも勇気付けられたようだ',
        ],
      ].sample
    end
  end
end
