# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 白蓮
class Adventurer26Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script =
        [
          [
            '「孤立した' + adventurer.self_call + 'を狙うとは…… いいでしょう、その卑劣な心根にも仏の教えを叩き込んでやりましょう……」',
            '孤身の不利すらも、' + adventurer.short_name + 'に動揺を与えることはできないようだ。',
          ],
          [
            '「……この程度の数、仏の加護がある' + adventurer.self_call + 'には問題にもなりません！」',
            '己を励ますように叫ぶと、' + adventurer.short_name + 'は構えをとった。',
          ],
        ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（あらあら、背中がガラ空き……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、' +
            adventurer.short_name + 'を信じて後ろを預けている「仲間」の無防備な背中に注がれている',
          '（さあ、素晴らしい女としての喜びを教えていただける手伝いを、' + adventurer.self_call + 'がしてさしあげますわ）',
        ]
      else
        [
          [
            '（今は、まだ好機ではないかしら……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（ふふふ、いまはよしましょう。 チャンスなんていくらでもあるのですから……）',
          ],
          [
            '（今はまだ、チャンスじゃないから……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（また今度、また今度…… ふふっ、その時は、どんな無様な顔を見せてくれるかな）',
          ],
        ].sample
      end
    else
      scripts = [
        [
          adventurer.short_name + 'の全身が淡く光る。魔力によって全身が強化されているのだ。',
          '「仏の教えを、' + adventurer.self_call + 'が教えてあげましょう！」',
          '魔物たちをきつく見据えると、' + adventurer.short_name + 'は構えをとった。',
        ],
        [
          '「仏の教えにのっとり、不浄には罰を与えましょう。仏の教えを広めることも' + adventurer.self_call + 'の務め……」',
          '静かに言葉を放つ' + adventurer.short_name + 'の声につられ、仲間たちも戦意をみなぎらせているようだ',
        ],
        [
          '「不心得者の魔物には罰を。これも御仏の意志でしょう」',
          adventurer.short_name + 'は静かにつぶやく。だがその構えには一部の隙もない……',
        ],
      ]

      scripts.sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '「御仏よ、私にここを抜け出す力をください……」',
            '「そして彼らに、己の過ちに気づける救いを与えてください……」',
            slave.short_name + 'は熱心に仏に祈り続けている。その信仰心は揺らいではいないようだ',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「へへっ、一滴もこぼすんじゃねぇぞぉ。少しでもこぼしたら舌で舐め取らせてやるからなぁ」',
            '言われずとも' + slave.short_name + 'は、飲み込むつもりだった。魔物の精液の量は、飲み込まずにおけばたちまちに窒息しそうになる。' +
              'かといって吐き出せば、魔物たちは言葉通り舌で床中の汚濁液を舐め取らせるまで許さないだろう。',
            '頭を足で踏まれ、全身を鞭や掌で叩かれながら地面に垂れた精液を舐め取らされる屈辱の経験は、' + slave.short_name +
              'の精神の奥底に消えぬ恐怖を刻んでしまっていた。',
            'もう二度とあんな屈辱は味わいたくない。そのためなら目の前にある、飲精の屈辱など小さなものだ。',
            slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
          ],
          [
            'ようやく今日の肉の宴は終わりを迎えたようだ。魔物たちはぞろぞろと引き上げていくが、地下牢の冷たい地面にボロ雑巾同然の状態で' +
              '横たわっている' + slave.short_name + 'を気遣うものなど誰もいない。',
            slave.short_name + 'の秘所からはドロリとした子種汁が尽きることなく溢れてくる。もちろん尻穴も同様だ。',
            'だが消耗しきった心身はもはやそのようなことなど「どうでもいい」と思い始めていた。消耗による己の惨めさの受容。それこそが' +
              '陵辱屈服調教の狙いなのだ。そんなことは' + slave.short_name + 'にも分かっている。だが今は休息が欲しかった。',
            '生暖かい白濁液が逆流してくる気色悪い感覚を味わいながら、' + slave.short_name + 'はぐったりと地下牢の床に倒れ伏している。' +
              '得体の知れぬ体液が混じり合い、テラテラと輝く' + slave.short_name + 'の白い肌を地下牢の薄明かりが照らしていた……',
          ],
          [
            '「御仏よ、私にここを抜け出す力をください……」',
            '「そして彼らに、己の過ちに気づける救いを与えてください……」',
            slave.short_name + 'は仏に祈り続けている。その信仰心は、まだ揺らいではいないようだ',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            '「御仏よ、私に勇気をください……」',
            '「そして彼らに、己の過ちに気づける救いを与えてください……」',
            slave.short_name + 'は熱心に仏に祈り続けている。あるいは、今の自分が信仰に縋りつかなければ狂ってしまいそうだと考えているのかもしれない……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '「おらっ、舌を出してちんぽの先を舐め上げるんだよっ！」',
            slave.short_name + 'は言われるがままに舌を出し、男の肉棒を舐め、甘い刺激を与えていく。もはやいちいち逆らう気概は残ってはいなかった。',
            '「胸にばかり栄養がいっているのかぁ？　物覚えの悪いメス豚だぜ」',
            '「へへっ、まあいいさ。物覚えが悪いってんなら、徹底的に躾けてやればいい。一人前の肉奴隷になれるんだから、お前もせいぜい俺たちに感謝するんだな」',
            '好き勝手に言う魔物たちの言葉に、ズキズキと' + slave.short_name + 'の傷付けられたプライドが痛んだ……',
          ],
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
        ].sample
      else
        [
          [
            '（御仏よ、あなたは穢れた' + slave.self_call + 'を見捨てたのですか……）',
            slave.short_name + 'はもはや祈る気力もないようだ……',
          ],
          [
            '「へへへっ、パイズリもうまくなったじゃねえか！　無駄にデカい胸しているんだからちゃんと使わねえとなぁ！」',
            slave.short_name + 'は胸の上に乗った魔物に命じられるがままに熱心にパイズリ奉仕を続けている。',
            '「……はい、ありがとうございます……」',
            'もちろん使われている場所は胸だけではない。',
            '「オラッ、まんこ穴もしっかり締めつけろやっ！　セックスしか取り柄がない淫乱メス豚がっ！」',
            'バチィッ、と横尻を思い切り叩かれる。すでに' + slave.short_name + 'の尻は真っ赤に腫れ上がっていた。',
            slave.short_name + 'のことを魔物たちは都合の良い肉穴としかみてはおらず何の気遣いもない。だがもはや' + slave.short_name + 'には逆らう気力は残っておらず、精神が砕けるのも時間の問題だった……',
          ],
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end
end
