# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# レミリア
class Adventurer4Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら、まさか負けると思ったか！！」',
          '大音声に空気がビリビリと震える。' + adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「' + adventurer.self_call + 'に刃向かったことを後悔させてやる！」',
          '自らの勝利を全く疑っていないかのように、' + adventurer.short_name + 'は吠える',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、隙だらけだな…… 女として身の程を知る、よい機会を与えてやろう……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今は、まだ機会ではないか……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
          ],
          [
            '（今日のところは、まだ動くべき時ではないか……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（退屈な仲間ごっこだが、まあこれも仕方がない……）',
          ],
        ].sample
      end
    else
      [
        [
          '「最強の吸血鬼たる' + adventurer.self_call + 'の力をを、教えてやろう！ その身で知るがいい！」',
          adventurer.short_name + 'は凶悪な形状の魔槍を、背負うように構えた',
        ],
        [
          '「' + adventurer.self_call + 'に刃向かったことを後悔させてやる！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「雑魚にかまっている時間はない、塵芥に返してやる！」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          '部屋の中には、多数の魔物たちが美女を目当てにぐるりと囲んでいる',
          '「こんなところで、負けるものかっ！」',
          slave.short_name + 'は犯そうと襲い掛かる魔物たちを、吸血鬼ゆえの怪力であしらい続けている',
          '「まだ、' + slave.self_call + 'は屈したりはしないぞっ！」',
          'だが数が多く、全てを倒してこの地下牢から逃れることは難しいだろう。いまできることは、ここで抵抗し破滅を先延ばしにしながら、チャンスを待ち続けることだけだ。',

        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。' +
            'だが先行きを考えれば、楽観はできなかった。',
          '「咲夜やパチェがきっと助けに来てくれる……」',
          '夜が更け、魔物たちが去った地下牢で' + slave.short_name + 'は静かに仲間の助けを待っている。',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「必ず、必ずここから抜け出してやる……」',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '（まだだ、まだ戦える…… こんなやつらに負けはしない……　まだ、今は……）',
          '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
      ].sample
    else
      [
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '「まだだ、最強の吸血鬼たる' + slave.self_call + 'が、こんなやつらに汚されるわけには……」',
          '全力を出せぬ己の弱さを、' + slave.short_name + 'は忌々しく思う。',
          '次の魔物が襲いかかろうとするのをみて、' + slave.short_name + 'は構えをとる。こんなところで、こんなところでこんな奴らに犯されるわけにはいかなかった。',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「……フラン、咲夜、パチェ　……他のみんなも……」',
        '「……ごめんね、' + slave.self_call + '、もう、戻れない……」',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
