# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# さとり
class Adventurer53Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「おやおや…… この' + adventurer.short_name + 'に、この数でならば勝てると思ったのですか？」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
        [
          '「女一人相手であれば勝てると？ ゲスの考えというものはわかりませんね……」',
          '孤立したところを襲われた' + adventurer.short_name + 'は虚勢を張りつつも武器を構える。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふふ、味方だからって' + adventurer.self_call + 'を信用してしまったのですか……？）',
          '（……いけませんねぇ。 ……そういった方には、痛い目にあって覚えてもらわないとねえ……）',
          '洗脳済みの' + adventurer.short_name + 'の、鋭すぎる眼光は、女冒険者である「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日はまだ、機会ではありませんね…… ええ、まだ、今ではないです……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たち相手なら、楽勝ですね。それなら' + adventurer.self_call + 'も、信頼というものを稼いでおくことにしましょう） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      [
        [
          '「ふふふ、いいですねぇ。 これだけ敵がいると' + adventurer.self_call + 'も嬲り甲斐があるというものです」',
          adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「' + adventurer.self_call + 'に向かってくるとは…… まったく命知らずで度し難い……」',
          '静かに、嘲る' + adventurer.short_name + 'の態度には自信が満ちていた……',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end
end
