# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 八雲紫
class Adventurer58Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら勝てるとでも……？ その浅はかさ、それ自体が罪ですわ」',
          '「罪の報いを受けるがいい！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「数の力で押せば、' + adventurer.self_call + 'を倒せるとでも？」',
          '「この' + adventurer.name + 'はそう簡単には倒せませんわ！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ですわ）',
          '（感謝してほしいですわ。殿方に隷属する悦びを知る機会を与えて差し上げるのですから……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ、陥れる時ではありませんね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもありますわ…… それまでは、待つことにいたしましょう）',
          ],
          [
            '（ふふっ、この相手であれば、' + adventurer.self_call + 'がいなくてもひとひねりでしょう……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      [
        [
          '「' + adventurer.self_call + 'に刃を向けた愚か者たちには、罪に対して相応の罰を与えましょう！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「雑魚にかまけている時間はありませんわ……。」',
          '「 といって押し通るしかないのであれば、' + adventurer.self_call + 'の実力の一端、お見せしましょう！」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end

  def jail_training_script(adventurer, monster_party)
  	return super if random_roll(80, 100)

    monster = monster_party.monster
    scripts = [
      [
      	'「やめっ、やめなさいっ！　' + adventurer.self_call + 'は、あなたたちごときが好きにしていいものではないのよ！」',
      	adventurer.short_name + 'は必死に' + monster.name + 'を押しのけようと暴れるが、力の差は歴然でどうすることもできない。',
      	'「離れなさいっ、いやっ、いやぁぁぁ！」',
      	'泣き叫ぶ' + adventurer.short_name + 'の反応を楽しむように、' + monster.name + 'はたっぷりと' + adventurer.short_name + 'の女肉を貪った。',
      ],
    ]

    script = scripts.sample
    script
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は男の腰を降参だというように何度もタップするが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '夜が更け、媚肉を嬲る背徳の宴は本日の分を終えた。魔物たちも一旦引き上げたようだ。',
            slave.short_name + 'にはたらい一杯分の水が与えられる。白濁液と魔物のドロドロとした得体の知れない体液まみれの肉体を、これでどうにかしろということらしい。',
            '「どうして' + adventurer.self_call + '、こんなに汚されて……」',
            '全身を拭うタオル代わりのボロ切れを絞ると、タライには白くドロドロとした汚らしい液体が広がっていく。もちろん水はそれしかない。' +
              slave.short_name + 'は全身をその汚らしい水で清めるしかないのだ。',
            '「いったい' + adventurer.self_call + 'がどんな罪を犯したというの……」',
            '静かに言葉を漏らす' + slave.short_name + 'の頬を涙が伝う。その問いに答える者などいない。',
            '女に飢えた魔物たちに敗北した、強いて言えばそれこそが罪なのだ……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「おらっ、しっかり飲めやっ！」',
            'だが' + slave.short_name + 'は顔を男のものから話すと、口から吐き出す。思ったよりも多くのドロドロとした白濁液と唾液が混じり合ったものが地下牢の床へと吐き出された。',
            '「ふんっ、こんなものを誰が飲み込んで……」',
            'その言葉は途中で乱暴に遮られた。',
            '「オラッ、何吐き出してんだ！　一滴残らず舌で舐めとるまで許さねえからなっ！」',
            '男の足が' + slave.short_name + 'の背中を蹴り、頭を踏みつけることで起き上がることを許さない。',
            '抵抗すれば魔物たちは徹底的な罰を与えた。抵抗はさらなる痛みを生み出すだけだ。ここはおとなしく従っておいた方が利口だ。',
            'そう' + slave.short_name + 'に思わせることで隷属を精神に刻み込むことが、男たちの目的なのだ……',
          ],
          [
            '「うああああぁぁぁァッ、無理ッ！　こんなの無理よおぉぉっ！」',
            '男たちにいわゆる駅弁スタイルの形で抱え上げられながら前後の穴を貫かれた' + slave.short_name + 'は、狂ったように叫ぶ。',
            '「お尻っ、お尻の中でギュルギュルいってっ、壊れるっ！　' + slave.self_call + 'のお尻が壊れるぅぅぅうぅぅッ！」',
            slave.short_name + 'が叫ぶのも当然だろう。' + slave.short_name + 'の直腸には大量の媚薬入り浣腸液が注入されていた。',
            '浣腸液と内容物たちは' + slave.short_name + 'の直腸の中で荒れ狂い、堪え難い苦痛を生み出して' + slave.short_name + 'の頭脳と精神を責めさいなむ',
            '直腸を肉槍が掻き回し、前の穴から薄壁越しに肉凶器が刺激を与えるたびに内臓の全てを掻き回されるかのような筆舌に尽くし難い苦痛と狂おしいほどの快楽が' + 
            slave.short_name + 'を直撃するのだ。',
            '「へへへっ、ケツ穴が今までにないほど締めつけてきて、うねってやがる。」',
            '「前の穴もいい感じだぜェ。揺すってやるたびにちんぽが一番奥まで届くと、ガクガク震えて最高だぁ」',
            '歯を食いしばり必死に意識を保とうとする' + slave.short_name + 'の肉穴で魔物たちは大いに楽しんだ。',
            '最後に男たちが肉棒を抜いた後、肉栓を失った尻穴は噴水のように内容物を吹き出し、その感覚に' + slave.short_name + 'は何度も何度も絶頂を重ねることになった……。',
          ],
          [
            'ようやく今日の肉の宴は終わりを迎えたようだ。魔物たちはぞろぞろと引き上げていくが、地下牢の冷たい地面にボロ雑巾同然の状態で' +
              '横たわっている' + slave.short_name + 'を気遣うものなど誰もいない。',
            slave.short_name + 'の秘所からはドロリとした子種汁が尽きることなく溢れてくる。もちろん尻穴も同様だ。',
            'だが消耗しきった心身はもはやそのようなことなど「どうでもいい」と思い始めていた。消耗による己の惨めさの受容。それこそが' +
              '陵辱屈服調教の狙いなのだ。そんなことは' + slave.short_name + 'にも分かっている。だが今は休息が欲しかった。',
            '生暖かい白濁液が逆流してくる気色悪い感覚を味わいながら、' + slave.short_name + 'はぐったりと地下牢の床に倒れ伏している。' +
              '得体の知れぬ体液が混じり合い、テラテラと輝く' + slave.short_name + 'の白い肌を地下牢の薄明かりが照らしていた……',
          ],
          [
            '「屈しないわ……　こんなことで、' + slave.self_call + 'は絶対に……」',
            '自分の中に残った抵抗の意思を確認するように、はっきりと呟いた。',
            '魔物たちはその言葉を聞いて嗜虐的な笑いを浮かべる。イキのいい女を壊すことほど楽しいものはない。',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '「おらっ、舌を出してちんぽの先を舐め上げるんだよっ！」',
            slave.short_name + 'は言われるがままに舌を出し、男の肉棒を舐め、甘い刺激を与えていく。もはやいちいち逆らう気概は残ってはいなかった。',
            '「胸にばかり栄養がいっているのかぁ？　物覚えの悪いメス豚だぜ」',
            '「へへっ、まあいいさ。物覚えが悪いってんなら、徹底的に躾けてやればいい。一人前の肉奴隷になれるんだから、お前もせいぜい俺たちに感謝するんだな」',
            '好き勝手に言う魔物たちの言葉に、ズキズキと' + slave.short_name + 'の傷付けられたプライドが痛んだ……',
          ],
        ].sample
      else
        [
          [
            '「へへへっ、パイズリもうまくなったじゃねえか！　無駄にデカい胸しているんだからちゃんと使わねえとなぁ！」',
            slave.short_name + 'は胸の上に乗った魔物に命じられるがままに熱心にパイズリ奉仕を続けている。',
            '「……はい、ありがとうございます……」',
            'もちろん使われている場所は胸だけではない。',
            '「オラッ、まんこ穴もしっかり締めつけろやっ！　セックスしか取り柄がない淫乱メス豚がっ！」',
            'バチィッ、と横尻を思い切り叩かれる。すでに' + slave.short_name + 'の尻は真っ赤に腫れ上がっていた。',
            slave.short_name + 'のことを魔物たちは都合の良い肉穴としかみてはおらず何の気遣いもない。だがもはや' + slave.short_name + 'には逆らう気力は残っておらず、精神が砕けるのも時間の問題だった……',
          ],
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end
end
