# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 星
class Adventurer64Script < TohoBaseScript
  # 省力型
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「' + adventurer.self_call + 'は毘沙門天の化身、' + adventurer.name + '！ たとえ一人であっても負けはしない！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '単独で迷宮をさまよう' + adventurer.short_name + 'の行く手をふさぐように魔物たちが現れた！',
          '「くぅぅっ、こんなときに！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように気合いを入れる。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '千載一遇の好機をつかんだ' + adventurer.short_name + 'は昏く嗤う',
          '（絶好の機会、というものかしら…… 仏の教えより素晴らしいものを、貴女たちにも教えてあげましょう……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いか……） ',
            '洗脳されたことで仲間を陥れる機会を伺っていた' + adventurer.short_name + 'は冷静に彼我の戦力を見極める。',
            '成算の少ない賭けに興味がない' + adventurer.short_name + 'は今はおとなしくすることに決めたようだ。',
          ],
        ].sample
      end
    else
      [
        [
          '「仏の教えに背く魔物ども！ ' + adventurer.self_call + 'がその身に毘沙門天の罰をくれてやろう！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「毘沙門天の力を、' + adventurer.self_call + 'が見せてやろう！」',
          adventurer.short_name + 'は威勢良く叫んだ' +
          '勇気付けられた仲間たちの戦意も大きく上がっていく！',
        ],
      ].sample
    end
  end
end
