# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# ネムノ
class Adventurer67Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「女が一人困っているところを襲うとは、大した卑怯者じゃのう！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '単独で迷宮をさまよう' + adventurer.short_name + 'の行く手をふさぐように魔物たちが現れた！',
          '「一人だからって甘くみてはいけねぇべ！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように気合いを入れる。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '千載一遇の好機をつかんだ' + adventurer.short_name + 'は昏く嗤う',
          '（絶好の機会、というやつじゃのう……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いか……） ',
            '洗脳されたことで仲間を陥れる機会を伺っていた' + adventurer.short_name + 'は冷静に彼我の戦力を見極める。',
            '成算の少ない賭けに興味がない' + adventurer.short_name + 'は今はおとなしくすることに決めたようだ。',
          ],
          [
            '洗脳されたことで、仲間を陥れる機会を伺っていた' + adventurer.short_name + 'は、' +
              '魔物たちの今の戦力では負けるはずがないと計算したようだ',
            '（まあそういう日もあるべ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「魔物なんていうのは畑を荒らす害獣と同じだべ、' + adventurer.self_call + 'がやっつけてやるさ！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「' + adventurer.self_call + 'の山姥としての力、甘くみないほうがいいぞ！」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end
end
