# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 咲夜
class Adventurer6Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら勝てると思ったのかしら…… 頭が悪い男は嫌いよ」',
          adventurer.short_name + 'は吠えると武器を構えた。' +
            'しかし常に行っている、細身のナイフによる投擲攻撃は見られない。すでに投げ尽くしたかあるいは温存せざるをえなくなるほど数が少なくなっているのだ。',
          '魔物たちの度重なる攻撃は確実に' + adventurer.short_name + 'を追い詰めていた。',
        ],
        [
          '「一人だからといって、甘く見ないでほしいですわね！」',
          '投擲したナイフによって敵がひるんだ隙に、' + adventurer.short_name + 'は一気に間合いを詰める。' +
            '孤立しているというのに冷静さを保ったまま敵陣に斬り込むその姿に魔物たちは驚いているようだ。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ですわ…… 信頼を裏切るのは悲しいですけれど、これもすべては「ご主人様」のため……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだよい機会とはいえませんわね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあります。今はうかがうことにしましょう……）',
          ],
          [
            '（ふん、この相手では、到底負けるとも思えませんわ） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、信頼を稼いでおくことにしましょう……）',
          ],
        ].sample
      end
    else
      [
        [
          '「実力の差を教えてさしあげますわ！」',
          adventurer.short_name + 'は両手に８本の投擲用ナイフを油断なく構える。' +
            '時を止める能力こそこの迷宮内では使えないが、ナイフさばきにおいて' + adventurer.short_name + 'は絶対の自信があった。',
        ],
        [
          '「片付けてさしあげます。掃除は' + adventurer.self_call + 'の得意なものですもの」',
          adventurer.short_name + 'は嗜虐的に笑うと、ナイフを構えた。',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「お屋敷のメイドに手を出したことを、絶対に後悔させてやるっ！」',
          slave.short_name + 'の手刀により、魔物の腕がボキリと嫌な音を立てた。魔物はうめき声をあげながら退くが、他の魔物たちは気にもせずに' +
          slave.short_name + 'に群がっていく。',
          'だが休みのない責めが' + slave.short_name + 'の体力を少しずつ削り取っていった……。',
        ],
        [
          '無数にひしめく魔物たちを' + slave.short_name + 'は徒手空拳であしらう。',
          '武器を失ったとはいえ、実力の差は明らかだった。',
          '（助けが来るまで持ちこたえねば……）',
          '魔物たちは有効打を与えられていないようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。' +
            'だが先行きを考えれば、楽観はできなかった。',
        ],
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「くっ、どうにかしてここを抜け出さないと……」',
          '睡眠時間を削ってまで行われた' + slave.short_name + 'の脱獄のための努力は徒労に終わったようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' +
            'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '「必ず、必ず助けは来る、そのはず……」',
          '「お嬢様、' + slave.short_name + 'は必ずあなたの元に帰りますわ……」',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' +
            'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（助けは、助けは本当にこないの……　このままでは、' + slave.self_call + 'は…… お嬢様は、' + slave.self_call + 'を……）',
          'あれほど固かったはずの信仰が揺らいでいる、弱音が心の奥から湧き上がってくる。',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '「このっ、いいかげんにしなさいっ！」',
          slave.short_name + 'はさらに一体の魔物を組み伏せ、蹴り飛ばす。' +
            '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
      ].sample
    else
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '部屋の隅で、宙の一点を見つめながら' + slave.short_name + 'はブツブツとなにごとかつぶやいている',
          '「お嬢様…… ' + slave.self_call + 'は…… もう、' + slave.self_call + 'は……」',
          '心身の限界がすぐそこまで迫っていることは明らかだった。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          '破滅の足音がすぐそこまで迫っているのを、' + slave.short_name + 'は聞いていた……',
        ],
      ].sample
    end
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「あはは……」',
        '「もう、ぜんぶが、どうでもいいですわ……」',
        slave.short_name + 'は虚ろに笑うと、あとはただ奴隷商人に言われるがままに狭い檻の中へと自分から入っていった……',
        'あれほど頑なだった' + slave.short_name + 'の抵抗は、' + monster.name + 'たちの陵辱の前に粉々に砕かれてしまっていた……',
        slave.short_name + 'の奴隷としての人生が、どれほど淫惨を極めるかを考えれば、もはや考える力が残っていない方が幸せかもしれなかった……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
