# coding: utf-8
module SlaveHelper
  module MorningCall
    MORNING_CALL_LUST_BORDER = 2000
    MORNING_CALL_OBEDIENCE_BORDER = 400
    MORNING_CALL_SUBMIT_BORDER = 350
    def morning_call_judge?
      (_accept_morning_call? && _morning_call_happen?)
    end

    def _accept_morning_call?
      self.lust > MORNING_CALL_LUST_BORDER &&
        self.obedience > MORNING_CALL_OBEDIENCE_BORDER &&
        self.submit > MORNING_CALL_SUBMIT_BORDER
    end

    def _morning_call_happen?
      if self.in_fall_down?
        return true
      end

      base_rate = 30 # 最低確率

      base_rate +=
        if self.obedience > 600
          30
        elsif self.obedience > 500
          15
        else
          0 # なにもなし
        end

      base_rate +=
        if self.lust > 3000
          20
        elsif self.lust > 2500
          10
        else
          0 # なにもなし
        end

      return (rand(100) < base_rate)
    end

    def morning_call_scripts
      scripts = [
        '朝になった……',
        '………' ,
        '',
        self.short_name + 'は朝の奉仕を行なうため言いつけられたとおり男の部屋を訪ねた…………',
        '',
      ] +
        @slave_script_service.morning_call(self) + # slaveクラス
        ['']
      scripts
    end
  end
end