# coding: utf-8
module HouseMethodHelper

  def show_spring_report
    elements = @spring_logic_controller.show_spring_report(@house, @hour_glass, @master)
    assign_to_lists(elements)
  end

  def show_house
    elements = @house_logic_controller.show_house_cage(@house)
    assign_to_lists(elements)
  end

  def show_blank_house_cage
    elements = @house_logic_controller.show_blank_house_cage
    assign_to_lists(elements)
  end

  def show_slave_relation
    elements = @house_logic_controller.show_slave_relation(@house, @master)
    assign_to_lists(elements)
  end

  def show_enhance_houce_menu
    elements = @house_logic_controller.show_enhance_houce_menu(@house)
    assign_to_lists(elements)
  end

  def show_spring_house_menu
    elements = @spring_logic_controller.show_spring_house_menu(@house, @hour_glass.is_day)
    assign_to_lists(elements)
  end

  # 増築系
  def detail_to_enhance_house
    elements = @house_logic_controller.detail_to_enhance_house(@master, @house)
    assign_to_lists(elements)
  end

  def detail_to_enhance_force_cage
    elements = @house_logic_controller.detail_to_enhance_force_cage(@master, @house)
    assign_to_lists(elements)
  end

  def detail_to_enhance_brothel_cage
    elements = @house_logic_controller.detail_to_enhance_brothel_cage(@master, @house)
    assign_to_lists(elements)
  end

  def detail_to_build_spring_house
    elements = @house_logic_controller.detail_to_build_spring_house(@master, @house)
    assign_to_lists(elements)
  end

  def enhance_house
    elements = @house_logic_controller.enhance_house(@master, @house)
    assign_to_lists(elements)
  end

  def enhance_force_cage
    elements = @house_logic_controller.enhance_force_cage(@master, @house)
    assign_to_lists(elements)
  end

  def enhance_brothel_cage
    elements = @house_logic_controller.enhance_brothel_cage(@master, @house)
    assign_to_lists(elements)
  end

  def build_spring_house
    elements = @house_logic_controller.build_spring_house(@master, @house)
    assign_to_lists(elements)
  end
end
