# coding: utf-8

require_rrk 'src/app/helper/dungeon/auction_helper'

class AuctionRoom
  include AuctionHelper

  attr_reader :slaves
  def initialize
    @slaves = {}
  end

  def add_slave(slave, sell_info)
    @slaves[slave.id] = {
      slave: slave,
      sell_info: sell_info,
    }
  end

  def remove_slave(slave_key)
    @slaves.delete(slave_key)
  end

  def buy_price(slave_id)
    slave = @slaves[slave_id]
    get_buy_price(slave[:sell_info][:slave_price])
  end
end
