# coding: utf-8
module Dungeon
  module MainMenu
    module MagicFactoryHelper
      def show_slave_positions_list(slave_id)
        [
          {
            'type' => 'button',
            'text' => '奴隷娼館で売春させる',
            'action' => "show_slave_in_brothel_detail_#{slave_id}",
          },
          {
            'type' => 'button',
            'text' => '触手による強制肉体改造苗床部屋へ',
            'action' => "show_slave_in_tentacle_lab_detail_#{slave_id}",
          },
          {
            'type' => 'button',
            'text' => '魔物強制妊娠部屋で子を産ませる',
            'action' => "set_to_maternity_room_#{slave_id}",
          },
          {
            'type' => 'button',
            'text' => '配置から外す',
            'action' => "release_slave_#{slave_id}",
          },
        ]
      end

      def show_broken_slave_brothel_positions_list(slave_id)
        spring_list = [
          {
            'type' => 'button',
            'text' => '精液便女',
            'action' => "set_brothel_sex_toilet_#{slave_id}",
          },
        ]
        spring_list
      end

      def show_slave_brothel_positions_list(slave_id, slave, dungeon_master)
        return show_broken_slave_brothel_positions_list(slave_id) if slave.broken_mentally_exhaust?

        spring_list = [
          {
            'type' => 'button',
            'text' => '壁尻売春',
            'action' => "set_brothel_wall_hole_spring_#{slave_id}",
          },
        ]

        if slave.resist_v_force_spring?
          spring_list << {
            'type' => 'button',
            'text' => '（抵抗）肉便器売春',
            'action' => "show_slave_in_brothel_detail_in_resist_#{slave_id}",
          }
        else
          spring_list << {
            'type' => 'button',
            'text' => '肉便器売春',
            'action' => "set_brothel_v_force_spring_#{slave_id}",
          }
        end

        if dungeon_master.has_brothel_room? && slave.accept_v_whore_spring?
          if slave.resist_v_whore_spring?
            spring_list << {
              'type' => 'button',
              'text' => '（抵抗）娼婦売春',
              'action' => "show_slave_in_brothel_detail_in_resist_#{slave_id}",
            }
          elsif dungeon_master.brothel_is_full?(slave_id, 'v_whore_spring')
            spring_list << {
              'type' => 'button',
              'text' => '（満員）娼婦売春',
              'action' => "show_slave_in_brothel_detail_in_no_vacancy_#{slave_id}",
            }
          else
            spring_list << {
              'type' => 'button',
              'text' => '娼婦売春',
              'action' => "set_brothel_v_whore_spring_#{slave_id}",
            }
          end
        end

        if dungeon_master.has_brothel_room? && slave.accept_a_whore_spring?
          if slave.resist_a_whore_spring?
            spring_list << {
              'type' => 'button',
              'text' => '（抵抗）娼婦アナル売春',
              'action' => "show_slave_in_brothel_detail_in_resist_#{slave_id}",
            }
          elsif dungeon_master.brothel_is_full?(slave_id, 'a_whore_spring')
            spring_list << {
              'type' => 'button',
              'text' => '（満員）娼婦アナル売春',
              'action' => "show_slave_in_brothel_detail_in_no_vacancy_#{slave_id}",
            }
          else
            spring_list << {
              'type' => 'button',
              'text' => '娼婦アナル売春',
              'action' => "set_brothel_a_whore_spring_#{slave_id}",
            }
          end
        end

        if dungeon_master.has_brothel_large_room? && slave.accept_all_whore_spring?
          if slave.resist_all_whore_spring?
            spring_list << {
              'type' => 'button',
              'text' => '（抵抗）娼婦輪姦全穴売春',
              'action' => "show_slave_in_brothel_detail_in_resist_#{slave_id}",
            }
          elsif dungeon_master.brothel_is_full?(slave_id, 'all_whore_spring')
            spring_list << {
              'type' => 'button',
              'text' => '（満員）娼婦輪姦全穴売春',
              'action' => "show_slave_in_brothel_detail_in_no_vacancy_#{slave_id}",
            }
          else
            spring_list << {
              'type' => 'button',
              'text' => '娼婦輪姦全穴売春',
              'action' => "set_brothel_all_whore_spring_#{slave_id}",
            }
          end
        end

        if dungeon_master.has_brothel_pole_dance_tent? && slave.accept_pole_dance_spring?
          if slave.resist_pole_dance_spring?
            spring_list << {
              'type' => 'button',
              'text' => '（抵抗）公開衆目奉仕売春',
              'action' => "show_slave_in_brothel_detail_in_resist_#{slave_id}",
            }
          elsif dungeon_master.brothel_is_full?(slave_id, 'pole_dance_spring')
            spring_list << {
              'type' => 'button',
              'text' => '（満員）公開衆目奉仕売春',
              'action' => "show_slave_in_brothel_detail_in_no_vacancy_#{slave_id}",
            }
          else
            spring_list << {
              'type' => 'button',
              'text' => '公開衆目奉仕売春',
              'action' => "set_brothel_pole_dance_spring_#{slave_id}",
            }
          end
        end

        if dungeon_master.has_brothel_show_tent? && slave.accept_show_tent_spring?
          if slave.resist_show_tent_spring?
            spring_list << {
              'type' => 'button',
              'text' => '（抵抗）公開見世物売春',
              'action' => "show_slave_in_brothel_detail_in_resist_#{slave_id}",
            }
          elsif dungeon_master.brothel_is_full?(slave_id, 'show_tent_spring')
            spring_list << {
              'type' => 'button',
              'text' => '（満員）公開見世物売春',
              'action' => "show_slave_in_brothel_detail_in_no_vacancy_#{slave_id}",
            }
          else
            spring_list << {
              'type' => 'button',
              'text' => '公開見世物売春',
              'action' => "set_brothel_show_tent_spring_#{slave_id}",
            }
          end
        end

        spring_list
      end

      def show_slave_tentacle_lab_positions_list(slave_id, dungeon_master)
        tentacle_custom_list = [
          {
            'type' => 'button',
            'text' => '触手陵辱苗床',
            'action' => "set_to_tentacle_lab_#{slave_id}",
          },
          {
            'type' => 'button',
            'text' => '触手陰核改造苗床',
            'action' => "set_to_tentacle_lab_custom_body_c_#{slave_id}",
          },
        ]

        if dungeon_master.has_tentacle_lab_v?
          if dungeon_master.has_tentacle_lab_v_lv2?
            tentacle_custom_list << {
              'type' => 'button',
              'text' => '触手肉穴改造苗床Lv２',
              'action' => "set_to_tentacle_lab_custom_body_v_lv2_#{slave_id}",
            }
          else
            tentacle_custom_list << {
              'type' => 'button',
              'text' => '触手肉穴改造苗床',
              'action' => "set_to_tentacle_lab_custom_body_v_#{slave_id}",
            }
          end
        end

        if dungeon_master.has_tentacle_lab_a?
          tentacle_custom_list << {
            'type' => 'button',
            'text' => '触手アナル改造苗床',
            'action' => "set_to_tentacle_lab_custom_body_a_#{slave_id}",
          }
        end

        if dungeon_master.has_tentacle_lab_b?
          tentacle_custom_list << {
            'type' => 'button',
            'text' => '触手乳房改造苗床',
            'action' => "set_to_tentacle_lab_custom_body_b_#{slave_id}",
          }
        end

        if dungeon_master.has_tentacle_lab_brainwash?
          if dungeon_master.has_tentacle_lab_brainwash_lv2?
            tentacle_custom_list << {
              'type' => 'button',
              'text' => '触手洗脳改造丸呑み大釜',
              'action' => "set_to_tentacle_lab_custom_brainwash_lv2_#{slave_id}",
            }
          else
            tentacle_custom_list << {
              'type' => 'button',
              'text' => '触手洗脳改造拘束椅子',
              'action' => "set_to_tentacle_lab_custom_brainwash_#{slave_id}",
            }
          end
        end

        if dungeon_master.has_tentacle_lab_hard?
          tentacle_custom_list << {
            'type' => 'button',
            'text' => '肉体徹底改造触手苗床',
            'action' => "set_to_tentacle_lab_custom_hard_#{slave_id}",
          }
        end

        tentacle_custom_list
      end
    end
  end
end
