# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 輝夜
class Adventurer13Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら勝てると思ったのかしら？」',
          adventurer.short_name + 'は不敵な笑みを浮かべる。',
          '「ふふふ、いいわ…… その過ち、' + adventurer.self_call + 'が正してあげるわ……」',
        ],
        [
          '「あらあら…… ふふふ、' + adventurer.self_call + 'の美貌は、呼んでもいない者まで引き寄せてしまうのね。」',
          '「本当に困ったものだわ」',
          'まったく現状の危機を意にも介していないかのように、' + adventurer.short_name + 'は余裕のある表情を浮かべる',
          'その額に、うっすらと汗が浮かんでいることは、魔物たちに悟られているだろうか……',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会だわ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（心配しないで…… いいことを教えてあげるのだから……）',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いかしら） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。怜悧な' + adventurer.short_name +
              'の頭脳は素早く結論を出した。',
            '（チャンスはいくらでもあるわ…… 大丈夫、退屈をやり過ごすことは慣れているもの……）',
          ],
          [
            '（この数の敵では、負けるわけがないわね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      [
        [
          '「まったく実力の差もわからないとは。ちゃあんと教えてあげないといけませんね」',
          '挑発的な言葉を吐きながら、' + adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「あらあら。油断してはだめよ？」',
          adventurer.short_name + 'の冷静な言葉に、仲間たちも余裕を取り戻し、敵に対して武器を構える',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def status_script_in_jail(slave)
    if !slave.jail_flash_flags[:first_train] && (slave.san_rate < 80)
      slave.jail_flash_flags[:first_train] = true
      return [
        '「へへっ、ちったぁ応えたか？　まんこ穴やケツまんこを何日もたっぷりほじられりゃあどんな女も男に逆らえなくなるもんさぁ」',
        '魔物の言葉通り、数日連続で丸一日嬲られ続けた' + slave.short_name + 'は地面に倒れ伏している。',
        '「……ふふふ、笑わせるわ」',
        '「ゲスの分際で随分偉そうなことを喋るのね……」',
        'しかし' + slave.short_name + 'が発した言葉は意外なものだった。',
        '「ああん？」',
        '魔物たちの頭目らしき男が、怪訝そうな顔をする。',
        '「たかが無理矢理犯した程度で、女を屈服させられるとは思わないことね」',
        slave.short_name + 'の反抗的な言葉は、むしろ魔物の頭目を喜ばせたようだ',
        '「へへっ、いいねえ。そういう活きのいい女は嫌いじゃねえ」',
        '頭目の予想外の言葉に、魔物たちはざわつき始める。だが続く言葉は、大いに魔物たちを沸かせた',
        '「よぉしお前らぁ！　この女を休みなくたっぷり可愛がってやりなあ！　もちろん夜も昼もおかまいなしだ、一瞬でも休ませたらタダじゃすまねえからなあ！」',
        '一瞬の沈黙の後の歓声。魔物たちは我先に' + slave.short_name + 'に群がっていく。背徳の宴は始まったばかりだ。',
      ]
    end

    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
        ].sample
      elsif slave.san_rate > 50
        if slave.jail_flash_flags[:first_train]
          [
            [
              'ドスンっと、杭打ちのような重い一撃が' + slave.short_name + 'の膣奥に叩きつけられる。子宮が押しつぶされ、内臓の配置まで置き換えられる激痛が' +
                slave.short_name + 'を襲う。',
              '「ぎひっ、おごぉぉぉ！　げへっ、おげえええっ！」',
              '肉棒を咥えながら' + slave.short_name + 'は精液と胃液が入り混じったものを口から逆流させてしまう。',
              '「ああっ、くそ！　汚ねえなっ、こいつ！」',
              '口を使っていた魔物が悪態を突くが、背後による頭目の視線が自分の背中に突き刺さっていることを感じ取ると、腰の動きをさらに激しくする。',
              '『一瞬たりとも休みを与えず犯し続けろ』',
              '頭目の命令通り、魔物たちは' + slave.short_name + 'の全ての穴を何の休みも与えず犯し続けていた。',
              '蓬莱人の不死性と変化へ抗堪性は肉体にのみ及ぶ。疲労や不眠とそこからくる精神への消耗と変調には役に立ちはしない。',
              '頭目の命令通り、魔物たちは' + slave.short_name + 'の強靭な精神を疲労によってむき出しにさせた上で容赦なくそこをいたぶり続けているのだ。',
              '陵辱の宴に、終わりはない……',
            ],
            [
              'ドスドスという杭打ちのようなストロークが' + slave.short_name + 'の膣奥を責め立てる。',
              '「おごっ、んぐぶぅぅぅぅぅ！？　おげっ、うごおおあ゛あ゛ぁ゛ぁぁっ！」',
              '一方で' + slave.short_name + 'の頭をがっちりとホールドした魔物が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
              '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、口を使う魔物はもちろん気にするはずもない。',
              '肉穴も尻穴も口も、それぞれ魔物たちが己の欲望を吐き出すために塞がれている。',
              'これで何日目の陵辱だろうか。休みなく犯され始めてから' + slave.short_name + '何日目だろうか。',
              'しばらく考えて答えが出ないままマグマのような膣内と直腸への同時射精とそれが引き起こした肉悦の爆発で思考が断ち切られた。',
              'かつて賢者と呼ばれた' + slave.short_name + 'の頭脳は、霧がかかったように思考ができずもはや用を成さなくなっている……',
              '今日も' + slave.short_name + 'はわずかな休みもなくたっぷりと嬲られていた……',
            ],
          ].sample
        else
          [
            [
              '「おらっ、パイズリだけじゃなく、舌を出して胸の間から顔を出したおちんぽ様の先を舐め上げるんだよっ！」',
              slave.short_name + 'は言われるがままに舌を出し、男の肉棒を舐め、甘い刺激を与えていく。もはやいちいち逆らう気概は残ってはいなかった。',
              '「胸にばかり栄養がいっているのかぁ？　物覚えの悪いメス豚だぜ」',
              '「へへっ、まあいいさ。物覚えが悪いってんなら、徹底的に躾けてやればいい。一人前の肉奴隷になれるんだから、お前もせいぜい俺たちに感謝するんだな」',
              '好き勝手に言う魔物たちの言葉に、ズキズキと' + slave.short_name + 'の傷付けられたプライドが痛んだ……',
            ],
            [
              'どぴゅっ、どびゅるるるっ。',
              '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
              '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
              '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
              'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
              '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
              '「へへっ、一滴もこぼすんじゃねぇぞぉ。少しでもこぼしたら舌で舐め取らせてやるからなぁ」',
              '言われずとも' + slave.short_name + 'は、飲み込むつもりだった。魔物の精液の量は、飲み込まずにおけばたちまちに窒息しそうになる。' +
                'かといって吐き出せば、魔物たちは言葉通り舌で床中の汚濁液を舐め取らせるまで許さないだろう。',
              '頭を足で踏まれ、全身を鞭や掌で叩かれながら地面に垂れた精液を舐め取らされる屈辱の経験は、' + slave.short_name +
                'の精神の奥底に消えぬ恐怖を刻んでしまっていた。',
              'もう二度とあんな屈辱は味わいたくない。そのためなら目の前にある、飲精の屈辱など小さなものだ。',
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            ],
            [
              'ようやく今日の肉の宴は終わりを迎えたようだ。魔物たちはぞろぞろと引き上げていくが、地下牢の冷たい地面にボロ雑巾同然の状態で' +
                '横たわっている' + slave.short_name + 'を気遣うものなど誰もいない。',
              slave.short_name + 'の秘所からはドロリとした子種汁が尽きることなく溢れてくる。もちろん尻穴も同様だ。',
              'だが消耗しきった心身はもはやそのようなことなど「どうでもいい」と思い始めていた。消耗による己の惨めさの受容。それこそが' +
                '陵辱屈服調教の狙いなのだ。そんなことは' + slave.short_name + 'にも分かっている。だが今は休息が欲しかった。',
              '生暖かい白濁液が逆流してくる気色悪い感覚を味わいながら、' + slave.short_name + 'はぐったりと地下牢の床に倒れ伏している。' +
                '得体の知れぬ体液が混じり合い、テラテラと輝く' + slave.short_name + 'の白い肌を地下牢の薄明かりが照らしていた……',
            ],
          ].sample
        end
      elsif slave.san_rate > 25
        # ノー休憩で陵辱されている前提
        [
          [
            'ドスンっと、杭打ちのような重い一撃が' + slave.short_name + 'の膣奥に叩きつけられる。子宮が押しつぶされ、内臓の配置まで置き換えられる激痛が' +
              slave.short_name + 'を襲う。',
            '「ぎひっ、おごぉぉぉ！　げへっ、おげえええっ！」',
            '肉棒を咥えながら' + slave.short_name + 'は精液と胃液が入り混じったものを口から逆流させてしまう。',
            '「ああっ、くそ！　汚ねえなっ、こいつ！」',
            '口を使っていた魔物が悪態を突くが、背後による頭目の視線が自分の背中に突き刺さっていることを感じ取ると、腰の動きをさらに激しくする。',
            '『一瞬たりとも休みを与えず犯し続けろ』',
            '頭目の命令通り、魔物たちは' + slave.short_name + 'の全ての穴を何の休みも与えず犯し続けていた。',
            '口を犯していた魔物は、口内射精した精液を一滴残らず' + slave.short_name +
              'に飲み干させると、' + slave.short_name + 'の頭を支えていた手を離した。',
            'もはや自分の体も支えられなくなった' + slave.short_name + 'の頭は汚らしい吐瀉物の中へと顔から落ちてしまう。',
            slave.short_name + 'の頭を踏みつけながら、魔物はさらに冷酷な命令を与えた。地面にこぼしたものを手を使わず綺麗にしろと、そう言ったのだ。',
            slave.short_name + 'は返事こそしなかったが、舌を伸ばし地面に垂れ流してしまったゲル状になった精液と胃液が混じる液体をすすり始める。',
            'ひどい嘔吐感を胃袋が訴えるが、何とかなだめながら' + slave.short_name + 'はゲル状の白濁汚液をすすり続ける。',
            'もはやそこにプライドはかけらも残されてはいなかった。ただ目から涙が溢れてきたが、それすらも顔を穢している得体の知れない液体に混じりわからなくなってしまった……',
            'さらに燃え上がる陵辱の宴に、終わりはない……',
          ],
          [ # 食事は精液ぶっかけ
            '「オラっ、メス豚！　飯の時間だ」',
            slave.short_name + 'の顔の前に古ぼけたブリキ製の皿とその上に盛られた残飯同然の食事が出される。',
            '空腹は弱気を招く。弱気は精神を脆くさせ、抵抗の意思を手放したくなってしまう。',
            'この魔物たちの前で精神が折れてしまわないようにするためには、全ての恥辱に耐え、せめて腹だけは満たさねばならない。',
            '食事は１日２度、ただし魔物たちの機嫌を損ねれば食事はない。あるいは理不尽な言いがかりをつけられることでなくなることもある。',
            '睡眠と休息を奪われ、さらに生存に最低限不可欠な食事すらも全て魔物たちの機嫌次第という状況は、' + slave.short_name + 'の自尊心を強く苛み続けていた。',
            '食事の時には必ず両腕は拘束される。手を使わず犬のように食べろということなのだろう。しかも後背位の姿勢で両穴を犯され、激しいストロークの衝撃ではひざ立ちすらも満足にできない。',
            slave.short_name + 'はいつもと同様、食事の皿に顔から突っ込むような姿勢で食事を摂ることになる。残飯同然の食事には常に魔物たちの精液が大量にかけられている。',
            '最初の頃こそ、胃袋と嗅覚と味覚がそれぞれ猛烈な反抗を訴えたが今は' + slave.short_name + 'はそれらをなだめる術を身につけていた。',
            '吐き出してしまえば、あるいはすぐに完食できなければ魔物たちはそれを皿に詰め込み、小便と混ぜておかゆ状にしたものを胃袋へと流し込んでくる。',
            'だからこそ' + slave.short_name + 'は餌皿に顔を突っ込み、ガッつくようにできるだけ速やかにそれらを食べねばならなかった。',
            '陵辱以外にも全ての行為において' + slave.short_name + 'の精神を貶める時間がこの地下牢では繰り広げられていく。',
            'まさに生き地獄同然の時間を' + slave.short_name + 'は過ごしていた……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            '蓬莱人ゆえに外傷はすぐに回復するが、回復するそばから痛めつけられては全身が痛々しい姿になるのも当然だった。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
            'まったく傷はともかくいくら蓬莱人でも汚れは落ちたりはしない。魔物たちが気まぐれに気付けも兼ねて、冷水を桶で浴びせてくる以外のものはなかった。',
            'すでに汚らしいボロ雑巾同然の姿になった' + slave.short_name + 'の肉体と全ての穴を魔物たちは飽きることなく嬲り続けている……',
          ],
        ].sample
      else
        # ノー休憩で陵辱されている前提
        [
          [
            '「おへぇっ、あひぃっ♪　あがっ、おああぁぁぁ♡」',
            '魔物たちの輪の中心で' + slave.short_name + 'は今は前後の穴を２匹の魔物に嬲られていた。',
            '陵辱が始まってから、これまで一時たりとも休みなく犯され続けた' +
              slave.short_name + 'の全身は精液や体液、泥やそれらが乾いてこびりついたものなど、様々な汚れで穢されており、もはやボロ雑巾同然のありさまだ。',
            '「おい、お前はもうあの穴は使わないのか？」',
            '一匹の魔物が仲間に問いかけた',
            '「へへ、もうあんな汚ねぇものは使いたくねぇよ。ただあの生意気だったメスがどんな無様な奴隷宣言させられるのかが見たくてここにいるだけさ」',
            '答えた魔物と意見を同じくするものはこの部屋の中に多くいるようだ。',
            '先ほどから' + slave.short_name + 'を陵辱に加わる魔物の数は、部屋にいる魔物の数に比べて明らかに少ない。',
            '「そういうなよ。蓬莱人ってやつだっけ？　穴の締まりは最初から変わらねえからよお。いくら痛めつけてもいい便利なおもちゃとしても使えるからいいよなあ」',
            'もはやこの部屋に' + slave.short_name + 'をまともに女として扱おうという者はいない。ただ嬲り辱め貶めるだけの対象。それが今の' + slave.short_name + 'だった。',
            '真の限界を迎え、屈服するその瞬間まで、彼女は一時の休みもなく嬲り続けられるだろう……。',
          ],
          [
            '「せーえきがぁ……　びゅー、びゅーっ、ってナカにぃ……」',
            slave.short_name + 'は鼻の下を伸ばした痴呆のような表情で種付け汁が子袋にぶちまけられる感覚に酔いしれている。',
            '「おっ、ああぁぁ……　いっぱいびゅくびゅくしてるぅぅ……」',
            '白濁の欲望のマグマが' + slave.short_name + 'の知性の、最後に残った一番大切な何かを容赦なくドロドロに溶かしていく。',
            '「へへっ、アタマは完全にバカになっているようだが、まだ穴はいい感じだぜ。たっぷり射精させてもらったわぁ」',
            '満足した男がゆっくりと' + slave.short_name + 'が肉槍を引き抜くと膣襞が名残惜しげにカリ首を撫で上げる。',
            'ついにぢゅぽんっ、という下品な音を立てて、男の剛直が' + slave.short_name + 'の膣穴から引き抜かれた。肉槍ゆっくり引き抜く',
            '「蓬莱人だっけ？　どれだけ乱暴にしても壊れねぇっていうのがいいよなぁ。」',
            '膣内射精と重ねすぎた絶頂の余韻に浸る' + slave.short_name + 'の白い尻が思い切り叩かれる。バチィッという音とともに、大判の平手の跡が' + slave.short_name + 'の白い尻に紅葉のように赤く残った。',
            '「オラッ、次は俺だ。さっさとケツをあげろや、セックスしか取り柄がないチンポしごき穴は本当にグズだな！」',
            'それは折檻というよりは、嗜虐欲の発露とでも言うべきものだろう。だがその理不尽な行為に対しても' + slave.short_name + 'は従順に尻を高く掲げる。',
            'もはやそれが理不尽かどうか考える知性や、反抗するプライドは残らず踏みにじられてしまった。休みなく怒涛の快楽にさらされ続けた今の彼女は単なる肉オナホに過ぎなかった。',
          ],
        ].sample
      end
    script
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',
        '「' + slave.self_call + '……　' + slave.short_name + 'は……　皆様の……　精液便器、です……」',
        '「この卑しい穴に…… たくましい皆様のオスの子種を……　どうか沢山……　注いでくださいませ……」',
        '絶望に打ちひしがれた' + slave.short_name + 'の顔には、かつては己に恋い焦がれた男たちに高慢な要求を叩きつけた傲慢さは、どこにも残ってはいない……',
        'すべてのプライドを削りおとされたことで、ただ男たちの暴力的快楽に怯える弱々しい少女の内面が露わになっていた……',
        'もっとも、男たちから見れば極上の美貌を持つ' + slave.short_name + 'の嗜虐欲をそそる態度は、陵辱へのスパイスでしかないのだが……',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
