# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 妹紅
class Adventurer17Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「ああ…… なるほど？」',
          '「一人のところを狙うのは、お前たちにとって合理的、というわけだね……」',
          '孤立した危機を襲われた' + adventurer.short_name + 'は、生き死にがかかっている状況にもかかわらず、奇妙な冷静さを保っている……',
        ],
        [
          '「ああ、なるほど？」',
          '「孤立していれば倒せると思ったのか。まったく…… そういうところにばかり悪知恵は働くよね……」',
          '孤立したところを襲われた' + adventurer.short_name + 'は、呆れたように笑うと武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふん、信用していただいているところ、悪いけれど' + adventurer.self_call + 'にもご主人様から命令された「指名」があるからねぇ……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（大丈夫、きっと素晴らしいことを殿方に教えていただけるからさ…… 心配はいらないと思うよ……）',
        ]
      else
        [
          [
            '（ふぅん…… まだ、好機ではないかな……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（大丈夫、待つのは、時間を過ごすことは、' + adventurer.self_call + 'は慣れているからね……）',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たちじゃあ、' + adventurer.self_call + 'が手を抜いても苦もなく倒せそうだね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '「それじゃあ、まあ、一丁やってやりますか！」',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      [
        [
          '「ふうん？ 数ばかり揃えているけれど、本当に倒せると思っている？」',
          '自信満々の口ぶりで、' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「無駄な殺戮に興味はないけど、放置すればどんな害悪があるとも限らないからね。悪いけれどここであったのが運の尽きだ」',
          '両の掌から燃え盛る炎を作り出しながら、' + adventurer.short_name + 'は、冷たい双眸で魔物たちを睥睨している……',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end
end
