# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 慧音
class Adventurer18Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人だからといって、甘く見るなよ！ さあ、くるがいい！」',
          '孤立した危機を襲われた不利を、表面上は気にしていないかのように、' + adventurer.short_name + 'は冷静に武器を構える……',
          '額に滲む汗が、彼女の不安をありありと表していた。',
        ],
        [
          '「くっ、一人のところを…… こいつがお前たちの「戦術」というわけか」',
          '孤立したところを襲われた' + adventurer.short_name + 'は、つとめて冷静を保ちながら、静かに武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふん、信用していただいているところ、悪いが' + adventurer.self_call + 'にもご主人様から命令された「指名」がある……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（大丈夫、きっと素晴らしいことを殿方に教えていただける…… それを知れば、むしろ感謝の念すら抱くはずだ……）',
          '恐ろしく身勝手な理論ではあるが、もはやその異常さを気づく能力は、' + adventurer.short_name + 'にはなかった……',
        ]
      else
        [
          [
            '（そうだな…… 今はまだ、よい機会ではないということか……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たち相手では、' + adventurer.self_call + 'なしでも、話にはならないだろうな） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（ここは、一働きして、信頼を稼いでおこう……）',
          ],
        ].sample
      end
    else
      [
        [
          '「この魔物たちを放置すれば、他の村人たちの害にもなるだろう。 たとえお前たちに罪がなかろうと、' + adventurer.self_call + 'がここで駆除してやる。」',
          '正義感にあふれる台詞を吐きながら、' + adventurer.short_name + 'は魔物に対して武器を構える。',
        ],
        [
          '「無用の殺戮に興味はないが、放置すれば無辜の人々にどんな害を与えるとも限らない。悪いがここで倒させてもらう」',
          '厳しい表情で魔物を見つめながら' + adventurer.short_name + 'は、武器を両の手で握り直した……',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end
end
