# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 椛
class Adventurer19Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人の女を相手にするにしては、随分数を揃えてきたな。」',
          '「……おい、' + adventurer.self_call + 'を倒すのに、それだけの数で十分だと、本気で思っているのか？」',
          '危地であるということを認識しているにもかかわらず、' + adventurer.short_name + 'は堂々とした態度を崩さない。もちろん、今がまずい状況だということはわかっている。',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように刀と盾を構えた。',
        ],
        [
          '「一人のときなら、勝てると思ったか！」',
          '孤立したところを襲われた' + adventurer.short_name + 'は、いらだたしげに吐きすてると武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（おやおや、ダメですねぇ…… 味方だからって' + adventurer.self_call + 'を信用しちゃあ……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今はまだ、好機ではないか……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たち相手なら、' + adventurer.self_call + 'なしでも倒せるでしょうね） ',
            '（待つ、というのも戦術のうちですから……）',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '「さぁ、さっさと片付けてやりましょう！」',
            '元気のいい言葉を' + adventurer.short_name + 'は叫ぶ。もちろんその意図は、自分が疑われないための布石なのだ。',
          ],
        ].sample
      end
    else
      [
        [
          '「ええ、片付けてやりますよ。」',
          '「任せてください。こういう汚れ仕事は、' + adventurer.self_call + 'のような下っ端の仕事ですから……」',
          adventurer.short_name + 'は冷たい瞳で魔物たちを一睨みすると、武器を構える。',
        ],
        [
          '「' + adventurer.self_call + 'の出番のようですね……」',
          '言葉こそやる気はないが、その顔つきには一部の油断もない。',
          adventurer.short_name + 'は刀と盾を構えると、敵を睥睨した……',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '「ぐぅぅ、こんなっ、こんな力づくの真似でっ！　' + slave.self_call + 'を屈服させようとは、救いがたいゲスどもだなっ！」',
            slave.short_name + 'は減らず口をたたくが、魔物たちに組み敷かれ、肉穴を貫かれている現状では、それは魔物たちの嗜虐心をさらに煽る結果にしかならなかった……',
            slave.short_name + 'は己の反抗的な言動の報いを、過酷を極める陵辱をもって受け取ることになった……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「へへっ、一滴もこぼすんじゃねぇぞぉ。少しでもこぼしたら舌で舐め取らせてやるからなぁ」',
            '言われずとも' + slave.short_name + 'は、飲み込むつもりだった。魔物の精液の量は、飲み込まずにおけばたちまちに窒息しそうになる。' +
              'かといって吐き出せば、魔物たちは言葉通り舌で床中の汚濁液を舐め取らせるまで許さないだろう。',
            '頭を足で踏まれ、全身を鞭や掌で叩かれながら地面に垂れた精液を舐め取らされる屈辱の経験は、' + slave.short_name +
              'の精神の奥底に消えぬ恐怖を刻んでしまっていた。',
            'もう二度とあんな屈辱は味わいたくない。そのためなら目の前にある、飲精の屈辱など小さなものだ。',
            slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
          ],
          [
            'ようやく今日の肉の宴は終わりを迎えたようだ。魔物たちはぞろぞろと引き上げていくが、地下牢の冷たい地面にボロ雑巾同然の状態で' +
              '横たわっている' + slave.short_name + 'を気遣うものなど誰もいない。',
            slave.short_name + 'の秘所からはドロリとした子種汁が尽きることなく溢れてくる。もちろん尻穴も同様だ。',
            'だが消耗しきった心身はもはやそのようなことなど「どうでもいい」と思い始めていた。消耗による己の惨めさの受容。それこそが' +
              '陵辱屈服調教の狙いなのだ。そんなことは' + slave.short_name + 'にも分かっている。だが今は休息が欲しかった。',
            '生暖かい白濁液が逆流してくる気色悪い感覚を味わいながら、' + slave.short_name + 'はぐったりと地下牢の床に倒れ伏している。' +
              '得体の知れぬ体液が混じり合い、テラテラと輝く' + slave.short_name + 'の白い肌を地下牢の薄明かりが照らしていた……',
          ],
          [
            'どぴゅっ、どびゅるるるっ。ぐぷっ、ぐびゅるっ、どぷぷぷぷっ',
            '濃厚の白濁液が、' + slave.short_name +
              'の舌めがけてたっぷりと吐き出されていく。',
            '（うええぇぇっ、まずい……）',
            '（生臭くて、青臭くて、ひどい味……　それを、天狗の' + slave.self_call + 'が……）',
            '逡巡する' + slave.short_name + 'の頭を魔物が強く掴む。',
            '早く飲め、ということなのだ。' + slave.short_name + 'は必死に嫌悪と拒否を訴える胃袋をなだめながら、コクコクと喉を鳴らして飲み込んでいった……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '「ああくそ、好き放題嬲りやがって……」',
            slave.short_name + 'は無残な姿になった己の体を眺める。',
            '「天狗の山に帰れたとして居場所は、残っているんだろうか……」',
            '天狗の社会は、なによりプライドと体面が重視される。異種族に陵辱された者など鼻つまみ者もよいところだ、よくて天狗の里の追放を宣告、最悪の場合、一生地下牢に監禁されるだろう。',
            '花街で女も買えぬ下っ端天狗の男どもが性処理のために地下牢に通っていると言う噂はあったが、まさか自分がその立場になるかもしれぬなどと考えたこともなかった。',
            '「いやだ……　どうして、どうしてこんなことに……」',
            '涙声でつぶやく' + slave.short_name + 'の精神は、もはやかつての強靭さを失いつつある……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
          [
            'どぷっ、ぐぷっ、ぶびゅるるるるるっ、ぼびゅるるるるっ',
            '魔物特有の、人間ではありえぬほどの大量の精液が' + slave.short_name + 'の膣内へと吐き出されていく。',
            '「おっ、おごぉっ……　おごっ、おあぁぁ……」',
            '口を別の肉棒に塞がれた' + slave.short_name + 'は不明瞭な呻き声を発しながらビクビクと、膣襞に精液が叩きつけられるたびに震えている。',
            '「へへっ、最初の頃は天狗の' + slave.self_call + 'に、とか生意気なことを言ってやがったが、こうなっちまったらかわいいものじゃねぇか」',
            '「へへっ、その通りだぜ。おらっ、ケツ穴にもザーメンくれてやるから、ちゃんと全部飲み干せよ」',
            '魔物たちが言葉で' + slave.short_name + 'を嬲るたび、汚らしい精液を流し込まれるたび、少しずつだがゆっくりと、' +
              slave.short_name + 'の精神は削られていった……',
          ],
        ].sample
      end
    script
  end
end
