# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# こころ
class Adventurer23Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「おおっ、これは孤立無縁！圧倒的危機！」',
          '「いいだろう、くるがいい！ ' + adventurer.self_call + 'も真価を見せるとしよう！」',
          'この危地を脱するには勝利するしかないのだ。もっとも、その危機感を表情に見せないように、' + adventurer.short_name + 'は武器を構えた……。',
        ],
        [
          '「おお！？ これが不意打ち……っ！」',
          '孤立したところを襲われた' + adventurer.short_name + 'は慌てて武器を構えた。',
          '「少し驚いてしまったが、不覚をとるほどではない、いくぞ！」',
          adventurer.short_name + 'の表情は、ほとんど動いていない……',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（味方だからといって' + adventurer.self_call + 'が１００％信用できるわけではないー……）',
          '（諸行無常、造反有理。）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、無防備な「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（どうやら、今日はチャンスではない…… 臥薪嘗胆、待つことも使命のうち……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな雑魚相手なら、' + adventurer.self_call + 'が何かしても意味ないかなー） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      super
    end
  end
end
