# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 村沙
class Adventurer27Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「数の力で押すことしかできない雑魚には負けない！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
        [
          '「たとえ一人でも、お前達ごときに負けはしない！」',
          '武器を構え、' + adventurer.short_name + 'は己を力づけるように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、背中がガラ空きだよ？）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだチャンスではないかな） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあるさ。機会をうかがうことにしよう……）',
          ],
          [
            '（今はまだ、機会ではないかな） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、高みの見物といこうかな）',
          ],
        ].sample
      end
    else
      [
        [
          '「ふふんっ、命蓮寺の切り込み隊長、' + adventurer.short_name + '様がいま片付けてやるからね！」',
          adventurer.short_name + 'は敵を眺め巨大な碇状の武器を構える。',
          '「さあ、せいぜい楽しませてくれよっ！」',
        ],
        [
          '「おおっと、これだけいると、命蓮寺の名がまた上がってしまうね！！」',
          '勇ましく武器を構えた' + adventurer.short_name + 'は、威勢よく叫んだ',
        ],
      ].sample
    end
  end
end
