# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'
# 魔理沙
class Adventurer2Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人相手なら勝てると思ったのかい？ この' + adventurer.short_name + '様はそうかんたんにはやられないぜ！」',
          adventurer.short_name + 'は減らず口を叩くと八卦炉を構えた。',
        ],
        [
          '「こちらが一人なのに、数の力で押すことしかできないとは、呆れるね！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するようと、八卦炉を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会というやつだぜ……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
          '（心配するなよ、知ったことを後悔するほどの快楽というやつを知れば他のことなんてどうでもよくなってしまうから……）',
        ]
      else
        [
          [
            '（今日のところは、運の流れはこちらに来ていない、かな……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもある。待つのも、仕事のうちさ……）',
          ],
          [
            '（今は、まだ分が悪いかな……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、高みの見物といこうか。チャンスはいくらでもあるさ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「力の違いもわからない魔物どもめ！」',
          adventurer.short_name + 'は敵を眺め八卦炉を構える。',
          '「知性の不足は、腕力だけでは補えないんだぜ」',
        ],
        [
          '「この' + adventurer.short_name + '様が、こんな雑魚相手に負けるわけがないんだぜ！」',
          adventurer.short_name + 'は威勢よく叫んだ',
        ],
        [
          '「油断しなければ、こんな魔物なんて負けるわけがないんだぜ！」',
          adventurer.short_name + 'は仲間たちに呼びかける。仲間たちは勇気付けられているようだ',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          '夜も更けた地下牢の中で、女の影が蠢めく……',
          '「ああ、くそ……」',
          '「せめて、八卦炉だけは取り返さないとな…… 作ってくれた、香霖への義理だってあるからな……」',
          slave.short_name + 'は、魔物たちが去った後、必死に脱出の道を探っている……。',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「ぐぅぅ、痛い、痛いよ……」',
          slave.short_name + 'の腹は、いくつもの拳型のあざがつき、真っ赤に腫れ上がっている。' +
          '魔物たちは、なかなか屈しない' + slave.short_name + 'を屈服させるために精神から折りにかかったようだ。',
          '腹部に走る鈍痛が、魔物たちに抗う無益さを訴える。おとなしく降伏してしまえば、楽になると……',
          '「いやだ、絶対に……」',
          slave.short_name + 'は歯を食いしばり、激痛に耐える。それが彼女の矜持だった',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '「ああ、くそ…… 左手はもうまともに動かないか……」',
          '「か弱い女相手なんだから、手加減しろよ、ああくそう……」',
          slave.short_name + 'は、痛痛しく腫れ上がった左手をさするが、すぐに回復する手段などあるわけがない。。',
          '終わりのない地下牢の監禁生活によって、確実に' + slave.short_name + 'の力は削られているようだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          '「おいいいか、よく覚えておけ！！　絶対に' + slave.self_call + 'は、お前たちなんかに屈しないからな！」',
          'まだ、こんなところで負けるわけにはいかなかった。',
          slave.short_name + 'は己を叱咤する。自分で自分を励まさねば、折れてしまいそうだった。',
        ],
      ].sample
    else
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「香霖、香霖、助けてくれよ……」',
          '「いやだ……　あんなやつらに犯されるなんて……　' + slave.self_call + 'の初めては、あいつにあげるつもりだったのに……」',
          '部屋の隅で、' + slave.short_name + 'は膝を抱えてブツブツとつぶやいている',
          '心身の限界がすぐそこまで迫っていることは明らかだった。',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに呻くが、男は快楽を味わう以上のことには興味がないようだ。',
            'どぴゅっ、ぐびゅるっ、ぶぴゅるるるるっ',
            '限界を迎えた大量の精液が' + slave.short_name + 'の口腔内にたっぷりと吐き出されていく。',
            slave.short_name + 'は必死に逃れようとするが、男が頭を離そうとしないために無駄な努力に終わる。',
            'その間にもドプドプと、こってりとした濃厚精液が' + slave.short_name + 'の口の中はおろか鼻のほうにまで回るほどに流し込まれる。',
            'ついに観念した' + slave.short_name + 'はひどい青臭い香りに苛まれながら、精液を飲み干すことに決めたようだ……',
            '（こんなにすごい臭いで、味もひどくて……　頭、おかしくなる……）',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '「んぐぅぅっ、おごっ、うぐぶぅぅっ」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに呻くが、必死に鼻で呼吸を行い、なんとか酸素を確保している。',
            '男がブルブルと震える。限界が近いようだ。。',
            'どぴゅっ、ぐびゅるっ、ぶぴゅるるるるっ',
            '欲望の塊である大量の精液が' + slave.short_name + 'の口腔内にたっぷりと吐き出されていく。',
            slave.short_name + 'は魔物が頭を放さないことを見て取ると、おとなしく濃厚な精液をゴクリゴキュリと喉を鳴らして飲み干していく。',
            '大量の精液を、呼吸を奪われずにいなすための最善の方策はできるだけ味合わずに飲み干すことだと' + slave.short_name + 'は考えたようだ。',
            '「ふいー、出した、出したぁ……　なかなかいい口まんこ穴だったぜぇ」',
            '魔物は満足げに呟くと、野太い肉槍を' + slave.short_name + 'の口から引き抜き、おまけとばかりに肉槍に残ったどろりとした精液を' + slave.short_name + 'の顔になすりつけた。',
            slave.short_name + 'の美しかったはずの顔は、精液や先走り液、よだれでドロドロに汚されてひどい有様だ。',
            'だが' + slave.short_name + 'は半ば放心したようなぼんやりとした顔でされるがままになっていた……',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],

        ].sample
      elsif slave.san_rate > 25
        [
          [
            '「せめて……　少しでいいから休ませてくれ……」',
            'ボロ雑巾のようになりつつある' + slave.short_name + 'の願いは、けして顧みられることもない。すぐに次の魔物が' + slave.short_name + 'に襲いかかっていく……',
            '「うぅ……　いやだっ、いやだぁぁ……」',
          ],
          [
            '魔物たちはようやく引き上げたようだ……',
            '丸一日たっぷりと嬲られた' + slave.short_name + 'の白い肌には無数のアザや歯型がついている。',
            'かつての美しい金髪も精液やドロドロとした得体のしれない体液がかけられ、無残な有様となっている。',
            '「うぅ……　手ひどく扱いやがって……　絶対に' + slave.self_call + 'は屈しないからな……」',
            slave.short_name + 'はそうつぶやくが、一体いつまで自分の精神が持つか、' + slave.short_name + 'にも自信がなくなってきていた……',
          ],
        ].sample
      else
        [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          '「香霖、香霖、助けてくれよ……」',
          '「なあ、そんなに' + slave.self_call + 'のことが嫌いなのか…… うぅ、いやだ、お前に見捨てられたなんて、考えたくもない……」',
          '部屋の隅で、宙の一点を見つめながら' + slave.short_name + 'はブツブツとつぶやいている',
          '心身の限界がすぐそこまで迫っていることは明らかだった。',
        ],
          [
            '「どうして、どうして' + slave.self_call + 'なんだよ……」',
            '「' + slave.self_call + 'が何したって言うんだよぉ……」',
            '魔物たちが去ったあとで、' + slave.short_name + 'は部屋の隅でブツブツとつぶやいている。どうやら限界が近いようだ……',
          ],
        ].sample
      end
    script
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '「ゴホッ、ゴホッ……　お前ら、' + slave.self_call + 'を好き勝手にしやがって……」',
        '「ああ、くそ……　ゴホッ、ゲホッ！　ガハッ、ゲホッ、グェッ……」',
        slave.short_name + 'はむせている。ただ気管に唾液が入ったわけではない。胃袋に入った精液が肺腑にまで入ったのだ。',
        'むせるたびに、嗅覚が精液の生臭い腐臭に満たされていく。',
        '「うぶッ……」',
        slave.short_name + 'はついに耐え切れず嘔吐したようだ。',
        '胃袋に嫌という程流し込まれた、ゲル状になった精液が吐瀉物に混じってボトボトと垂れ落ち、' + slave.short_name + 'の全身と床を汚していく。',
        '男たちや' + slave.short_name + '自身の精液や愛液、得体の知れない体液が混じり合った水たまりに、さらに' + slave.short_name + 'の汚らしい吐瀉物が加わっていく様子を、' + monster.name + 'たちはゲラゲラと嘲笑していく。',
        '『へへへっ、汚ねえなぁ！』',
        '『オラッ！　そいつを全部綺麗にしろよ！　もちろん舌で舐めとって飲み干すんだぁ！』',
        '嘔吐したことで、反抗する気力も失った' + slave.short_name + 'は' + monster.name + 'の言葉に素直に従う。',
        '両手をお椀のようにして汚液をすくい、口で啜りとっていく……',
        '最低の味覚。鼻と舌が腐り落ちるような生臭さと生理的嫌悪が' + slave.short_name + 'を襲う。',
        'やがて、胃袋にずっしりとした重量感を覚える。腹が汚液でいっぱいになったのだ。もはや啜ることもできない。だが全てを啜り取るまで' + monster.name + 'たちが' + slave.short_name + 'を許さないことは確実だろう。',
        '……つまり、もう終わりなのだ。また' + monster.name + 'たちは折檻の名目で、' + slave.short_name + 'をたっぷりといたぶるつもりなのだ。',
        '今までも何度も何度も徹底的に' + slave.short_name + 'は嬲られ尽くしてきた。それゆえにその行為の苛烈さは承知していた。',
        'そしていま、既に' + slave.short_name + 'の体力と精神は限界以上に消耗している。',
        'すでに限界まで細り切った意識の糸は今にも切れそうになっていた。これ以上自分が耐えられないことは明らかだ。',
        'いったい、どうしてこんなになってまで意地を張る必要があるのだろうか。' + slave.short_name + 'は、心の奥底に残った己の精神を支える最後の柱の一本が折れた音を聞いた気がした。',
        '「もう……　お前らの……　好きにしてくれ……」',
        'そう、一言ぼそりと言うと' + slave.short_name + 'は精液の水たまりの中へと頭から倒れこんだ……',
        '（' + slave.short_name + 'は奴隷宣言しました……）',
      ],
    ].sample
    script
  end
end
