# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# ドレミー
class Adventurer30Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「おやおやぁ？ こちらが一人なら勝てると思ったんですかぁ？」',
          '窮地にあるとも思えぬような人を食った態度のまま、' + adventurer.short_name + 'は武器を構えた。',
        ],
        [
          '「数の力で押すことしかできないとは、雑魚そのものじゃぁないですかぁ？」',
          '挑発しても大して状況は好転しないだろう。だがそうでもしなければ不安で押しつぶされそうになる。' + adventurer.short_name + 'は武器を構え直した。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、絶好の機会ですねぇ）',
          '（自信満々の、自分の強さを疑わない人を陥れる。本当にたまらないんですよぉ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪いようですねぇ） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあります。今はうかがうことにしましょう……）',
          ],
          [
            '（うーん、今は、運がこちらに来ていませんねぇ……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、真面目にやるとしますかぁ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「こんな雑魚なのに数ばかり…… あーもうしょうがないなぁ……」',
          adventurer.short_name + 'は気だるげにため息を吐くと、武器を構えた',
        ],
        [
          '「おやおやぁ。数ばかりそろえてきましたねぇ。皆さん油断しちゃだめですよぉ？」',
          adventurer.short_name + 'は仲間たちに呼びかける',
        ],
      ].sample
    end
  end
end
