# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 神子
class Adventurer43Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら勝てると思ったのか？ 実力の差を教えてやろう！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「たとえ孤立していても、お前たちに負けはしない！」',
          '武器を構え、' + adventurer.short_name + 'は敵を威圧するように吠えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（おやおや、背中が隙だらけじゃないか…… 絶好の機会、活かさない手はないな）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだ分が悪い、か……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            '（チャンスはいくらでもあるさ。今は好機をうかがうことにしよう……）',
          ],
          [
            '（どうやらまだ、好機ではないようだ） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（せいぜい、高みの見物といくとするか……）',
          ],
        ].sample
      end
    else
      [
        [
          '「すぐに倒してやろう。 ' + adventurer.self_call + 'に挑んだことが運の尽きだ」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「さあ、来たまえ！ 実力の差を教えてやろう！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
      ].sample
    end
  end

  # 実装予定
  def resist_status_script_in_jail(slave)
    super
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は男の腰を降参だというように何度もタップするが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '「へへっ、おらもっと広げろやっ！　もっとおまんこがよく見えるようになぁ！」',
            '魔物たちが' + slave.short_name + 'に向かって囃し立てるような声を投げつける。',
            '輪になった魔物たちの中心にいる' + slave.short_name + 'は、マントと靴以外の一切の衣服を身につけていなかった。いや、魔物たちによってすべて取り上げられたのだ。',
            slave.short_name + 'の誇りの象徴であったはずのマントはいまや陵辱の時に布団代わりに地面に敷かれるだけの存在になり果てている。',
            '魔物たちの精液や得体の知れない体液はもちろん、' +  slave.short_name + '自身の愛液やよだれ、あるいは失禁してしまったものが染み込み、悪臭を放ち始めている。',
            'それでもなお魔物たちが' + slave.short_name + 'にそれを着用させようとするのは、彼女自身の誇りを貶めるために他ならなかった……',
          ],
          [ # 耳責め
            '「' + slave.short_name + 'チャンよぉ、耳が弱いんだってぇ？」',
            slave.short_name + 'の尻穴を後ろから貫いている魔物の一人がニヤニヤと笑う。何か良からぬことを思いついたという顔だ。',
            '「じゃあこうするとどうなるんだろうなぁ？」',
            '背徳の穴を犯していた魔物は、' + slave.short_name + 'の首筋近くまで顔を伸ばす。首筋を吸われるのかと体を硬くした' + slave.short_name + 'の予想を超える行動に魔物は出た',
            slave.short_name + 'の耳穴の中に長い舌をねじ込み、耳を舌で嬲り始めたのだ。',
            '耳から響くグチャグチャという唾液の音や敏感な耳を舐めまわされる音で本来怜悧なはずの' + slave.short_name + '思考が急速にグチャグチャになっていく。',
            '「ひぃぃぃっ、やめっ、やめてっ！　こんなのっ、これっ、だめぇぇっ……」',
            '「ひひひっ、いいぜぇ、ギチギチに締め上げていい感じだぜェッ」',
            '「前の穴もうねってやがる。耳穴舐められて感じるとは、本物の変態だぜ、' + slave.short_name + 'ちゃんはよぉっ！」',
            'あざ笑う魔物たちに反論する気力もなく、' + slave.short_name + 'は肉穴を貫かれ、耳を舐めあげられる感触の中で倒錯的な快楽に溺れていった……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'ぐぢゅり、ぐぢゅっ、ぢゅちゅっ、ぶぢゅりっ',
            '湿った不快な音が' + slave.short_name + 'の耳元で響く。',
            '「おひっ、あああぁぁっ♡　奥っ、奥までぇぇ♡　もっと、もっとゴリゴリってぇ♡」',
            slave.short_name + 'の声には甘くトロけきった欲情の成分が飽和濃度まで含まれていた。',
            '「へへへっ、耳を弄られるだけでトリップしちまうとは、本物の変態だぜ、' + slave.short_name + 'チャンはよぉ」',
            '「締めつけもいい感じだぜ。いい感じに頭がブッ飛んでる間に、徹底的に後戻りできなくなるくらい、たっぷり調教してやるから覚悟しろよな。」',
            '「ああ。一生ちんぽなしではまともに生活できなくなるくらい徹底的に頭をブッ壊してやるぜぇ」',
            '快楽に溺れている' + slave.short_name + 'の全身を執拗に嬲りながら、魔物たちはゲラゲラと笑っていた。',
          ],
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '魔物たちが' + slave.short_name + 'に向かって囃し立てるような声を投げつける。',
            '輪になった魔物たちの中心にいる' + slave.short_name + 'は、マントと靴以外の一切の衣服を身につけていなかった。いや、魔物たちによってすべて取り上げられたのだ。',
            '「へへっ、おらもっと広げろやっ！　もっとおまんこがよく見えるようになぁ！」',
            slave.short_name + 'の誇りの象徴であったはずのマントはいまや陵辱の時に布団代わりに地面に敷かれるだけの存在になり果てている。',
            '魔物たちの精液や得体の知れない体液はもちろん、' +  slave.short_name + '自身の愛液やよだれ、あるいは失禁してしまったものが染み込み、ひどく淫らな臭いを放ち始めている。',
            slave.short_name + 'は輪の中心で、マントを広げ、己の裸身を見せつけるような姿をとる。大きく股を広げる、いわゆるガニ股の卑猥なポーズすらも見せつけている理由は、己を貶め、魔物たちの興奮を煽るためだ。',
            '淫らな香りが染み込んだマントを着用し続けたことで夜も眠れぬほどの発情を常時強いられた' + slave.short_name + 'にはもはや正常な判断力などほとんど残ってはいなかった……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '休みのない手加減なしの陵辱によって冒険者としてのプライドをすべて砕かれ、' + slave.short_name + 'の理性はドロドロに溶かされてしまった。',
        '激しい陵辱の末に、ついに' + slave.short_name + 'は冒険者としての気概をすべて失ってしまった……',
        '女とは男に犯されるための肉穴であり、精液を排泄されるための都合の良い性処理便器なのだ。そう悟った' + slave.short_name +
          'は、虚ろな目で性奴隷になることを宣言した。',
        monster.name + 'たちはそれを聞くとニヤニヤと笑いながら奴隷商人に引き渡した……',

        '「あはは……　もっと、もっと犯して……」',
        '「耳から、頭から、欲望まみれの声が離れないんだ……」',
        '「' + slave.self_call + 'を犯して、汚して、壊してやりたいというオスの声が……」',
        slave.short_name + 'は涙をこぼしながら、虚ろに笑った',
        '「応えるから、' + slave.self_call + 'のすべてで応えるから……」',
        '「' + slave.self_call + 'のすべての穴をおちんぽでズボズボして、せーえきびゅくびゅく出して……」',
        '「' + slave.self_call + 'を徹底的に堕として欲しいんだ。お願い、セックス以外の余計なことを、もう考えたくないんだ……」',
        '土下座し、頭を地面にこすりつけながら、' + slave.short_name + 'は哀願そのものの口調で言った。',
        '（' + slave.short_name + 'は奴隷宣言しました。）',
      ],
    ].sample
    script
  end
end
