# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# チルノ
class Adventurer46Script < TohoBaseScript
  # 省力型
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「たとえ一人でも、最強の' + adventurer.self_call + 'は負けはしない！」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '単独で迷宮をさまよう' + adventurer.short_name + 'の行く手をふさぐように魔物たちが現れた！',
          '「最強の' + adventurer.self_call + 'の邪魔をする相手には、オシオキが必要ね！」',
          'この危地を脱するには勝利するしかない。' +
          adventurer.short_name + 'は己に気合いを入れる。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '千載一遇の好機をつかんだ' + adventurer.short_name + 'は昏く嗤う',
          '（センザイイチグウの機会、というやつね！）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今日のところは、まだサイキョーって感じではないわね……） ',
            '洗脳されたことで仲間を陥れる機会を伺っていた' + adventurer.short_name + 'は冷静に彼我の戦力を見極める。',
            '成算の少ない賭けに興味がない' + adventurer.short_name + 'は今はおとなしくすることに決めたようだ。',
          ],
        ].sample
      end
    else
      [
        [
          '「よわっちい魔物なんて、最強の' + adventurer.self_call + 'の敵ではないわ！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「最強の' + adventurer.self_call + 'の実力を見せてあげるわ！ 痛い目に会いたくなければ今すぐ逃げなさい！」',
          adventurer.short_name + 'は威勢良く叫んだ',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「このっ、サイキョーの' + slave.self_call + 'に、こんな真似してタダで済むとは思わないことねっ！」',
            slave.short_name + 'は必死で強がるが、押さえつけられ犯されるがままになっている' + slave.short_name + 'を前に、手加減するものなどおりはしない',
            '「ヒャハハッ、いいぜぇ、威勢がいい方が長く楽しめる、せいぜい楽しませてくれよぉ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            slave.short_name + 'の地獄のような時間は夜まで続いた……',
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は男の腰を降参だというように何度もタップするが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            slave.short_name + 'は逃れるすべもなく、ただ魔物たちのされるがままに１日中輪姦され続けた……',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'はノロノロと身を起こす。',
            '「あいつらったら、サイテーね……」',
            slave.short_name + 'は低い声で、ぼそりと呟いた……',
            '秘所からどぷり、ごぷりと逆流する精液が地下牢の床に汚らしい精液の水たまりを作る。' +
              '精液の量が彼女に加えられた桁外れの陵辱の凄まじさを物語っていた。',
            slave.short_name + 'はノロノロと牢の隅を目指す。そこには地下水が溜まった水たまりがあった。汚くはないが清潔とも言えない。' +
              'だが彼女には他に選択肢がなかった。そこに、かつて己の衣服だったボロ布をひたし、肌をぬぐうことで身を清めていく。',
            '何度ふこうとも、ドロリとした精液の気色悪い感触は消えはしない…… 消えないそれはまるで、' +
              slave.short_name + '自身の心に刻まれた白い汚濁の刻印そのもののようだった。',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '「へへへっ、体が小さいから穴もギチギチでいい感じだぜっ！」',
            '「締まりが悪くならねえからなぁ、本当に最高の穴だぜ」',
            '好き勝手に言いながら' + slave.short_name + 'の肉体を魔物たちはなぶり、貫き、陵辱する。',
            '連日の陵辱は、確実に' + slave.short_name + 'の理性と抵抗を削り落としているようだ。',
            '「ほんとうに、サイテーよ……」',
            '涙声でつぶやく' + slave.short_name + 'の精神は、もはやかつての強靭さを失いつつある……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '小さな体で技巧たっぷりに奉仕する' + slave.short_name + 'の姿は魔物たちの中に背徳と嗜虐の欲望の炎をますます燃え立たせる。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end
end
