# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 響子
class Adventurer51Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「お寺のみんなのためにも、負けられない！」',
          'この危地を脱するには勝利するしかないのだ。' + adventurer.short_name + 'は己を叱咤するように吠えた。',
        ],
        [
          '「こっ、こんなときにっ！？」',
          '孤立したところを襲われた' + adventurer.short_name + 'は慌てて武器を構えた。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ダメですよ、味方だからって' + adventurer.self_call + 'を信用しちゃあ……）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（うーん、今日はまだ、好機ではありませんねえ……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（こんな魔物たち相手なら、' + adventurer.self_call + 'なしでも倒せちゃいますよね） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（ふふっ、そのときが楽しみ……）',
          ],
        ].sample
      end
    else
      [
        [
          '「こんなに敵！ ' + adventurer.self_call + '、負けませんから！」',
          adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「' + adventurer.self_call + '、頑張りまーす！！！」',
          '鼓膜をビリビリと震わせる大音声に、敵も味方も' + adventurer.short_name + 'を一瞬あっけにとられた顔で見つめた',
        ],
      ].sample
    end
  end
end
