# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# こいし
class Adventurer54Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「一人相手なら勝てると思ったんだ？ ' + adventurer.short_name + 'は、この数では負けないと思うよ？」',
          '孤立したところを襲われた' + adventurer.short_name + 'は感情の読み取れぬ態度で武器を構える。',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふーん、味方だからって' + adventurer.self_call + 'を信用しちゃったんだ……）',
          '（とりあえず、こう言えばいいのかな？ 注意一秒、後悔一生って……）',
          '洗脳済みの' + adventurer.short_name + 'の、鋭すぎる眼光は、女冒険者である「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（うーん、今日はまだ、機会ではないかな……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
            'チャンスはいくらでもあると、' + adventurer.short_name + 'は機会をうかがうことにした……',
          ],
          [
            '（この数なら、楽勝だね…… それなら、' + adventurer.self_call + 'も、真面目にやったほうがいいかな） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
          ],
        ].sample
      end
    else
      [
        [
          '「いっぱいいるね。 これだけ敵がいると' + adventurer.self_call + 'も、やる気が出てくるよ！」',
          'どこまで本気か分からぬ態度のまま、' + adventurer.short_name + 'は敵に対して武器を構える。',
        ],
        [
          '「' + adventurer.self_call + 'と戦う気？ うーん、止めたほうがいいんじゃない？」',
          'なんの抑揚もない' + adventurer.short_name + 'の態度を、挑発と受け取った味方の戦意があがっていく！',
        ],
      ].sample
    end
  end
end
