# coding: utf-8

require_rrk 'src/defines/script/dungeon/adventurers/toho_base_script'

# 幽香
class Adventurer76Script < TohoBaseScript
  def battle_prelude_script(adventurer, is_only, brain_washing_active_member_is_majority)
    if is_only # 戦闘可能かつ洗脳されていないという前提
      script = [
        [
          '「こちらが一人なら、勝てると思ったのかしら！？」',
          adventurer.short_name + 'は静かにつぶやいた。表情は笑っているように見えるが、目は全く笑ってはいない。',
          '魔物たちは背筋に冷や汗が流れる感覚を覚えた',
        ],
        [
          '「楽に殺してあげるわ、さあ来なさい！」',
          '危地にもかかわらず' + adventurer.short_name + 'はほとんど動揺を見せてはいない',
        ],
      ].sample
      return script
    end

    if adventurer.in_brain_washing?
      if brain_washing_active_member_is_majority
        [
          '（ふふっ、隙だらけじゃない…… 絶好の機会だわ）',
          '洗脳済みの' + adventurer.short_name + 'の後ろ暗い炎が燃える瞳は、「仲間」の背中に注がれている',
        ]
      else
        [
          [
            '（今は、そういう時ではないし、待つことにしましょうか……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今はおとなしくすることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成果は出せないだろう。',
          ],
          [
            '（今日のところは、まだ動くべき時ではないわね……） ',
            '洗脳された' + adventurer.short_name + 'は冷静に彼我の戦力を伺い、今は仲間のふりを続けることに決めたようだ。',
            '今はまだ味方の冒険者は健在であり、ここで下手に動いても成算は少ない。',
            '（今日はまだ、様子見ね……）',
          ],
        ].sample
      end
    else
      [
        [
          '「レーザーの威力、試してみない？　その力を教えてあげるわ！」',
          adventurer.short_name + 'は油断なく構えた',
        ],
        [
          '「すぐに片付けてあげるから、早く来なさい」',
          adventurer.short_name + 'は吠えると武器を構えた。',
        ],
        [
          '「……面倒ねえ」',
          adventurer.short_name + 'は心底物憂げに呟いた',
        ],
      ].sample
    end
  end

  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
          '「ああもううっとおしい！ ' + slave.self_call + 'を怒らせたっていいことないわよ！」',
          slave.short_name + '自身はあまり誇りはしないが、最強クラスの妖怪にふさわしく本人は恐ろしいほどの怪力を持っている。',
          'ただの手刀によって、魔物の骨が折れ、肉が裂ける。魔物が血の混じったよだれを垂らしながら退いていく。' +
            'だが媚肉に群がる魔物たちが次々と現れていく。休みのない責めが' + slave.short_name + 'の体力を少しずつ削り取っていった。',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '「……キリがなくてうっとおしいわ」',
          slave.short_name + 'は物憂げに呟いた。本来であれば最強クラスの妖怪である' + slave.short_name + 'にとって、この程度の相手は問題にもならない。',
          'だが花の妖怪であるがゆえに、太陽光の射さぬこの迷宮においては、彼女の力も時間とともに衰えていく……',
          'だが今は問題にはならないだろう。そう、今はまだ……',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。' +
            '今日も凌ぎきることができた、それが正直な感想だった。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。' +
            '一方で魔物たちは仲間を呼び、数を増やしつつある。' +
            '「……ああ、まったく……」',
          '「コケしかない迷宮なんて嫌いよ……」',
          'こんなところで負けるものか。' + slave.short_name + 'は己を叱咤する。大妖怪' + slave.name + 'は、こんなところで負けはしないのだ。',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '「大丈夫、大丈夫よ…… いつか、いつか助けは来るもの……」',
          slave.short_name + 'の言葉は、半ば以上は己に言い聞かせるものだった……',
        ],
      ].sample
    else
      [
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「くぅぅっ、このっ、離れなさいっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻き吹き飛ばされる。ベキベキというあばらが砕け内臓に突き刺さったことが感触でわかった。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name +
            'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',
          ],
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「おらっ、しっかり飲めやっ！」',
            'だが' + slave.short_name + 'は顔を男のものから話すと、口から吐き出す。思ったよりも多くのドロドロとした白濁液と唾液が混じり合ったものが地下牢の床へと吐き出された。',
            '「ふんっ、こんなものを誰が飲み込んで……」',
            'その言葉は途中で乱暴に遮られた。',
            '「オラッ、何吐き出してんだ！　一滴残らず舌で舐めとるまで許さねえからなっ！」',
            '男の足が' + slave.short_name + 'の背中を蹴り、頭を踏みつけることで起き上がることを許さない。',
            '抵抗すれば魔物たちは徹底的な罰を与えた。抵抗はさらなる痛みを生み出すだけだ。ここはおとなしく従っておいた方が利口だ。',
            'そう' + slave.short_name + 'に思わせることで隷属を精神に刻み込むことが、男たちの目的なのだ……',
          ],
          [
            '「へへっ、今までの生意気な態度が嘘のようだなあ、' + slave.short_name + 'チャンよぉ」',
            '魔物の一体が嘲るように笑う。',
            '「女ってやつは、男にブチ犯されて孕むための肉袋なんだからよぉ、身の程ってやつをたっぷり叩き込んでやるから覚悟しておけよぉ」',
            slave.short_name + 'は返事をしない。いやすることができないのだ。秘穴はもちろん尻穴も口すらも肉棒で塞がれている、という事実は確かにある。',
            'だがぐるりと上を向いた' + slave.short_name + 'の瞳には意志の光がほとんど残っていない。その理由は首筋にある注射痕にあった。',
            slave.short_name + 'は危険なほど激しくガクガクと痙攣する。それはまるでたちの悪い疫病の高熱に浮かされる者のようだ。',
            '超強力な媚薬を、致死量ギリギリまで使われた' + slave.short_name + 'にはもはやまともな判断能力や思考能力は残っていない。ただ流し込まれる快楽に反応するだけの肉穴と化していた。',
            '「へへっ、淫乱な' + slave.short_name + 'ちゃんはまたイッたのかよ。本当にこらえ性のないマゾ豚だな」',
            '「こんな桁違いの快楽を知ったらもう二度ともとには戻れないからなぁ。イクたびに人生が台無しにされていく気分はどうだぁ、' + slave.short_name + 'チャンよぉ」',
            '女の心身に深刻な後遺症をもたらす行為を容赦なく続けながら、魔物たちは' + slave.short_name + 'を躾け、奴隷としての幸福を叩き込んでいく……',
          ],
          [
            '「ああっ、うああぁぁぁっ！　こっ、こんなの卑怯よぉ……」',
            slave.short_name + 'は肉壺をほじられる感覚に達してしまい、悔しげに相手を睨む',
            '「へへへっ、媚薬を使われたくらいで憎い相手とのセックスでイクとは、大した淫乱女だぜ」',
            '「口答えしたから罰ゲームだ。媚薬を追加だなぁ」',
            'ブスリと、押さえつけられた' + slave.short_name + 'の腕に注射針が打ち込まれる。',
            '魔物たちは' + slave.short_name + 'が悔しそうに絶頂するたびに嘲るように笑っていた……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            '「んぐぅぅっ、おごっ、うぐぶぅぅっ」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに呻くが、必死に鼻で呼吸を行い、なんとか酸素を確保している。',
            '男がブルブルと震える。限界が近いようだ。',
            'どぴゅっ、ぐびゅるっ、ぶぴゅるるるるっ',
            '欲望の塊である大量の精液が' + slave.short_name + 'の口腔内にたっぷりと吐き出されていく。',
            slave.short_name + 'は魔物が頭を放さないことを見て取ると、おとなしく濃厚な精液をゴクリゴキュリと喉を鳴らして飲み干していく。',
            '大量の精液を、呼吸を奪われずにいなすための最善の方策はできるだけ味合わずに飲み干すことだと' + slave.short_name + 'は考えたようだ。',
            '「ふいー、出した、出したぁ……　なかなかいい口まんこ穴だったぜぇ」',
            '魔物は満足げに呟くと、野太い肉槍を' + slave.short_name + 'の口から引き抜き、おまけとばかりに肉槍に残ったどろりとした精液を' + slave.short_name + 'の顔になすりつけた。',
            slave.short_name + 'の美しかったはずの顔は、精液や先走り液、よだれでドロドロに汚されてひどい有様だ。',
            'だが' + slave.short_name + 'は半ば放心したようなぼんやりとした顔でされるがままになっていた……',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '「うああああぁぁぁァッ、無理ッ！　こんなの無理よおぉぉっ！」',
            '男たちにいわゆる駅弁スタイルの形で抱え上げられながら前後の穴を貫かれた' + slave.short_name + 'は、狂ったように叫ぶ。',
            '「お尻っ、お尻の中でギュルギュルいってっ、壊れるっ！　' + slave.self_call + 'のお尻が壊れるぅぅぅうぅぅッ！」',
            slave.short_name + 'が叫ぶのも当然だろう。' + slave.short_name + 'の直腸には大量の媚薬入り浣腸液が注入されていた。',
            '浣腸液と内容物たちは' + slave.short_name + 'の直腸の中で荒れ狂い、堪え難い苦痛を生み出して' + slave.short_name + 'の頭脳と精神を責めさいなむ',
            '直腸を肉槍が掻き回し、前の穴から薄壁越しに肉凶器が刺激を与えるたびに内臓の全てを掻き回されるかのような筆舌に尽くし難い苦痛と狂おしいほどの快楽が' + 
            slave.short_name + 'を直撃するのだ。',
            '「へへへっ、ケツ穴が今までにないほど締めつけてきて、うねってやがる。」',
            '「前の穴もいい感じだぜェ。揺すってやるたびにちんぽが一番奥まで届くと、ガクガク震えて最高だぁ」',
            '歯を食いしばり必死に意識を保とうとする' + slave.short_name + 'の肉穴で魔物たちは大いに楽しんだ。',
            '最後に男たちが肉棒を抜いた後、肉栓を失った尻穴は噴水のように内容物を吹き出し、その感覚に' + slave.short_name + 'は何度も何度も絶頂を重ねることになった……。',
          ],
          [
            '「へへっ揉み応えのある胸だぜぇぇ」',
            '好色そうな顔の魔物が' + slave.short_name + 'の豊かな双峰をもみしだくが、' + slave.short_name + 'は抵抗のそぶりを見せない。',
            '両腕を後ろで拘束されているというのも確かにあるが、先ほどから漏れる鼻にかかった吐息は、彼女が明らかに快楽を感じていることを示している。',
            '「へへっ、胸だけで感じちまってるのかよぉ。いいんだぜぇ、気持ちいいなら素直になっちまってもよぉ」',
            '誰がお前の言うことなど、そう' + slave.short_name + 'は内心思うが、切なそうに擦り合わされる太ももを見れば、彼女の決意が揺らぐのも時間の問題に思えた……',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            '「おらっ、舌を出してちんぽの先を舐め上げるんだよっ！」',
            slave.short_name + 'は言われるがままに舌を出し、男の肉棒を舐め、甘い刺激を与えていく。もはやいちいち逆らう気概は残ってはいなかった。',
            '「胸にばかり栄養がいっているのかぁ？　物覚えの悪いメス豚だぜ」',
            '「へへっ、まあいいさ。物覚えが悪いってんなら、徹底的に躾けてやればいい。一人前の肉奴隷になれるんだから、お前もせいぜい俺たちに感謝するんだな」',
            '好き勝手に言う魔物たちの言葉に、ズキズキと' + slave.short_name + 'の傷付けられたプライドが痛んだ……',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '「おおぉぉぉぉっ、おおっ、射精すぞ、射精すぞぉっ！」',
            'ブルブルと震えながら魔物は肉棒の先から白い欲望の滾りを' + slave.short_name + 'の口内に吐き出していく。',
            slave.short_name + 'はそれに従順に、喉を鳴らしながら濃厚の精液を飲み干していく。',
            'それどころか手で玉袋をやわやわと刺激し、口で先端に吸い付きながら射精を促している……',
            '「へへっ、朝からたっぷりとイキ狂わせてやったからなぁ。すっかりトリップしてやがる。」',
            '「もう' + slave.short_name + 'チャンは、すっかりちんぽの虜って顔してるぜ」',
            '冷たい美貌を誇った' + slave.short_name + 'を快楽に溺れさせてやった征服感に、魔物たちはゲラゲラと笑う。',
            'その声を聞こえていないのか、あるいは言葉を理解する思考能力が麻痺しているのか、' + slave.short_name + 'は何の反応も示さずえげつない輪姦がもたらす気が狂うほどの快楽に溺れていた……',
          ],
        ].sample
      else
        [
          [
            '「へへへっ、パイズリもうまくなったじゃねえか！　無駄にデカい胸しているんだからちゃんと使わねえとなぁ！」',
            slave.short_name + 'は胸の上に乗った魔物に命じられるがままに熱心にパイズリ奉仕を続けている。',
            '「……はい、ありがとうございます……」',
            'もちろん使われている場所は胸だけではない。',
            '「オラッ、まんこ穴もしっかり締めつけろやっ！　セックスしか取り柄がない淫乱メス豚がっ！」',
            'バチィッ、と横尻を思い切り叩かれる。すでに' + slave.short_name + 'の尻は真っ赤に腫れ上がっていた。',
            slave.short_name + 'のことを魔物たちは都合の良い肉穴としかみてはおらず何の気遣いもない。だがもはや' + slave.short_name + 'には逆らう気力は残っておらず、精神が砕けるのも時間の問題だった……',
          ],
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「おおぉぉぉぉっ、おおっ、射精すぞ、射精すぞぉっ！」',
            'ブルブルと震えながら魔物は肉棒の先から白い欲望の滾りを' + slave.short_name + 'の口内に吐き出していく。',
            slave.short_name + 'はそれに従順に、喉を鳴らしながら濃厚の精液を飲み干していく。',
            'それどころか手で玉袋をやわやわと刺激し、口で先端に吸い付きながら射精を促している……',
            '「へへっ、いいぜぇ。もうすっかり肉奴隷としての仕草が板についてきたじゃねえか。」',
            '「もう' + slave.short_name + 'チャンは、すっかりちんぽの虜って顔してるぜ。俺たちが躾けてやったおかげだな」',
            '美貌の大妖怪' + slave.short_name + 'を快楽に溺れさせてやった征服感に、魔物たちはゲラゲラと笑う。',
            slave.short_name + 'は魔物たちの嘲る声に、媚びた笑顔でにへらと笑った。',
            '精液まみれで知性が壊れかけているその顔には、後戻りできぬ程の快楽を数え切れぬほど味あわされた女の顔があった。かつての凛々しい面影はもはや、かけらも残ってはいない。',
          ],
        ].sample
      end
    script
  end

  def down_to_slave_script(slave, monster_party)
    monster = monster_party.monster
    script = [
      [
        '「痛いことをしてもいいから、ひどいことをしてもいいから」',
        '「おまんこでも、ケツ穴でもお口でも、胸や手でもいいから」',
        '「だから、もっと気持ちいいことを、してほしいの」',
        slave.short_name + 'は浅ましく男たちに自分を嬲り弄ぶことを懇願している。',
        '「おまんこをゴリゴリ抉って！　子宮に精液をドピュドピュ中に出して！　気絶するまでケツ穴をほじり倒して欲しいの！」',
        slave.short_name + 'は、手を休めニヤニヤと' + slave.short_name + 'を囲み笑うだけの' + monster.name + 'たちの一人の足元にすがりつき、必死に陵辱をねだる。',
        '「お願い、もっとセックスして！　気絶しても手加減なしで、グチャグチャになるまで犯して、' + slave.self_call + 'を使い潰して！」',
        '己を辱める相手に対してより自分を貶めるよう懇願する' + slave.short_name + 'の様子には鬼気迫る何かがあった。',
        '「もっと気持ちよくなりたいの！　だって' + slave.self_call + 'にはもうそれしか残っていないんだから！」',
        monster.name + 'たちは自分たちの陵辱調教が、' + slave.short_name + 'の精神を徹底的に砕いたことを確信したようだ……。',
        '（' + slave.short_name + 'は奴隷宣言しました）',
        monster.name + 'たちは' + slave.short_name + 'を奴隷商人たちに引き渡した……',
      ],
    ].sample
    script
  end
end
