# coding: utf-8
require_rrk 'src/defines/script/dungeon/adventurers/base_script'

class TohoBaseScript < BaseScript
  def resist_status_script_in_jail(slave)
    if slave.resist_rate >= 80
      [
        [
          slave.short_name + 'は襲いかかる魔物たちをあしらい続けている。',
          '素手とはいえ、' + _adventurer_type + 'である' + slave.short_name + 'にとっては造作もないことなのだろう。',
          'その媚肉が目当ての魔物たちも、殺さぬよう手加減していることも大きいようだ。',
        ],
        [
          '部屋の中には、多数の魔物たちが美女を目当てにぐるりと囲んでいる',
          '（相手にもならないとはいえ）',
          slave.short_name + 'は犯そうと襲い掛かる魔物たちをあしらい続けている',
          '（数が多く、しつこいのよっ！）',
          'だが数が多く、全てを倒してこの地下牢から逃れることは難しいだろう。いまできることは、ここで抵抗し破滅を先延ばしにしながら、チャンスを待ち続けることだけだ。',
        ],
        [
          '素手とはいえ、鍛え上げられた冒険者である' + slave.short_name + 'は魔物たちをさばき続けている。',
          slave.short_name + 'は魔物たちを次々に投げとばし、叩きのめして入るが、息が上がり始めているようだ……',
          '休みを与えぬ魔物たちの波状攻撃は、ゆっくりと' + slave.short_name + 'の体力を削り取っていった……',
        ],
      ].sample
    elsif slave.resist_rate >= 60
      [
        [
          '（いい加減っ、しつこいっ！）',
          '連日休みなく繰り返される怪物たちの攻めを' + slave.short_name + 'はあしらい続けている。',
          'だが休みもなく抗いつづける' + slave.short_name + 'の疲労はたまり続けるばかりだが、魔物たちには交代し、休む余裕もある。',
          slave.short_name + 'の行き着く先が見え始めているのは明らかだった。',
        ],
        [
          '女をぐるりと取り巻く魔物たちは、ゆっくりといたぶるように' + slave.short_name + 'へと襲いかかる。',
          '数匹で同時に襲いかかる戦術を取れないように、' + slave.short_name + 'が障害物を利用しながら慎重に位置を選んでいる、ということも確かにある。',
          'だが魔物たちは知っているのだ。不覚をとらないように常に頭をフル回転させ、位置を選ぶ戦い方をすれば、ジリジリと女は消耗していく。',
          '並の女ならすでに限界が見えている頃だ。' + slave.short_name + 'がいまだしのぎ続けているのは、彼女自身の優れた能力による者だろう。' +
          'だが、このままではいずれ破滅が訪れるであろうことは、' + slave.short_name + 'も薄々気づき始めていた……',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。今なら、まだ負けはしない。',
          'だが先行きを考えれば、楽観はできなかった。',
        ],
      ].sample
    elsif slave.resist_rate >= 40
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '冷たく、硬い石の床に横たわっても疲れはほとんど取れはしない。',
          'だがそれでも' + slave.short_name + 'は休めなければいけない。助けがくる、あるいは逃げ出す' + 
          'チャンスが巡ってくるまでは体力を一欠片でも温存しておかねばならなかった。',
          '夜、体を休めるのは魔物たちも同じだ。',
          'だが彼らはボロ布やわらでできた思い思いのねぐらで休んでいる。外から襲われる可能性もないねぐらで休む魔物たちは、翌朝には十分に英気を養い、体力を回復させることができる。' + 
          slave.short_name + 'とは大違いだった。',
          '……時間の経過が、' + slave.short_name + 'の不利になることは明らかだった。',
        ],
        [
          '魔物たちをあしらい続ける' + slave.short_name + 'の動きにも、かつてのキレは見えない。',
          'ここ数日で溜まりに溜まった疲労が、' + slave.short_name + 'の肉体を蝕んでいた……。',
          'キレが落ちたとはいえ、' + slave.short_name + 'は未だ魔物たちに屈することはない。' + 
          'だが限界が迫りつつあるのは、' + slave.short_name + '自身も理解していた……',
        ],
        [
          'リーダー格の魔物が一声大きく鳴くと、他の魔物たちも返事をするように声を上げる。',
          'じろじろと、名残惜しげに' + slave.short_name + 'に視線を投げかけながら魔物たちは大きな地下牢からぞろぞろと去り始める。' +
            'ガチャリと錠を下ろした扉の向こうに見張りを残すと、魔物たちはねぐらへと引き上げて行った。',
          'すでに手足は鉛のように重く、息も荒れている。この地下牢の中には柔らかい寝床などどこにもない。硬い床に横たわっても疲労はほとんど抜けず、' +
            '弱っていくばかりだ。それでも' + slave.short_name + 'は一分でも長く眠りを得るために、安全な場所を探して眠りについた。',
          '破滅の足音が、すぐそこまで迫っていることは明らかだった……。',
        ],
      ].sample
    elsif slave.resist_rate >= 20
      [
        [
          '夜も更けた頃、どうやら魔物たちは今日は諦めたようだ。',
          slave.short_name + 'は体力を回復させるべく、床に身を横たえている。',
          '（助けは、本当に来ないの……）',
          '弱音が、心の奥から湧き上がってくる。',
          slave.short_name + 'の心身は、限界に近付きつつあった。',
        ],
        [
          'まだ、魔物たちに' + slave.short_name + 'は遅れをとることはない。',
          'だが' + slave.short_name + 'の体は体力を失い、満足な食事も取れず、弱っていくばかりだ。',
          'すでに手足には鉛のような重さを覚えている。自分が切れ味を失いつつあるのは明らかだ。',
          '一方で魔物たちは仲間を呼び、数を増やしつつある。',
          '今なら、まだ負けはしないだろう。だが限界は、すぐ目の前にまで迫りつつあった。',
        ],
        [
          '重い疲労を全身に感じながら、' + slave.short_name + 'は魔物たちを睨みつける。',
          'まだ、こんなところで負けるわけにはいかなかった。',
          slave.short_name + 'は己を叱咤する。自分で自分を励まさねば、折れてしまいそうだった。',
        ],
      ].sample
    else
      [
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '限界を超えた肺腑からはときおりカヒューカヒューと、甲高い笛のような音が漏れる。',
          'すでに' + slave.short_name + 'の肉体が限界を超えていることは明らかだった。',
          '好機と見て迂闊に近づいていきた魔物が、' + slave.short_name + 'の渾身の一撃を喰らって顎を割られて昏倒する。' +
            'もはや精神力だけで戦う' + slave.short_name + 'は、最後の体力を振り絞るように戦う。',
          '手下たちを前に出しながら、リーダー格の魔物は側近たちと' + slave.short_name + 'に狡猾な視線を投げかけている。いずれ' +
            slave.short_name + 'は折れるだろう。いまはただ' + slave.short_name + 'が潰れるのを待てばいいのだ……',
        ],
        [
          '魔物の一匹がついに' + slave.short_name + 'を押し倒した。',
          'ブチブチと服が乱暴に破られる。押しのけようとした右腕が、別の魔物に押さえつけられる。',
          '「くぅぅっ、このぉぉっ！」',
          '押し倒された' + slave.short_name + 'は、必死の力で、魔物の腹を蹴り上げる。うまくみぞおちに入ったことで、魔物は苦しそうに呻きとびのいた。',
          '腕を押さえていた魔物も顔に手刀を入れ、その隙に' + slave.short_name + 
          'は離れることができた。',
          'かろうじて危地を脱することはできたが、崖っぷちにまで自分が追い込まれたのだ。',
          '押し倒され、おしのけることもできず犯されるのは遠い未来ではない。今日か、それとも明日か。',
          slave.short_name + 'の背筋に恐ろしい予感が走り抜けた。',
        ],
        [
          'ぜぇぜぇと' + slave.short_name + 'は荒い息を吐く。',
          '魔力を封じられてさえいなければ、武器さえあれば、仲間さえいれば、体力さえあれば。',
          'こんな雑魚たちなど束になっても相手になるはずがなかった。それが、こんなやつらに追い詰められている。',
          slave.short_name + 'は忌々しく思う。',
          '次の魔物が襲いかかろうとするのをみて、' + slave.short_name + 'は構えをとる。こんなところで、こんなところでこんな奴らに犯されるわけにはいかなかった。',
        ],
        [
          '魔物たちが去ったあとの地下牢で、' + slave.short_name + 'は力なくぐったりと倒れ伏している。',
          'もう指一本も動かす体力も残ってはいない。今日犯されずに済んだことが奇跡のようだ。' +
            'だが悪運もこれまでだろう。今日、ここを抜け出せねば明日には魔物たちに犯されることは間違いない。',
          '今日中に逃げ出さねばならない。そう決意を固めようとするが、まぶたが重くなり、疲労によって意識が暗い泥の中に飲み込まれていく……',
          '……' + slave.short_name + 'はツキからも見放されたようだ……',
        ],
      ].sample
    end
  end

  def status_script_in_jail(slave)
    script =
      if slave.san_rate > 100
        [
          [
            '「ヒヒッ、いままで散々痛めつけられてくれた礼をしないといけねぇよなぁぁぁ！」',
            slave.short_name + 'を後ろから貫く魔物が嗜虐的な声で嗤う',
            '勢いよく叩きつけられる暴力的なストロークの前に、四肢をしっかり押さえつけられた' + slave.short_name + 'は逃げることもできず、' +
              '情けない悲鳴を漏らすまいと必死に唇を閉じている。',
            'だがその仕草が、さらに魔物の嗜虐心に火をつけたようだ。',
            '魔物たちは、' + slave.short_name + 'の尻を勢いよく張る小気味良い音を響かせながら、ドスドスと' + slave.short_name +
              'の秘められたるべき肉穴を抉りたてる。' +
              '快楽を伴う子作りの行為というにはあまりにもえげつない、女を躾け暴力で屈服させるための肉のリンチとでもいうべき行為だった。',
            '「おひぃぃぃっ、おげっ、あぎゃぁっ！ ぎひぃぃ、がぁっ、ひぎぃぃぃぃっ！」',
            '耐えきれずに無様な悲鳴を漏らす' + slave.short_name + 'の姿は、魔物たちの嗜虐欲をさらに煽り立てる。凄惨な陵辱劇はまだ始まったばかりだ。',
          ],
          [
            '「うあぁぁぁっ、ぐぅぅぅ…… あぎぃぃぃっ、ひぃぃっ、ああぁぁぁぁ……」',
            '魔物たちは' + slave.short_name + 'の媚肉に群がる。秘穴はもちろん直腸にも剛直が押入り、二方向からオスの力強さとマゾ快楽を女の肉体に叩き込んでいる。' +
              'もちろん使われているのは両穴だけではない。胸も手も魔物たちの肉棒をもてなすオナホとして使われている。' +
              'あぶれたものは' + slave.short_name + 'の肌や髪に肉棒を擦り付け好き勝手に快楽を味わう。',
            slave.short_name + 'の全身はぶちまけられた精液や先走り液でドロドロに汚されていった。',
            '「こっ、このぉぉぉ…… 調子に、あがぁッ…… 調子にのるなぁぁぁ！」',
            slave.short_name + 'はせめて精神は屈しまいと魔物たちに憎しみの言葉を吐き出す。',
            '「ゲヒャヒャッ、なぁにが調子にのるなだよ。押さえつけられたままたっぷりブチ犯されるだけの肉便器がよぉ」',
            'もちろん魔物たちがそれに動じるはずもない。いまや' + slave.short_name + 'は四肢を押さえつけられ、無様に犯されるだけの肉穴なのだ。',
            '「調子に乗っているのはお前のほうだろぉ？ 今まで痛めつけてくれた分の利子もつけて、肉奴隷の立場ってものをたぁっぷり教えてやるぜェ」',
            '今までの借りを返すかのように、男たちは' + slave.short_name + 'を執拗にいたぶっている……',            
          ],
          [
            '「おごっ、んぐぶぅぅぅぅぅ！？」',
            slave.short_name + 'の頭をがっちりとホールドした男が、' + slave.short_name + 'の喉奥まで肉棒でしっかりと味わう。',
            '呼吸口を塞がれた' + slave.short_name + 'は苦しげに身をよじらせるが、男はもちろん気にするはずもない。',
            '肉穴も尻穴も口も、それぞれ男たちが己の欲望を吐き出すために塞がれている。',
            slave.short_name + 'はわずかな休みもなくたっぷりと嬲られている。',
          ],
          [
            '夜が更け、媚肉を嬲る背徳の宴は本日の分を終えた。魔物たちも一旦引き上げたようだ。',
            slave.short_name + 'にはたらい一杯分の水が与えられる。白濁液と魔物のドロドロとした得体の知れない体液まみれの肉体を、これでどうにかしろということらしい。',
            '「どうして' + adventurer.self_call + '、こんなに汚されて……」',
            '全身を拭うタオル代わりのボロ切れを絞ると、タライには白くドロドロとした汚らしい液体が広がっていく。もちろん水はそれしかない。' +
            slave.short_name + 'は全身をその汚らしい水で清めるしかないのだ。',
            '「いったい' + adventurer.self_call + 'がどんな悪い事をしたというの……」',
            '静かに言葉を漏らす' + slave.short_name + 'の頬を涙が伝う。その問いに答える者などいない。',
            '女に飢えた魔物たちに敗北した、強いて言えばそれこそが罪なのだ……',
          ],
        ].sample
      elsif slave.san_rate > 50
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく',
            '「へへっ、一滴もこぼすんじゃねぇぞぉ。少しでもこぼしたら舌で舐め取らせてやるからなぁ」',
            '言われずとも' + slave.short_name + 'は、飲み込むつもりだった。魔物の精液の量は、飲み込まずにおけばたちまちに窒息しそうになる。' +
              'かといって吐き出せば、魔物たちは言葉通り舌で床中の汚濁液を舐め取らせるまで許さないだろう。',
            '頭を足で踏まれ、全身を鞭や掌で叩かれながら地面に垂れた精液を舐め取らされる屈辱の経験は、' + slave.short_name +
              'の精神の奥底に消えぬ恐怖を刻んでしまっていた。',
            'もう二度とあんな屈辱は味わいたくない。そのためなら目の前にある、飲精の屈辱など小さなものだ。',
            slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
          ],
          [
            'ようやく今日の肉の宴は終わりを迎えたようだ。魔物たちはぞろぞろと引き上げていくが、地下牢の冷たい地面にボロ雑巾同然の状態で' +
              '横たわっている' + slave.short_name + 'を気遣うものなど誰もいない。',
            slave.short_name + 'の秘所からはドロリとした子種汁が尽きることなく溢れてくる。もちろん尻穴も同様だ。',
            'だが消耗しきった心身はもはやそのようなことなど「どうでもいい」と思い始めていた。消耗による己の惨めさの受容。それこそが' +
              '陵辱屈服調教の狙いなのだ。そんなことは' + slave.short_name + 'にも分かっている。だが今は休息が欲しかった。',
            '生暖かい白濁液が逆流してくる気色悪い感覚を味わいながら、' + slave.short_name + 'はぐったりと地下牢の床に倒れ伏している。' +
              '得体の知れぬ体液が混じり合い、テラテラと輝く' + slave.short_name + 'の白い肌を地下牢の薄明かりが照らしていた……',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'はノロノロと身を起こす。',
            '「うぅぅ…… ようやく終わったの……」',
            '答えるものはいない。秘所からどぷり、ごぷりと逆流する精液が地下牢の床に汚らしい精液の水たまりを作る。' +
              '精液の量が彼女に加えられた桁外れの陵辱の凄まじさを物語っていた。',
            slave.short_name + 'はノロノロと牢の隅を目指す。そこには地下水が溜まった水たまりがあった。汚くはないが清潔とも言えない。' +
              'だが彼女には他に選択肢がなかった。そこに、かつて己の衣服だったボロ布をひたし、肌をぬぐうことで身を清めていく。',
            '何度ふこうとも、ドロリとした精液の気色悪い感触は消えはしない…… 消えないそれはまるで、' +
              slave.short_name + '自身の心に刻まれた白い汚濁の刻印そのもののようだった。',
          ],
          [
            '「うぅぅ、こんなひどい行為が、明日も続くの……」',
            '連日の陵辱は、確実に' + slave.short_name + 'の理性と抵抗を削り落としているようだ。',
            '「女のことを、なんだと思っているのよ……」',
          ],
        ].sample
      elsif slave.san_rate > 25
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            'このあと魔物が何を要求してくるかなど、言われずとも分かっている。飲み込め、とそう言うのだ。命令を待たずに' +
              slave.short_name + 'は喉を鳴らして、魔物の精液をごくごくと飲み干していった……',
            slave.short_name + 'の精神は、すでに魔物たちに屈服しつつある。それを本人が理解していないのは、果たして幸福なことなのだろうか……',
          ],
          [
            '「うっ、いやぁっ、いやぁぁぁ…… せめて、せめて少しだけぇぇ……」',
            slave.short_name + 'は男たちに懇願する。そこにはかつて存在した矜持などひとかけらも残ってはいない。',
            '「おっ、お願いします……　すこしだけっ、５分でいいから、休ませてっ！ いやっ、いやぁぁぁぁぁぁ！」',
            '朝からか。いや前の日からかもしれない。' + slave.short_name + 'にはわずかばかりの休みも与えられることなく男たちに犯され続けていた。',
            '精神や肉体が悲鳴を上げ、容赦なくすり減っていく。だが男たちは交代してながら犯すことで体力をたっぷりと回復させ、有り余る獣欲をたっぷりと' + slave.short_name + 'にぶつけていた。',
            '「いやだっ、いやだぁぁぁぁぁぁ！」',
            'また次の男が' + slave.short_name + 'を貫き始めたようだ。',
            'この地獄は、まだまだ終わらない。なにしろ夜が更けるまで時間はたっぷりとあるのだから。',
          ],
          [
            slave.short_name + 'の白い胸には無数の歯型がついている。',
            'かつては愛らしいピンク色だった乳首は、乱暴に扱われ、何度も男たちに歯を立てられたことでいまでは痛々しく真っ赤に腫れ上がっている。',
            'すでに触れられれば痛みしか感じないその胸に、男の毛むくじゃらの手が伸びる。もちろん男がたっぷりと揉みしだき感触を楽しむためだ。そこに、' + slave.short_name + 'への思いやりなどひとかけらもありはしない……',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'はノロノロと身を起こす。',
            '「……終わったんだ…… ようやく……」',
            slave.short_name + 'が平板な声でぼそりとつぶやいた時、秘所からどぷり、ごぷりと逆流する精液が地下牢の床に汚らしい精液の水たまりを作る。' +
              '精液の量が彼女に加えられた桁外れの陵辱の凄まじさを物語っていた。',
            slave.short_name + 'はノロノロと牢の隅を目指す。そこには地下水が溜まった水たまりがあった。汚くはないが清潔とも言えない。' +
              'だが彼女には他に選択肢はない。そこに、かつて己の衣服だったボロ布をひたし、肌をぬぐうことで身を清めていく。',
            '……体を清める手が、止まりがちになる。どうせ明日も穢されるのだ。清めたところで、一体何の意味があるだろう？',
            '諦観と絶望に飲み込まれそうになりながら、' + slave.short_name + 'はノロノロと、体を清めた……',
          ],
          [
            '「……こんなひどい行為…… 明日も続くの……」',
            '連日の陵辱は、確実に' + slave.short_name + 'の理性と抵抗を削り落としているようだ。',
            '「いやなのに……いやだって言ってるのにぃ……」',
            '涙声でつぶやく' + slave.short_name + 'の精神は、もはやかつての強靭さを失いつつある……',
          ],
        ].sample
      else
        [
          [
            'どぴゅっ、どびゅるるるっ。',
            '濃厚の白濁液が、' + slave.short_name + 'の舌めがけてたっぷりと吐き出されていく。',
            '「おおおおぉぉぉ、いいぞ、いいぞぉぉ…… 全部飲み込めよぉぉ…… くぅぅ、まだ、まだ射精るからなぁぁ……」',
            '魔物は満足げな顔で、抱え込むかのように' + slave.short_name + 'の頭をがっしりと両手でつかんでいる。',
            'ぶびゅるっ、どびゅるるるっ…… どろぉっ、ごぽっ、ぐびゅるる、ぶびゅるるぅぅ……',
            '魔物の射精は、人間のそれとは桁違いの量だった。大量の精液が' + slave.short_name + 'の舌と喉に向けて吐き出されていく。' +
              '際限なく吐き出されていく魔物の精液は、量だけでなく質まで人間とは桁違いだった。',
            'その粘り気は餅のようで、口の中や喉奥に容赦なくへばりつく。それでいてマグマのように熱く、精液がへばりついた口内の粘膜から腰の奥にまで' +
              'その熱が伝わってくるようだ。',
            slave.short_name + 'はその射精の勢いと、精液の味を楽しむように目を細め、味わいながらこくこくと飲み干していく。魔物の射精の勢いは凄まじく' +
              slave.short_name + 'が飲み込むよりも激しく白濁の欲望を吐き出していくが、女は恍惚の表情のまま必死にガッつくように飲みくだしていく。',
            '魔物が満足げに息を吐いた。一通り精液を吐き出したのだ。すると'  + slave.short_name  + 'は何をすべきかわかっているというように' +
              'オスの肉槍の先端、鈴口に吸い付き、尿道に残った精液をちゅうちゅうと吸い出していく。',
            slave.short_name + 'の表情には、命令への隷従の幸福と精液を熱心に味わう依存症患者の病的な恍惚の表情が浮かんでいた……',
          ],
          [
            '「……もう、やめて……　限界なの……」',
            '奇妙に平板な声で' + slave.short_name + 'はつぶやく。疲労の限界を超え、もうまともな感情の起伏を起こす余力もないのだ',
            '「本当に、死んでしまうの……　だから……」',
            '次の男が' + slave.short_name + 'を組み敷いた。たとえ死んだとしても許されるはずはない。この陵辱が終わるとすれば、それは' + slave.short_name + 'が奴隷宣言を行った時だけだ。',
            'そして、彼女にとって不幸なことに、' + _adventurer_type + 'としての優れた' + slave.short_name + 'の頑健な肉体は、まだそう簡単には壊れはしないだろう……',
          ],
          [
            '夜も更け、魔物たちは' + slave.short_name + 'を嬲ることに疲れたのか、あるいは飽きたのか、すでに地下牢を後にしていた。',
            '静寂が訪れた地下牢の中で、' + slave.short_name + 'はただ一人横たわっている。魔物たちが気遣うはずもなく、その全身は精液まみれの惨めな有様だ。',
            slave.short_name + 'は横たわったままピクリとも動かない。',
            '時折うめき声をあげたりしなければ、死んでいるのではないかと思うほどだ。',
            '心身が摩滅しきった' + slave.short_name + 'には、もはや何かをしようという気力は残されていなかった。',
            'もう、諦めてもいいかな。そんな声が、頭の中から響く。考えることも億劫だった。穢されきった姿のまま、' + slave.short_name + 'は意識を手放した。',
          ],
          [
            '「へへっ、いいぞぉぉ…… そのまま綺麗にするんだぜぇ……」',
            '魔物に命じられるままに' + slave.short_name + 'は、自身の秘穴に精液をたっぷりと膣内射精し、汚れきった肉棒に口腔奉仕する。',
            'もはや抵抗する気力など萎えてしまっていた。',
            '「おぉぉぉ、いいぞぉ。教えた通り吸い上げてやがるぞ、この淫乱めっ」',
            '尿道に残った精液の最後の一滴まで吸いだそうと、' + slave.short_name + 'はちゅうちゅうと男の肉槍の先端に吸い付く。',
            '熱心に奉仕する' + slave.short_name + 'の顔の眼にはもはや理性の輝きは残っておらず、昏く曇ったガラス玉のような瞳があった。',
          ],
        ].sample
      end
    script
  end
end
