# coding: utf-8
require_rrk 'src/defines/script/dungeon/script_utils'
require_rrk 'src/app/util/debug_util'
require_rrk 'src/defines/dungeon/skill_list'

class SlaveScript
  include ScriptUtils
  include DebugUtil

  # 酒場の噂で表示
  def status_text_in_bar(status)
    if status.nil?
      return '迷宮のどこかで監禁中という噂'
    end

    case status
      when 'slave_brothel'
        '迷宮で監禁され、娼館に送られたという噂'
      when 'tentacle_lab'
        '迷宮で監禁され、触手苗床にされたという噂'
      when 'maternity_room'
        '迷宮で、怪物どもの孕み袋にされたという噂'
      else
        '..未定義'
    end
  end

  def status_text(slave)
    status = slave.status
    if status.nil?
      return '配置可能'
    end

    prefix_text =
      if slave.broken_mentally_exhaust?
        '精神崩壊、'
      else
        "売春精神耐久度#{(slave.mentally_exhaust)}、"
      end
    prefix_text +
      case status
        when 'slave_brothel'
          _brothel_status(slave.spring_type)
        when 'tentacle_lab'
          _tentacle_lab_status(slave.tentacle_lab_type)
        when 'maternity_room'
          _maternity_room_status(slave)
        else
          ''
      end
  end

  def _brothel_status(spring_type)
    return '（娼館地下で公衆便女処分）' if spring_type == 'sex_toilet'

    status_text =
      case spring_type
        when 'sex_toilet'
          '公衆便女'
        when 'wall_hole_spring'
          '壁尻'
        when 'v_force_spring'
          '肉便器'
        when 'v_whore_spring'
          '娼婦'
        when 'a_whore_spring'
          'アナル娼婦'
        when 'all_whore_spring'
          '全穴娼婦'
        when 'pole_dance_spring'
          '羞恥見世物ショー'
        when 'show_tent_spring'
          '公開陵辱見世物'
        else
          "[...未定義(#{spring_type})]"
      end
    "娼館で" + status_text + '売春中'
  end

  def _tentacle_lab_status(tentacle_lab_type)
    status_text =
      case tentacle_lab_type
        when 'basic'
          '全身の性感帯化開発'
        when 'custom_body_c'
          '陰核を徹底的に'
        when 'custom_body_v'
          '肉壷を激しく'
        when 'custom_body_v_lv2'
          '肉壷を容赦なく'
        when 'custom_brainwash'
          '頭蓋を手加減なしに'
        when 'custom_brainwash_lv2'
          '全身を粘膜越しに徹底的に'
        when 'custom_hard'
          '丸呑みされ全身を徹底的に'
        when 'custom_body_a'
          '尻穴を肉オナホとして'
        when 'custom_body_b'
          '乳房を淫らに'
        else
          '[...未定義]'
      end
    '触手苗床で' + status_text + '改造中'
  end

  def _maternity_room_status(slave)
    '魔物強制妊娠部屋'
  end

  def short_status_script(status)
    if status.nil?
      return '配置可能'
    end

    case status
      when 'slave_brothel'
        '奴隷売春'
      when 'tentacle_lab'
        '触手改造'
      when 'maternity_room'
        '魔物強制妊娠'
    end
  end

  # ステータス表示用
  # ここに来るslaveはAdventurerクラスなので注意
  def status_detail(slave_adventurer)
    script = [
      '名前： ' + slave_adventurer.name,
      "クラス：元・#{slave_adventurer.class_name}",
    ]

    # 娼館でのステータス
    script += ["#{slave_adventurer.brothel_skill_names.join('、')}"] unless slave_adventurer.brothel_skill_names.empty?
    script += ["娼館での人気：#{slave_adventurer.popular_in_brothel}"] if slave_adventurer.popular_in_brothel > 0
    script +=
      if slave_adventurer.mentally_exhaust > 0
        ["売春精神耐久度：#{(slave_adventurer.mentally_exhaust)}"]
      else
        ["（……#{slave_adventurer.short_name}は壊れてしまったようだ（廃娼状態））"]
      end

    script += [
      '［奴隷経験］',
      ]
    script << "セックス経験回数：#{slave_adventurer.v_sex_exp}" if slave_adventurer.v_sex_exp > 0
    script << "アナルセックス経験回数：#{slave_adventurer.a_sex_exp}" if slave_adventurer.a_sex_exp > 0
    script << "男性経験数：#{slave_adventurer.men_exp}" if slave_adventurer.men_exp > 0
    script << "レズ経験数：#{slave_adventurer.lesbian_exp}" if slave_adventurer.lesbian_exp > 0
    script << "売春経験：#{slave_adventurer.spring_count}" if slave_adventurer.spring_count > 0
    script << "売春輪姦経験：#{slave_adventurer.spring_group_count}" if slave_adventurer.spring_group_count > 0
    script << "肉体改造経験：#{slave_adventurer.custom_body_exp}" if slave_adventurer.custom_body_exp > 0
    script << "精神改造経験：#{slave_adventurer.custom_mind_exp}" if slave_adventurer.custom_mind_exp > 0

    script += [
      ' ',
      '［性経験］',
      '（Ｃ：クリ、Ｖ：膣穴、Ａ：アナル、Ｂ：胸、乳首）',
      "Ｃ経験：#{slave_adventurer.c_exp}",
      "Ｖ経験：#{slave_adventurer.v_exp}",
      "Ａ経験：#{slave_adventurer.a_exp}",
      "Ｂ経験：#{slave_adventurer.b_exp}",
    ]

    if slave_adventurer.orgasm_count > 0
      script += [
        "絶頂経験：#{slave_adventurer.orgasm_count}",
        "（膣内：#{slave_adventurer.v_orgasm_count}、腸内：#{slave_adventurer.a_orgasm_count}、クリ：#{slave_adventurer.c_orgasm_count}、胸：#{slave_adventurer.b_orgasm_count}）",
      ]
    end

    if slave_adventurer.sperm_shot > 0
      script += [
        "精液経験：#{slave_adventurer.sperm_shot}",
        "（膣内：#{slave_adventurer.v_sperm_shot}、腸内：#{slave_adventurer.a_sperm_shot}、ごっくん：#{slave_adventurer.oral_sperm_shot}、ぶっかけ：#{slave_adventurer.skin_sperm_shot}）",
      ]
    end

    script += [
      ' ',
      '［性感帯開発度］',
      '（Ｃ：クリ、Ｖ：膣穴、Ａ：アナル、Ｂ：胸、乳首）',
      "Ｃ感度：#{half_decimal_to_full(slave_adventurer.c_ero_develop_rate)}倍",
      "Ｖ感度：#{half_decimal_to_full(slave_adventurer.v_ero_develop_rate)}倍",
      "Ａ感度：#{half_decimal_to_full(slave_adventurer.a_ero_develop_rate)}倍",
      "Ｂ感度：#{half_decimal_to_full(slave_adventurer.b_ero_develop_rate)}倍",
    ]

    script += [
      ' ',
      '［貞操］',
    ]
    script +=
      if slave_adventurer.virgin?
        [
          '処女：貞操を守り、いまだ男を知りません。いつかは素敵な男性が現れると夢見ているようです。'
        ]
      else
        [
          '非処女：',
          slave_adventurer.lost_virgin_script
        ]
      end

    script += [
      ' ',
      '［ステータス］',
    ]

    status_script = []

    slave_adventurer.bad_status.each do |skill_key|
      status = DungeonSkillList::BadStatusList[skill_key]
      unless status
        next
      end

      status_script += (
      [
        status[:name] + '：',
      ] + status[:description] + [ ' ',]
      )
    end

    if status_script.empty?
      script += [
        'なし',
      ]
    else
      script += status_script
    end

    script += [
      ' ',
      '［能力、才能］',
    ]
    skill_script = []

    # 性格系
    slave_adventurer.talents.each do |talent_key|
      skill_script += _print_bad_status(talent_key, DungeonSkillList::TalentList)
    end

    # 精神改造系
    slave_adventurer.skill_personality.each do |status_key|
      skill_script += _print_bad_status(status_key, DungeonSkillList::BadStatusList)
    end

    # 肉体改造系
    slave_adventurer.bad_status_in_body.each do |status_key|
      skill_script += _print_bad_status(status_key, DungeonSkillList::BadStatusList)
    end

    # バステ
    slave_adventurer.bad_status.each do |skill_key|
      skill_script += _print_bad_status(skill_key, DungeonSkillList::BadStatusList)
    end
    # エロバステ
    slave_adventurer.bad_sex_status.each do |skill_key|
      skill_script += _print_bad_status(skill_key, DungeonSkillList::BadStatusList)
    end

    if skill_script.empty?
      script += [
        'なし',
      ]
    else
      script += skill_script
    end

    script
  end

  def _print_bad_status(skill_key, list)
    skill = list[skill_key]
    unless skill # 該当なし
      puts "skill:#{skill} が設定されていません" if DEVELOP_PRINT_MODE
      return []
    end

    skill_script = (
    [
      skill[:name] + '：',
    ] + skill[:description] + [ ' ',]
    )
    return skill_script
  end
  # ステータス表示終わり
end
