# coding: utf-8
# 冒険者一覧

module DungeonsList
  module Adventurers
    require_rrk 'src/game_define/dungeon/list/adventurers/original'
    require_rrk 'src/game_define/dungeon/list/adventurers/fgo'
    require_rrk 'src/game_define/dungeon/list/adventurers/trial'
    require_rrk 'src/game_define/dungeon/list/adventurers/gaiden'
    require_rrk 'src/game_define/dungeon/list/adventurers/v1'
    require_rrk 'src/game_define/dungeon/list/adventurers/v2'
    require_rrk 'src/game_define/dungeon/list/adventurers/v3'
    require_rrk 'src/game_define/dungeon/list/adventurers/v4'
    require_rrk 'src/game_define/dungeon/list/adventurers/v5'
    require_rrk 'src/game_define/dungeon/list/adventurers/v7'
    require_rrk 'src/game_define/dungeon/list/adventurers/v8'
    require_rrk 'src/game_define/dungeon/list/adventurers/v9'

    include Original
    include FGO
    include Trial
    include Gaiden
    include V1
    include V2
    include V3
    include V4
    include V5
    include V7
    include V8
    include V9
  end
end
