# coding: utf-8
# 初期配置される捕獲奴隷一覧
require_rrk 'src/app/helper/game_define_helper'

class SlavesList
  include GameDefineHelper

  LIST_V001 = {
    101 => {
      name: 'ルナチャイルド',
      short_name: 'ルナチャイルド',
      positiveness: 1,
      lawful_level: 'neutral',
      good_level: 'neutral',
      honor: 0,
      class_type: 'fighter',
      class_name: '妖精',
    },
    102 => {
      name: 'スターサファイア',
      short_name: 'スターサファイア',
      positiveness: 1,
      lawful_level: 'neutral',
      good_level: 'neutral',
      honor: 0,
      class_type: 'wizard',
      class_name: '妖精',
    },
    103 => {
      name: 'サニーミルク',
      short_name: 'サニーミルク',
      positiveness: 1,
      lawful_level: 'neutral',
      good_level: 'neutral',
      honor: 0,
      class_type: 'scout',
      class_name: '妖精',
    },
  }

  # 最初から捕獲枠
  # マシュ 秩序・善
  # フランケンシュタイン 混沌 / 中庸
  # アルテミス[弓] 混沌、中庸
  LIST_VerFGO = {
    101 => {
      name: 'マシュ・キリエライト',
      short_name: 'マシュ',
      positiveness: 1,
      lawful_level: 'neutral',
      good_level: 'neutral',
      honor: 0,
      class_type: 'scout',
      class_name: 'デミサーヴァント',
      short_class_type: '盾',
    },
    102 => {
      name: 'フランケンシュタイン',
      short_name: 'フラン',
      positiveness: 1,
      lawful_level: 'chaotic',
      good_level: 'neutral',
      honor: 0,
      class_type: 'fighter',
      class_name: '人造人間',
      short_class_type: '狂',
    },
    103 => {
      name: 'アルテミス',
      short_name: 'アルテミス',
      positiveness: 1,
      lawful_level: 'chaotic',
      good_level: 'neutral',
      honor: 0,
      class_type: 'wizard',
      class_name: '女神',
      short_class_type: '弓',
    },
  }

  def self.slave_list_by_mode
    if FGO_MODE
      LIST_VerFGO
    else
      LIST_V001
    end
  end
end
