# coding: utf-8
module ChainEngine
  module ViewHelper
    SCRIPT_LIST_BUTTON_WIDTH = 560
    def convert_scenarios_to_labels_in_script_list(scenarios)
      labels_elements =@chain_view.convert_scripts_to_view_elements(scenarios)
      labels = convert_view_element_in_script_list(labels_elements)
      labels
    end

    def convert_view_element_in_script_list(mixed_view_elements)
      mixed_view_elements.map do |element|
        case element['type']
          when 'button' then
            linked_button = button(id: "#{element['action']}_button", text: element['text'], pref_width: SCRIPT_LIST_BUTTON_WIDTH)
            linked_button.set_on_action do
              eval(element['action'])
            end
            linked_button
          when 'label' then
            label(text: element['text'])
          else
            puts "==== alert! #{element['type']} is not found in element_type ==="
            label(text: '(element is not found)')
        end
      end
    end

    def convert_button_element_in_xx_list(button_elements)
      button_elements.map do |element|
        _convert_button_element(element)
      end
    end

    def _convert_button_element(element)
      linked_button = button(id: "#{element['action']}_button", text: element['text'], pref_width: element['width'])
      linked_button.set_on_action do
        eval(element['action'])
      end
      linked_button
    end

    def set_buttons_to_menu_list(elements)
      elements.each { |element_button| @menu_list.items << element_button }
    end

    def show_toolbar_menu
      # メニューに戻るのみ
      @back_to_top_button.set_visible(true)

      return nil if trial_mode

      @save_button.set_visible(true)
      @load_button.set_visible(true)
    end

    def hide_toolbar_menu
      @back_to_top_button.set_visible(false)

      return nil if trial_mode

      @save_button.set_visible(false)
      @load_button.set_visible(false)
    end
  end
end
