# coding: utf-8
module PreDefined
  module List
    module Train
      module ChangeStatusList
        # TODO: コマンドを増やす時はここを追加すること

        # training_0x 系: 前戯系
        # training_1x 系: 本番系
        # training_2x 系: 奉仕系
        # training_3x 系: 暴力系

        def training_0_change_status
          {
            strength: -145,
            rebel:  -3,
            sanity: -3,
            lust: 18,
            voltage: 30,
            b_ecstasy: 24,
            c_ecstasy: 54,
            obedience: 1,
            v_relax: 19,
            a_relax: 3,
            experience_no: 1,
          }
        end

        def training_2_change_status
          {
            strength: -210,
            rebel:  -5,
            sanity: -5,
            lust: 32,
            voltage: 60,
            c_ecstasy: 78,
            obedience: 1,
            v_relax: 9,
            experience_no: 1,
          }
        end

        def training_3_change_status
          {
            strength: -130,
            rebel:  -4,
            sanity: -4,
            lust: 15,
            voltage: 45,
            v_ecstasy: 40,
            obedience: 1,
            v_relax: 20,
            experience_no: 1,
            v_experience_no: 1,
          }
        end

        def training_4_change_status
          {
            strength: -140,
            rebel:  -6,
            sanity: -6,
            lust: 13,
            submit: 4,
            voltage: 45,
            a_ecstasy: 38,
            obedience: 3,
            a_relax: 22,
            experience_no: 1,
            a_experience_no: 1,
          }
        end

        def training_9_change_status
          {
            strength: -120,
            rebel: -4,
            sanity: -4,
            lust: 8,
            submit: 6,
            voltage: 30,
            c_ecstasy: 20,
            b_ecstasy: 10,
            obedience: 1,
            v_relax: 3,
            experience_no: 1,
          }
        end

        def training_11_change_status
          {
            strength: -320,
            rebel: -8,
            sanity: -8,
            lust: 24,
            voltage: 60,
            c_ecstasy: 20,
            v_ecstasy: 50,
            obedience: 2,
            v_relax: 12,
            pain: 10,
            experience_no: 1,
            v_experience_no: 1,
          }
        end

        def training_12_change_status
          {
            strength: -340,
            sanity: -10,
            lust: 26,
            voltage: 50,
            b_ecstasy: 20,
            v_ecstasy: 50,
            obedience: 3,
            v_relax: 10,
            pain: 10,
            experience_no: 1,
            v_experience_no: 1,
          }
        end

        def training_15_change_status
          {
            strength: -420,
            sanity: -15,
            lust: 16,
            submit: 15,
            voltage: 80,
            c_ecstasy: 10,
            v_ecstasy: 70,
            obedience: 8,
            v_relax: 15,
            pain: 8,
            experience_no: 1,
            v_experience_no: 1,
          }
        end

        def training_21_change_status
          {
            strength: -384,
            rebel: -10,
            sanity: -10,
            lust: 20,
            submit: 4,
            voltage: 54,
            c_ecstasy: 18,
            a_ecstasy: 30,
            obedience: 3,
            a_relax: 12,
            pain: 20,
            experience_no: 1,
            a_experience_no: 1,
          }
        end

        def training_22_change_status
          {
            strength: -408,
            rebel: -12,
            sanity: -12,
            lust: 22,
            submit: 6,
            voltage: 45,
            b_ecstasy: 13,
            a_ecstasy: 35,
            obedience: 4,
            a_relax: 10,
            pain: 20,
            experience_no: 1,
            a_experience_no: 1,
          }
        end

        # フェラチオ
        def training_41_change_status
          {
            strength: -210,
            rebel: -8,
            sanity: -8,
            lust: 5,
            voltage: 11,
            obedience: 21,
            submit: 4,
            technique: 30,
            experience_no: 1,
          }
        end

        # パイズリ
        def training_42_change_status
          {
            strength: -250,
            rebel: -10,
            sanity: -10,
            lust: 7,
            voltage: 15,
            c_ecstasy: 1,
            b_ecstasy: 8,
            obedience: 24,
            submit: 6,
            technique: 37,
            experience_no: 1,
          }
        end

        # 手コキ
        def training_43_change_status
          {
            strength: -180,
            rebel: -6,
            sanity: -6,
            lust: 3,
            voltage: 9,
            obedience: 16,
            submit: 2,
            technique: 22,
            experience_no: 1,
          }
        end

        def training_30_change_status
          {
            strength: -320,
            rebel: -30,
            sanity: -30,
            voltage: -200,
            obedience: 3,
            pain: 20,
            scared: 40,
            experience_no: 1,
          }
        end

        def training_31_change_status
          {
            strength: -240,
            rebel: -26,
            sanity: -26,
            voltage: -240,
            obedience: 2,
            pain: 10,
            scared: 20,
            experience_no: 1,
          }
        end

        def training_32_change_status
          {
            strength: -320,
            rebel: -41,
            sanity: -41,
            voltage: -400,
            obedience: 4,
            pain: 15,
            scared: 30,
            experience_no: 1,
          }
        end

        def training_100_change_status
          {
            strength: -440,
            sanity: -10,
            lust: 45,
            voltage: 90,
            c_ecstasy: 25,
            v_ecstasy: 90,
            obedience: 5,
            v_relax: 15,
            experience_no: 1,
            v_experience_no: 1,
          }
        end

        def training_101_change_status
          {
            strength: -480,
            sanity: -12,
            lust: 50,
            voltage: 75,
            b_ecstasy: 25,
            v_ecstasy: 105,
            obedience: 6,
            v_relax: 12,
            experience_no: 1,
            v_experience_no: 1,
          }
        end

        def training_102_change_status
          {
            # TBD
            # まだコマンドに分岐しないから何も書いてない
          }
        end

        # 騎乗子宮責め
        def training_114_change_status
          {
            strength: -480,
            sanity: -17,
            lust: 28,
            voltage: 110,
            v_ecstasy: 120,
            obedience: 11,
            v_relax: 19,
            pain: 11,
            experience_no: 1,
            v_experience_no: 1,
          }
        end

        def training_120_change_status
          {
            strength: -250,
            sanity: -10,
            lust: 12,
            voltage: 8,
            c_ecstasy: 1,
            b_ecstasy: 1,
            obedience: 22,
            experience_no: 1,
          }
        end

        # 後背位アナル指挿れ
        def training_130_change_status
          {
            strength: -400,
            sanity: -15,
            lust: 41,
            voltage: 80,
            b_ecstasy: 25,
            v_ecstasy: 80,
            a_ecstasy: 50,
            obedience: 7,
            v_relax: 14,
            a_relax: 12,
            pain: 15,
            experience_no: 1,
            v_experience_no: 1,
            a_experience_no: 1,
          }
        end

        # バイブ装着中
        def training_201_change_status
          {
            strength: -80,
            sanity: -12,
            lust: 15,
            voltage: 5,
            v_ecstasy: 5,
            v_relax: 10,
            obedience: 3,
            experience_no: 1,
            v_experience_no: 1,
          }
        end

        # アナルバイブ装着中
        def training_202_change_status
          {
            strength: -95,
            sanity: -15,
            lust: 15,
            voltage: 5,
            a_ecstasy: 5,
            a_relax: 10,
            obedience: 3,
            experience_no: 1,
            a_experience_no: 1,
          }
        end

        # アナルビーズ装着中
        def training_203_change_status
          {
            strength: -75,
            sanity: -10,
            lust: 10,
            voltage: 5,
            a_ecstasy: 40,
            a_relax: 12,
            obedience: 2,
            submit: 1,
            experience_no: 1,
            a_experience_no: 1,
          }
        end

        # 浣腸＋アナルプラグ装着中
        def training_221_change_status
          {
            strength: -100,
            sanity: -10,
            lust: 5,
            voltage: 5,
            a_ecstasy: 20,
            a_relax: 20,
            obedience: 4,
            submit: 10,
            experience_no: 1,
            a_experience_no: 2,
          }
        end

        # ビデオ撮影中
        def training_210_change_status
          {
            strength: -10,
            sanity: -10,
            lust: 1,
            voltage: 10,
            obedience: 3,
            experience_no: 1,
          }
        end

        # バイブ抽送
        def training_301_change_status
          {
            strength: -150,
            sanity: -4,
            lust: 20,
            voltage: 55,
            v_ecstasy: 55,
            obedience: 1,
            v_relax: 25,
            v_experience_no: 1,
          }
        end

        # Ａバイブ抽送
        def training_302_change_status
          {
            strength: -160,
            sanity: -6,
            lust: 18,
            voltage: 65,
            a_ecstasy: 53,
            obedience: 3,
            submit: 3,
            a_relax: 35,
            a_experience_no: 1,
          }
        end

        # Ａビーズ抽送
        def training_303_change_status
          {
            strength: -160,
            sanity: -6,
            lust: 18,
            voltage: 65,
            a_ecstasy: 53,
            obedience: 3,
            submit: 3,
            a_relax: 35,
            a_experience_no: 1,
          }
        end
      end
    end
  end
end
